
This file contains a shell for the changelog, followed by a list of every commit for this release.

Choose the appropriate line for the Summary section.

Move all commit notes to the appropriate section.
- Each line should be in the following format:
  [Fixed|Added]: The ticket description. ([Ticket link], [Commit link])
- If the commit is not related to a bug or feature, e.g., whitepsace cleanup, remove it.
- If there is no ticket number, search Trac for the relevant ticket.
  - If there is no ticket, create one (if needed), or leave just the commit link.

Double check that "TICKETREF" does not appear anywhere in the changelog.

Add this changelog to jqueryui.com.



DELETE EVERYTHING ABOVE THE FOLLOWING LINE
------------------------------------------
<script>{
	"title": "jQuery Mobile 1.4.0-alpha.2 Changelog"
}</script>

## Build


## Core &amp; Utilities

### UI Core


### Mouse


### Widget Factory


### Position


## Interactions

### Draggable


### Droppable


### Resizable


### Selectable


### Sortable


## Widgets

### Accordion


### Autocomplete


### Button


### Datepicker


### Dialog


### Menu


### Progressbar


### Slider


### Spinner


### Tabs


### Tooltip


## Effects


### Individual effects


## CSS Framework


## Demos


## Website


### Download Builder
* 'Changed version to: 1.4.0-alpha.1' (TICKETREF, [d17d2ba](http://github.com/jquery/jquery-mobile/commit/d17d2ba7a10af43dac930d1ee65b6b46268bb08d))
* 'Changed version to: 1.4.0-alpha.2' (TICKETREF, [1e27844](http://github.com/jquery/jquery-mobile/commit/1e27844a1c0b9103a0948480637e6a67f5212dfd))
* 'Changed version to: 1.4.0pre' (TICKETREF, [702af72](http://github.com/jquery/jquery-mobile/commit/702af72a07a541ac8938cef2d73a5a12d2bdecee))
* Accessibility: We don't need to move hidden elements off screen when we set height, width and clip. (TICKETREF, [963151c](http://github.com/jquery/jquery-mobile/commit/963151cdc2782e7c195fec892d419250bda2e282))
* Add swipestart and swipestop data to swipe event (TICKETREF, [57c7038](http://github.com/jquery/jquery-mobile/commit/57c703854c485d63a97861f71e7565338da95e87))
* Added ! to normal banner (TICKETREF, [24ae0b7](http://github.com/jquery/jquery-mobile/commit/24ae0b77311e98222d24552c7bc95599c983f1e1))
* Added --units argument to specify a list of units to run tests on. Fixed up jQuery's default version when no --jquery is passed. (TICKETREF, [5c845fe](http://github.com/jquery/jquery-mobile/commit/5c845fe8e17bcdfb781333037e81b6a84abaa40a))
* Added .jshintrc files (TICKETREF, [4e2bcc0](http://github.com/jquery/jquery-mobile/commit/4e2bcc027bfb221b20b8e4c4cd28728638ea3784))
* Added 1.3-stable branch to Travis CI builds (TICKETREF, [93a5068](http://github.com/jquery/jquery-mobile/commit/93a5068bf164960a11a767fca661388fb621772c))
* Added CSS build Replaces version on build write DRYed banners (TICKETREF, [8390361](http://github.com/jquery/jquery-mobile/commit/8390361e496ef811252f7ad22fa2a794372aaa6f))
* Added Google Maps examples (TICKETREF, [b63304f](http://github.com/jquery/jquery-mobile/commit/b63304f2c597deba21d88f4bfb000081edcec4c2))
* Added RequireJS json plugin (TICKETREF, [fb29293](http://github.com/jquery/jquery-mobile/commit/fb292939129a51846547458e495cbec1a725147a))
* Added Travis CI config (TICKETREF, [bd5247e](http://github.com/jquery/jquery-mobile/commit/bd5247eaab041d53307eea55b580cd7c6577310c))
* Added Travis CI config (cherry picked from commit bd5247eaab041d53307eea55b580cd7c6577310c) (TICKETREF, [b50d487](http://github.com/jquery/jquery-mobile/commit/b50d4873d0dbdb25c52e386610fc5556a9f64d38))
* Added Travis CI test status (TICKETREF, [8cf4d1d](http://github.com/jquery/jquery-mobile/commit/8cf4d1da4ecbf1627b638525b84a5bbf1a812e35))
* Added a "cdn" task that creates a zip of the the js/css/map and images with an associated MD5 manifest Fixes #5882 ([#5882](http://github.com/jquery/jquery-mobile/issues/5882), [569ea47](http://github.com/jquery/jquery-mobile/commit/569ea47d454eb20a77be342ce1b22f1f6ef7d594))
* Added collapsibles to test page. (TICKETREF, [981d384](http://github.com/jquery/jquery-mobile/commit/981d38414e608ea11d6f17037698aa823a28dc59))
* Added comments to CSS to explain why the rules are there. (TICKETREF, [12acffe](http://github.com/jquery/jquery-mobile/commit/12acffe5509f642ce30c2febe75f03cd5f512309))
* Added contribution guides paragraph (TICKETREF, [e7b15e3](http://github.com/jquery/jquery-mobile/commit/e7b15e38cdb44edfe60c1749483477ae80cd9ef0))
* Added default icons stylesheet with inline SVG and external PNG as fallback. (TICKETREF, [541ad66](http://github.com/jquery/jquery-mobile/commit/541ad6627a4e628e353eda3aeb0e65471787c940))
* Added demos target (TICKETREF, [1f514b8](http://github.com/jquery/jquery-mobile/commit/1f514b838f76228e38c825c43ea65191717e15be))
* Added dependency on grunt-qunit-junit Added target test:ci (TICKETREF, [f5b9cf6](http://github.com/jquery/jquery-mobile/commit/f5b9cf687114c94cb2a1582eb51af386f825c1d3))
* Added devDependency on async (TICKETREF, [42449d2](http://github.com/jquery/jquery-mobile/commit/42449d278eb34f0675d7b587584aa4445bd684fe))
* Added devDependency on async (TICKETREF, [eff01ef](http://github.com/jquery/jquery-mobile/commit/eff01efe8bee6d274f3b59efb1058c6580a4a0a3))
* Added dist folder to .gitignore (TICKETREF, [209d3a4](http://github.com/jquery/jquery-mobile/commit/209d3a4d48361f9269df40cbf165196fee2cf063))
* Added dist:common and copy:images Some house cleaning (TICKETREF, [d26ab7f](http://github.com/jquery/jquery-mobile/commit/d26ab7f0258f54f0c6cb27fd52391ae7ce9cc22b))
* Added font icons test (TICKETREF, [a399250](http://github.com/jquery/jquery-mobile/commit/a3992503b7bf9dfee24de3b73d2dea653bdce70b))
* Added forms prefix to button widget CSS file. (TICKETREF, [61951a3](http://github.com/jquery/jquery-mobile/commit/61951a367e871ccfee889cf7aa232efd68063bc2))
* Added injection of requirejs config (TICKETREF, [2ed2dd6](http://github.com/jquery/jquery-mobile/commit/2ed2dd6f46ac9512458dfd357bf1cefd9243b4fd))
* Added injection of requirejs.config.js (TICKETREF, [398b863](http://github.com/jquery/jquery-mobile/commit/398b863d73e48ea0df22ec2f32b35bb9b0f1e8c0))
* Added inline SVG support test; add "no-svg" class if not supported. (TICKETREF, [ab07386](http://github.com/jquery/jquery-mobile/commit/ab0738604cc8b05f9ee0166e010902363f1f7186))
* Added jquery.mobile.transition.fade.css as a css structure dependency (TICKETREF, [b5b296f](http://github.com/jquery/jquery-mobile/commit/b5b296fcab23fa298aeb861d557d6bae5cef3cfe))
* Added link to demos folder on the index page in case the redirect fails. (TICKETREF, [628b198](http://github.com/jquery/jquery-mobile/commit/628b19832ee9ae169dfe7c19c20c561ee2ab4f0c))
* Added main, engines and scripts (TICKETREF, [51b7bd3](http://github.com/jquery/jquery-mobile/commit/51b7bd3903c310f73c201d82aacf6d15cc953429))
* Added middleware to connect to get rid of the PHP dependency. The test target has now a dependency on requirejs:js. The middleware will intercept requests for /js/ and redirect to the built bundle dist/jquery.mobile.js. Also we get the validation of the build for free. Added file lookup to qunit target as well as jquery version selector through --jquery argument at the command line (TICKETREF, [df8f76f](http://github.com/jquery/jquery-mobile/commit/df8f76f9aef803f06d75f53cac41f86c2deb9ac6))
* Added missing class on form disabled test pages. (TICKETREF, [951e1cf](http://github.com/jquery/jquery-mobile/commit/951e1cfa454540a78b0fb55d09ab32fc561c0a0b))
* Added missing semi-colon in listview CSS. (TICKETREF, [c2e0a2f](http://github.com/jquery/jquery-mobile/commit/c2e0a2fcce42e93e904675de5e8fa09e8f4dabce))
* Added missing semi-colon in navigate events. (TICKETREF, [ababcaf](http://github.com/jquery/jquery-mobile/commit/ababcafa73c56395c69d653921b51846fdadd9e6))
* Added missing semicolons. (TICKETREF, [60df261](http://github.com/jquery/jquery-mobile/commit/60df26130919221c7ebb9ccfffc2242e5d8a7998))
* Added more examples to listview test pages. (TICKETREF, [0c38dda](http://github.com/jquery/jquery-mobile/commit/0c38dda5c6517a884f99c99ec4f5eb0a4da04d07))
* Added option passing to RequireJS (TICKETREF, [8ffd365](http://github.com/jquery/jquery-mobile/commit/8ffd36599d437eedd9a208eb2ff67751cd289937))
* Added shim config for widgets/jquery.ui.tabs (TICKETREF, [19a7f27](http://github.com/jquery/jquery-mobile/commit/19a7f27a7987905b0f8ef9943c2dcc133ad89734))
* Added swatch "b" test pages. (TICKETREF, [31c4b01](http://github.com/jquery/jquery-mobile/commit/31c4b01b74f105847a10fa50d10f4e46d5415437))
* Added task config:dev which generates the version string from the current git SHA1 hash (TICKETREF, [f5a5920](http://github.com/jquery/jquery-mobile/commit/f5a592037fd847380a863c233f80d2ee12d9e1ff))
* Added zip target (TICKETREF, [79a7446](http://github.com/jquery/jquery-mobile/commit/79a7446c8b2918154009d2932ed1f97517272051))
* Adds exported black and white svg / png files from grunticon (TICKETREF, [377d18d](http://github.com/jquery/jquery-mobile/commit/377d18de578d58e8fdd1803f615a6bf7deae3986))
* Adjusted globbing patterns when specifying --units flag (TICKETREF, [d56f590](http://github.com/jquery/jquery-mobile/commit/d56f5903e9ef4f03cebd4f7f57e57c5c7d208668))
* Adjusted label margin. Fixes #5976. ([#5976](http://github.com/jquery/jquery-mobile/issues/5976), [37cd8b2](http://github.com/jquery/jquery-mobile/commit/37cd8b27fe30e8813240042d11deed52788f8dcd))
* Adjusted rules for ui-mini. (TICKETREF, [27851f1](http://github.com/jquery/jquery-mobile/commit/27851f1e5373c402f334d8cb9102d294d5e2e9f6))
* Allow Cross Domain Request for Trigger.io apps (TICKETREF, [31470eb](http://github.com/jquery/jquery-mobile/commit/31470eb4d740aab1bb9fea35a5913426919b65e1))
* Autogrow: adds padding omitted from clientHeight by Firefox. Fixes #6179 - Textinput: height not correctly calculated in Firefox ([#6179](http://github.com/jquery/jquery-mobile/issues/6179), [b4d5158](http://github.com/jquery/jquery-mobile/commit/b4d51581bb245e409ed6a2925f2716613bd29d64))
* Autogrow: fix height calculation to account for borders Fixes #6180 - Autogrow: calculated height contains border height and Fixes #6178 - Textinput: height not correctly calculated due to box-sizing thanks @jhogervorst ([#6180](http://github.com/jquery/jquery-mobile/issues/6180), [#6178](http://github.com/jquery/jquery-mobile/issues/6178), [48139f8](http://github.com/jquery/jquery-mobile/commit/48139f86ede5516aa746113d1df60e3712afb9f4))
* Autogrow: removed trailing whitespace (TICKETREF, [791754f](http://github.com/jquery/jquery-mobile/commit/791754face028788bccd6ba715dbb2e82f611c32))
* Autoinit: Add wrapper to $.widget to inject default initSelector to widgets, add enhanceWithin function to helpers (TICKETREF, [0e61e08](http://github.com/jquery/jquery-mobile/commit/0e61e08a9f7fd4543a1ed1c2d7b7b75a80b53c8c))
* Autoinit: Remove registry and replace with new auto init (TICKETREF, [cd13e36](http://github.com/jquery/jquery-mobile/commit/cd13e366ca46361dc8230b7160ae5fb798c0c9e1))
* Automated tests: Custom select: Move highlight checking test from unit tests to integration tests. (TICKETREF, [4e69a1b](http://github.com/jquery/jquery-mobile/commit/4e69a1b791d775c25c96d1d1e637f2e184b0378f))
* Automated tests: Custom select: Moving test that checks whether adding options causes them to be reflected in the widget from unit tests to integration tests. (TICKETREF, [5b27d44](http://github.com/jquery/jquery-mobile/commit/5b27d4401d65a9a71fb569c02b0588d964c07551))
* Automated tests: Select: Move label overflow test to integration tests. (TICKETREF, [ef7bf36](http://github.com/jquery/jquery-mobile/commit/ef7bf3690ba41fbcd9277076dc8b07537bd54f11))
* Automated tests: Select: Moving test for correct placeholder handling from unit tests to integration tests, because it is asynchronous. (TICKETREF, [981194a](http://github.com/jquery/jquery-mobile/commit/981194a718d93f14a3e5bc4c19a80f8ab0536e2a))
* Back to body theme class for count bubbles. Tweaked count bubble style. (TICKETREF, [de95bcf](http://github.com/jquery/jquery-mobile/commit/de95bcfca51074f3818f4724bcb220f564ebebee))
* Base class: Depend on jquery.mobile.data, because _getCreateOptions calls $.mobile.getAttribute. Fixes: #6288 - Download Builder(latest): A input or button-based Button widget has an error. (TICKETREF, [d7b5750](http://github.com/jquery/jquery-mobile/commit/d7b5750d662f271e7bb7e834a3116298b1c903b7))
* Base class: Ignore null option values coming in from the DOM. (TICKETREF, [1d82f72](http://github.com/jquery/jquery-mobile/commit/1d82f725fb4c29ccbce027bd3b59c758aee2dbb8))
* Base class: Improve performance of _getCreateOptions by removing $.each() and moving string replace callback and regex to the outer IIFE. (TICKETREF, [f976a5a](http://github.com/jquery/jquery-mobile/commit/f976a5ab2a1a2220a74317db7d954ef91f7dab95))
* Base widget: Remove _toggleClasses. (TICKETREF, [3b954a2](http://github.com/jquery/jquery-mobile/commit/3b954a2d8dd3f95c420119ca2626701173948f28))
* Base widget: Remove _toggleClasses. (TICKETREF, [94c4677](http://github.com/jquery/jquery-mobile/commit/94c4677325be8ce994bd9180e60bca587c17a2e6))
* Border styling. (TICKETREF, [d61403d](http://github.com/jquery/jquery-mobile/commit/d61403d8b5e017591b57d87727537aa8ae1e839f))
* Bring back icons in listview buttons. Will look into performance of selectors later. (TICKETREF, [bc766a7](http://github.com/jquery/jquery-mobile/commit/bc766a7df1a500283b26c27cad52da57171b8ae6))
* Build: Add a dist:git task, along with a copy:git target for git-cdn deploys (TICKETREF, [988d0dd](http://github.com/jquery/jquery-mobile/commit/988d0dd43a94f7d6df867c2f7cabffa6bb8f4abb))
* Build: Added a clean step for the git build (TICKETREF, [e98f21e](http://github.com/jquery/jquery-mobile/commit/e98f21ed9476a833a47c7688c8d3bdc23c6d8885))
* Build: Added deploy and deploy:git tasks. Now version the files directly in dist instead of doing it at rsync time. That allows us to use the "dir/" syntax for rsync to have rsync create the destination directory. (TICKETREF, [af24edc](http://github.com/jquery/jquery-mobile/commit/af24edcfd6f8b6083efbca85ad7b5d13024f0d0f))
* Build: Added deploy tasks ( WIP ) (TICKETREF, [827f2a5](http://github.com/jquery/jquery-mobile/commit/827f2a54681069356aa0d25256d6ef90e56aec70))
* Build: Added grunt-contrib-clean (TICKETREF, [8c227ae](http://github.com/jquery/jquery-mobile/commit/8c227aef013ebb7659aaa1953b515e9ef2129c46))
* Build: Added new grunt tasks: curl, rsync, release and recurse (TICKETREF, [8be2ce7](http://github.com/jquery/jquery-mobile/commit/8be2ce708d9eb40de5ce3c03cfd4c742e828bd4f))
* Build: Added possibility to set jqueries using environment variable JQUERIES (TICKETREF, [700aa8c](http://github.com/jquery/jquery-mobile/commit/700aa8cbd2663dfa1a8416469b6db726dc4b6426))
* Build: Added setting of versionSuffix config attribute in release:init task (TICKETREF, [f87ccfb](http://github.com/jquery/jquery-mobile/commit/f87ccfb2f14ab07f77523486ba27ce8abdc826bd))
* Build: Added tagging task (TICKETREF, [d531826](http://github.com/jquery/jquery-mobile/commit/d531826aee25af5689de736a9357bf36589c0372))
* Build: Added task "lint" as an alias to "jshint" (TICKETREF, [b22a856](http://github.com/jquery/jquery-mobile/commit/b22a8564a3ed2573fddb829c7880d0ca37bb48c1))
* Build: Changed banner to display git HEAD hash in a new fashion and the build date instead of the commit date (TICKETREF, [0ff5f25](http://github.com/jquery/jquery-mobile/commit/0ff5f256b5fbc3906fa93a507f6b3ddd2bfc4c73))
* Build: Changed dependencies versions to official ones (TICKETREF, [2ede2ec](http://github.com/jquery/jquery-mobile/commit/2ede2ecb0374dc3acc3a3219775becc4ea70a4be))
* Build: Changed dest path format so rsync will create destination directory when needed (TICKETREF, [babbae7](http://github.com/jquery/jquery-mobile/commit/babbae7c397205172f82b404e1ce005186077d9a))
* Build: Changed rsync target to production settings (TICKETREF, [e8cb008](http://github.com/jquery/jquery-mobile/commit/e8cb00831f1f95e9b00697c39f79c65e9724b7f5))
* Build: Don't process *.ico in demos.secondpass (TICKETREF, [d1b90f0](http://github.com/jquery/jquery-mobile/commit/d1b90f08ce0ea26a75607697952f79bfdd3c403c))
* Build: Execute "release:init" before "release:fail-if-pre" in "deploy" task (TICKETREF, [71001d1](http://github.com/jquery/jquery-mobile/commit/71001d1aeec08fec5545f5c04920f8a5e5c97b2a))
* Build: Exposed deploy task to be able to do test deploys. Changed baseUrls to not add trailing slash. Added message when running in dry mode. (TICKETREF, [5322b54](http://github.com/jquery/jquery-mobile/commit/5322b5420659323d3f2ee44279b64004ae1e1159))
* Build: Fixed demos build Split files.css by type (TICKETREF, [f862d70](http://github.com/jquery/jquery-mobile/commit/f862d706ae7b5503011cfd9822c158e38dfd1798))
* Build: Fixed destination for zip file (TICKETREF, [9c16581](http://github.com/jquery/jquery-mobile/commit/9c165811651295a6907642ad06e2ad0992bfa5c4))
* Build: Fixed destination path for files (TICKETREF, [aaaafe7](http://github.com/jquery/jquery-mobile/commit/aaaafe7655cc6e841af1cc6112c87de511829e2c))
* Build: Fixed function that selects tests to run Stripped index.html from test urls as some tests don't react well to it Added comments (TICKETREF, [b50bdc1](http://github.com/jquery/jquery-mobile/commit/b50bdc14616ec4dd9b1dfb8b0ce8b47cdf6e926e))
* Build: Fixed images by moving the copy of non-html, non-php to the unprocessed pass (TICKETREF, [bbc1ed3](http://github.com/jquery/jquery-mobile/commit/bbc1ed383766bdd40689d9b74674375cc3921f57))
* Build: Fixed js and css targets (TICKETREF, [effd619](http://github.com/jquery/jquery-mobile/commit/effd61962750f0333b5d153eb51d44838d68b0e4))
* Build: Fixed sourceMap by removing the leading "dist/" Added a linefeed at the end of the minified copyright Whitespace changes (TICKETREF, [d5aaae5](http://github.com/jquery/jquery-mobile/commit/d5aaae5abc3202394c1aeb8d86fee24600630cec))
* Build: Fixed syntax error in package.json (TICKETREF, [7b7e0ec](http://github.com/jquery/jquery-mobile/commit/7b7e0ec6b78705827cdded95daee1fe7db130ee3))
* Build: Fixed tagging task (TICKETREF, [45ffb10](http://github.com/jquery/jquery-mobile/commit/45ffb10d1ac602c6e8d21ee96de002c4ce81dc3c))
* Build: Fixed test task (TICKETREF, [27f835b](http://github.com/jquery/jquery-mobile/commit/27f835bbce065b453f793e573199b585c9fc674b))
* Build: Fixed up release:set-version (TICKETREF, [d388d1a](http://github.com/jquery/jquery-mobile/commit/d388d1af85555ec01e91429176744e20d0464c0a))
* Build: Fixed various archives where files where missing Removed theme files from  CDN zip (TICKETREF, [d6a084c](http://github.com/jquery/jquery-mobile/commit/d6a084c6a0de7e32e2bdaf21631944bf241a6946))
* Build: Images were missing from the dist/images directory and therefore from the zip file (TICKETREF, [a35837a](http://github.com/jquery/jquery-mobile/commit/a35837a919bfc4db2bbbd6340bb17d2a633b0f59))
* Build: Minified date in .min banner. Automated copyright end date. (TICKETREF, [991142e](http://github.com/jquery/jquery-mobile/commit/991142e3334e6a36f7c8a8376c8cacf598339d39))
* Build: Move the versionSuffix template out of name it was causing rsync:release to miss files (TICKETREF, [8ea352f](http://github.com/jquery/jquery-mobile/commit/8ea352f2314cfb0b1d19c9a840a71fe1e9519d2b))
* Build: New demos + clean target (TICKETREF, [663f80c](http://github.com/jquery/jquery-mobile/commit/663f80ce425d4b626a12b0668537064ed4016ed9))
* Build: Only clean:dist when releasing because really that's all we need (TICKETREF, [0ef6d39](http://github.com/jquery/jquery-mobile/commit/0ef6d3920c210f666e9f44dbe0fc764a86926cdc))
* Build: Removed *:git (TICKETREF, [56b261e](http://github.com/jquery/jquery-mobile/commit/56b261ebf584f2a295c176c549aae691fcfdd070))
* Build: Removed am/pm from build date since we're using 24H format (TICKETREF, [8b8eac8](http://github.com/jquery/jquery-mobile/commit/8b8eac86e04fba245c3b6eaa5c3e3592a08ba761))
* Build: Removed deploy:latest, renamed deploy:release to release (TICKETREF, [5a696e1](http://github.com/jquery/jquery-mobile/commit/5a696e108674d88501e0ea7daf31c42011916789))
* Build: Removed redefinition of "release" task (TICKETREF, [e3c1927](http://github.com/jquery/jquery-mobile/commit/e3c192786888306fff6710c718b4b869e1f4767f))
* Build: Rename demos.firstpass to demos.processed, it now processes *.php and *.html. Removed redundant demo.secondpass (TICKETREF, [99947cc](http://github.com/jquery/jquery-mobile/commit/99947ccb8222c46907deeb23cf2e2907e812431a))
* Build: Restored rsync user and host to production values (TICKETREF, [bbeb818](http://github.com/jquery/jquery-mobile/commit/bbeb818ac384f20e9f232a477b7ef183696b1560))
* Build: Restored test target to `grunt test` (TICKETREF, [c5acaf7](http://github.com/jquery/jquery-mobile/commit/c5acaf783a2c9c75944368f3fa273dab778814a9))
* Build: Use exact version numbers for dependencies. (TICKETREF, [dbc85a0](http://github.com/jquery/jquery-mobile/commit/dbc85a073a8bb0ef6cdc644ca4ccb211e2c4f51d))
* Build: Use local variable _ for underscore (TICKETREF, [660efc5](http://github.com/jquery/jquery-mobile/commit/660efc58df39223341152dcab40ddfe4c9e4ba1d))
* Build: fix CDN reload querystring (TICKETREF, [332646b](http://github.com/jquery/jquery-mobile/commit/332646bfe36d5c6a10fc5194fc5890d9a2144d4a))
* Build: rsync was failing to copy demos and images dir, fixed. (TICKETREF, [2ad2b83](http://github.com/jquery/jquery-mobile/commit/2ad2b83a6a39a2c735c7353d27e93e0b1f6bb452))
* Build: use grunt-contrib-compress instead of grunt-zip (TICKETREF, [cc7d264](http://github.com/jquery/jquery-mobile/commit/cc7d264fbc553be89fc3200b7ee9e05a3851aa18))
* Button markup: Allow reading of DOM attributes from $.fn.buttonMarkup to retain backwards compatibility. (TICKETREF, [990e5ce](http://github.com/jquery/jquery-mobile/commit/990e5ceb6ccf8c9f8133cad229af41d220810b24))
* Button: Adjustments to selectors ui-btn-left and -right CSS rules. Fixes #5869. ([#5869](http://github.com/jquery/jquery-mobile/issues/5869), [287d379](http://github.com/jquery/jquery-mobile/commit/287d3796fd64e2ee020967a89afec08a6dbca9c2))
* Button: Changed ui-btn-corner-all to ui-corner-all (TICKETREF, [0043089](http://github.com/jquery/jquery-mobile/commit/0043089d9e829cd544c93f9fb32967edb095619e))
* Button: Class ui-input-btn for all input buttons instead of ui-submit. Adjusted rules for buttons in field containers. (TICKETREF, [2c2be73](http://github.com/jquery/jquery-mobile/commit/2c2be730b41c888e3e17ca1a1cdbc0ab26bd3ebd))
* Button: Correct width of icon only buttons. (TICKETREF, [c15eb08](http://github.com/jquery/jquery-mobile/commit/c15eb08da95e07e63dd4fbca1b4e72401d78d0cf))
* Button: Don't add class ui-btn-hidden to native inputs but use a type selector. (TICKETREF, [86bb286](http://github.com/jquery/jquery-mobile/commit/86bb286949475793139cacf901ce2a0bd1890598))
* Button: Don't use diplay none to hide the native input when disabled, because this makes a difference for screen readers. (TICKETREF, [3707c55](http://github.com/jquery/jquery-mobile/commit/3707c55b482e9872442892fd9cb3f40bca5d089c))
* Button: First pass on buttons without calls to buttonMarkup(). (TICKETREF, [c747016](http://github.com/jquery/jquery-mobile/commit/c7470167dbdd5577bb1487b77fdb30166bcfdd55))
* Button: Fix Tests from moving button (TICKETREF, [bcd97c9](http://github.com/jquery/jquery-mobile/commit/bcd97c926b28389fb403d595334c6497d217a8c7))
* Button: Fix initSelector to only do input[type=button] to exclude button elements with type=button Fixes #6237 - JQM 1.4 alpha button on form has a large border ([#6237](http://github.com/jquery/jquery-mobile/issues/6237), [b2d9570](http://github.com/jquery/jquery-mobile/commit/b2d9570a665219fe5ca81843b6cc500cfe331c5d))
* Button: Fix initselector to only target inputs (TICKETREF, [e6eaab6](http://github.com/jquery/jquery-mobile/commit/e6eaab6c51ccc01a0a1e90d85557b9cb1fc3f2ed))
* Button: Fixed different height of button elements on Firefox. (TICKETREF, [f58166c](http://github.com/jquery/jquery-mobile/commit/f58166cb7cd19bd56663872800f927410a50f2a3))
* Button: Icon positioning and padding. (TICKETREF, [2772d1d](http://github.com/jquery/jquery-mobile/commit/2772d1d7184534f520f1bc15e1b8b2340678093d))
* Button: If a button element doesn't contain text we use the value if provided. (TICKETREF, [472b2ad](http://github.com/jquery/jquery-mobile/commit/472b2ad4d3832f97cc85662fc22371d2b2278a35))
* Button: Implement widget(), _destroy(), and perform _setOptions() via buttonMarkup() (TICKETREF, [981cae7](http://github.com/jquery/jquery-mobile/commit/981cae71f7669dfd74e4cec3220da59c68338288))
* Button: Increased specificity of ui-btn-left/right margin 0 rule to make it override default margins on controlgroups, etc. (TICKETREF, [f9a1c98](http://github.com/jquery/jquery-mobile/commit/f9a1c98366349e4dbcd8ba36d2117abdef5fbc51))
* Button: Linting changes that are slightly more sensitive. (TICKETREF, [c396bab](http://github.com/jquery/jquery-mobile/commit/c396babc7042df6f2e980ab4d5b85aba0e6864f5))
* Button: Made sure that icon-only buttons always have white-space nowrap. (TICKETREF, [ac9892e](http://github.com/jquery/jquery-mobile/commit/ac9892e82f3d773b747663d5531046d2dc1d4d02))
* Button: Only check if the element is an input once. (TICKETREF, [5515807](http://github.com/jquery/jquery-mobile/commit/5515807af968269edb600823b6fb209fe903eedf))
* Button: Only margin-right for inline buttons. Fixes #5816. ([#5816](http://github.com/jquery/jquery-mobile/issues/5816), [e003997](http://github.com/jquery/jquery-mobile/commit/e0039978d14a67896cfb167b2db57e0737998ed6))
* Button: Only unset the margin in grids for 100% width button elements. (TICKETREF, [723eb53](http://github.com/jquery/jquery-mobile/commit/723eb534fada4eb9c1513727670b9c10ec0a0ec2))
* Button: Optimized CSS for button elements. (TICKETREF, [feab6bc](http://github.com/jquery/jquery-mobile/commit/feab6bc2ba15aa48e5787d42d450e0f2d3609c6a))
* Button: Remove button element from button widget (TICKETREF, [4a90506](http://github.com/jquery/jquery-mobile/commit/4a90506924c3c0996bb2eba849c2a0ba67604c97))
* Button: Remove selectors that should really be buttonMarkup. (TICKETREF, [c1ca96c](http://github.com/jquery/jquery-mobile/commit/c1ca96cf2340af2473ebdead4da344f016507e7f))
* Button: Removed option disabled and enable/disable methods because the Widget Factory already implements them. Thanks Gabriel! (TICKETREF, [c5b24d0](http://github.com/jquery/jquery-mobile/commit/c5b24d054187652f0275d6d6b5b14c5843aaa9a8))
* Button: Set button text as title attribute value for icon-only buttons. (TICKETREF, [a53090e](http://github.com/jquery/jquery-mobile/commit/a53090efe77f068c4036004b41003e60d615c6c4))
* Button: Simplified the selector for native input style. (TICKETREF, [b131bfd](http://github.com/jquery/jquery-mobile/commit/b131bfd58d12781b9da837bb3642a6c9811eb0d9))
* Button: Update _create method to add enhanced option (TICKETREF, [d455be8](http://github.com/jquery/jquery-mobile/commit/d455be8d27db22bcf1ccef237af3caa17f4366a5))
* Button: add missing space in class for icon Fixes #6217 - Icons not showing correctly on input buttons ([#6217](http://github.com/jquery/jquery-mobile/issues/6217), [147ee42](http://github.com/jquery/jquery-mobile/commit/147ee420b36f3b9e678ac9cf99ad23b2df134d95))
* Button: buttons without buttonMarkup(). (TICKETREF, [d15dc59](http://github.com/jquery/jquery-mobile/commit/d15dc59ea31e411521c03a8afc454600a6abd9e6))
* Button: check to ensure icon is set before applying icon position class Fixes #6212 - Button text not correctly aligned to center ([#6212](http://github.com/jquery/jquery-mobile/issues/6212), [69699d0](http://github.com/jquery/jquery-mobile/commit/69699d00faaff979241f5e90f1399ef6a7ca8d80))
* Button: handle inital options in button creation and handle disabled buttons in buttonMarkup (TICKETREF, [035a829](http://github.com/jquery/jquery-mobile/commit/035a82951d6e77a865c1b33f6ca4ea18c718aa27))
* Button: header and footer buttons. (TICKETREF, [903c1fe](http://github.com/jquery/jquery-mobile/commit/903c1fe61f690fa36a05771e7ecd3e4af0cdf13a))
* Button: remove duplicated call to buttonMarkup (TICKETREF, [546fc72](http://github.com/jquery/jquery-mobile/commit/546fc7237e3502f42c3d56476dacbfb13e2f0b24))
* Button: remove inherit theme btn should have no default theme class (TICKETREF, [9481425](http://github.com/jquery/jquery-mobile/commit/94814258d0f97b1c57b36e786b1be5a62f09b03d))
* Button: removed border-radius inherit for ui-btn-text and added it to listview because that's the only place where we need this. Fixes #5709. ([#5709](http://github.com/jquery/jquery-mobile/issues/5709), [d9eb855](http://github.com/jquery/jquery-mobile/commit/d9eb855191538eb0a3626bdd31d866eafd90f863))
* Button: removed code for buttons in headers. buttonMarkup enhances them as buttons and the new toolbar widget will set the mini and inline options. (TICKETREF, [aeaec3d](http://github.com/jquery/jquery-mobile/commit/aeaec3d43059cdfd8af9b53bd09b9055a7d088a3))
* Button: renamed variable (TICKETREF, [862ad5a](http://github.com/jquery/jquery-mobile/commit/862ad5a20815cebb17b515448d2211f5b04fe29e))
* Button: store data in the widget instead of on the element. (TICKETREF, [260a5ff](http://github.com/jquery/jquery-mobile/commit/260a5ff904963aefd0a813c5ea6aaff1516205de))
* Button: theme inheritance. (TICKETREF, [43c1b77](http://github.com/jquery/jquery-mobile/commit/43c1b775efed7117f4254cb5e8374a3bf29ac98d))
* Button: use extend instead of expando (TICKETREF, [2b5a775](http://github.com/jquery/jquery-mobile/commit/2b5a7759e19e429c7cc8082624bb70aca8118622))
* Button: user-select none for all buttons. (TICKETREF, [7eddc2c](http://github.com/jquery/jquery-mobile/commit/7eddc2cc7373d717515d7604d1b300737f947bbe))
* Button: width auto for inline button elements was gone. (TICKETREF, [982f66f](http://github.com/jquery/jquery-mobile/commit/982f66f17b2421ea814d0453298a3343293070b3))
* CI: Added IRC notification for Travis CI tests (TICKETREF, [5be1817](http://github.com/jquery/jquery-mobile/commit/5be1817945006a83e845b819ba2eee88eb09b1ca))
* CI: Added multiple versions of jQuery to test against (TICKETREF, [e1e2028](http://github.com/jquery/jquery-mobile/commit/e1e202844e20e6e7d5c68940cc99369098d7c3dc))
* CI: Change travis ci config to run only on master (TICKETREF, [a864fe0](http://github.com/jquery/jquery-mobile/commit/a864fe03e684df19209051a7a173243fe81e56c1))
* CI: Changed irc.freenode.net to chat.freenode.net (TICKETREF, [325c522](http://github.com/jquery/jquery-mobile/commit/325c5226d609d3d43a740dc64aaae6c5766e3cd4))
* CI: How about using the right IRC channel? (TICKETREF, [641a58e](http://github.com/jquery/jquery-mobile/commit/641a58e2662437fc7428ff213861f3674ef00790))
* CI: Set build matrix to test against different versions of jQuery (  another attempt at ) (TICKETREF, [5290032](http://github.com/jquery/jquery-mobile/commit/5290032fa417097e761268a5b1788f4a466ea4e8))
* CI: Set build matrix to test against different versions of jQuery (TICKETREF, [2e63ebe](http://github.com/jquery/jquery-mobile/commit/2e63ebe847f7be9348039f1f6e5d996e89340cfb))
* Changed .is() to .hasClass() where possible for performance. (TICKETREF, [c3b58b3](http://github.com/jquery/jquery-mobile/commit/c3b58b312a1938cedcb07938400190be1bdbd448))
* Changed font-size 16px to 1em or removed the setting if not really needed. (TICKETREF, [774c71e](http://github.com/jquery/jquery-mobile/commit/774c71ef7ea4d9b2eeff499c2240db645d3fe425))
* Changed freenode.org to freenode.net (TICKETREF, [81379a9](http://github.com/jquery/jquery-mobile/commit/81379a9b0c4183ea6859bdf91ea97d2f8add7abe))
* Changed getInheritedTheme fallback to swatch "a" (TICKETREF, [08bcd6c](http://github.com/jquery/jquery-mobile/commit/08bcd6c996a216c1af998b7656d8ed426553184c))
* Changed option theme default to "a". (TICKETREF, [98b90c3](http://github.com/jquery/jquery-mobile/commit/98b90c3f03bb30b126b2d0b9079e9ab920e0d301))
* Changed the order of the CSS to reveal possible specificity issues when using Download Builder. (TICKETREF, [4fe1dc0](http://github.com/jquery/jquery-mobile/commit/4fe1dc01f660d289b9859cde9ea5261af1be50fd))
* Changed the qunit_junit namer Took out some debug logging (TICKETREF, [e3266fa](http://github.com/jquery/jquery-mobile/commit/e3266fa99e48deda36c1a96e2e29042fb3ccf30f))
* Changed version in demo center from 1.3.0 to 1.4.0-alpha.1 (TICKETREF, [616d6d1](http://github.com/jquery/jquery-mobile/commit/616d6d12d57bdf4ff2322014ab49f1e0b64a79ad))
* Changed version to 1.4.0pre (TICKETREF, [b45797f](http://github.com/jquery/jquery-mobile/commit/b45797f9596a8966ef8ff236a77aa0d2a34c4b7a))
* Checkbox: Native input and icon style. Fixes #5740. ([#5740](http://github.com/jquery/jquery-mobile/issues/5740), [8f5ad89](http://github.com/jquery/jquery-mobile/commit/8f5ad893813eb611c4f809d2fbbe3fed302a3d3c))
* Checkbox: replaced ui-btn-corner-all by ui-corner-all. (TICKETREF, [df87173](http://github.com/jquery/jquery-mobile/commit/df8717318c137bf1e28a68afd40188b2132a0e76))
* Checkboxradio: Accessibility. See also 3707c55. (TICKETREF, [9637fc8](http://github.com/jquery/jquery-mobile/commit/9637fc89418dd51d94c93380364a801aa2110f6b))
* Checkboxradio: According to the unit tests setting data-iconpos on the label element is supposed to work. (TICKETREF, [2b80339](http://github.com/jquery/jquery-mobile/commit/2b80339ee9ae252ccd5af56541d08bc00fe53fa1))
* Checkboxradio: Escape ID when it is being used as a selector for netting the corresponding <label>. Fixes #6052 - version 1.3.0 checkboxes are not displayed when id has [ character - selectors not escaped properly. ([#6052](http://github.com/jquery/jquery-mobile/issues/6052), [0b4e538](http://github.com/jquery/jquery-mobile/commit/0b4e538d0a0256d9b01cf4e158ce8d640deead5b))
* Checkboxradio: Extend widget instance with buttonMarkup options and empty object after use. (TICKETREF, [3ce6815](http://github.com/jquery/jquery-mobile/commit/3ce6815b5e96b16ac7733a6a76bbbd3a3f30536f))
* Checkboxradio: Fixed disable and enable methods. (TICKETREF, [3e8b311](http://github.com/jquery/jquery-mobile/commit/3e8b311225cb2f1c4ca3277981d4e832d1ba5502))
* Checkboxradio: Fixed the disabled state. (TICKETREF, [fe21742](http://github.com/jquery/jquery-mobile/commit/fe217429915b9c81264a8459c323a9cc72437da3))
* Checkboxradio: Focus state box-shadow on top of other buttons in controlgroups. (TICKETREF, [4a2163c](http://github.com/jquery/jquery-mobile/commit/4a2163c3082642328c108130a11c367b0789b2ca))
* Checkboxradio: Get rid of buttonMarkup. (TICKETREF, [7a55b27](http://github.com/jquery/jquery-mobile/commit/7a55b275bb907ef3101cc92ce494b32af431ff35))
* Checkboxradio: Mini class and margin on the wrapper instead of the button. Adjusted native input size. (TICKETREF, [74a8c54](http://github.com/jquery/jquery-mobile/commit/74a8c54d6cd65e78c61af5100b35b61ac0399882))
* Checkboxradio: On-the-fly options via optionDemultiplexer (TICKETREF, [f085f61](http://github.com/jquery/jquery-mobile/commit/f085f6115a27bfb8ce0fc89462d60f6e98d29f86))
* Checkboxradio: Removed padding and icon positioning rules; use global rules from core.css. (TICKETREF, [0681805](http://github.com/jquery/jquery-mobile/commit/0681805cbacb93d5f7a000b1f97a125fe75627ae))
* Checkboxradio: Removing unused variable. (TICKETREF, [17d1605](http://github.com/jquery/jquery-mobile/commit/17d16050b358271585ec5272d481074949417cd3))
* Checkboxradio: Replace bind with ._on(). (TICKETREF, [eb6eddb](http://github.com/jquery/jquery-mobile/commit/eb6eddb64acfee7032e7204ca300fc2d8c0888fb))
* Checkboxradio: Theme inheritance via CSS. Don't add btn theme class unless it a theme has been set. (TICKETREF, [cac84d1](http://github.com/jquery/jquery-mobile/commit/cac84d1bb75c30e3bc2c46397447f3123e53e02b))
* Checkboxradio: This was once added as fix for IE7 (#3837) and is no longer needed. (TICKETREF, [68b9731](http://github.com/jquery/jquery-mobile/commit/68b973171ea8698a2630004a58fd8b26ab2438e1))
* Checkboxradio: Updated CSS. (TICKETREF, [731b1d0](http://github.com/jquery/jquery-mobile/commit/731b1d0f620b983d6495577fc9558d9d6bc321cd))
* Checkboxradio: Updated the CSS that hides the icon in horizontal controlgroups. (TICKETREF, [f5c4d62](http://github.com/jquery/jquery-mobile/commit/f5c4d62e73a11a9e0c916938bf073bf376e61b0c))
* Checkboxradio: Widget Review (TICKETREF, [5e5b9c9](http://github.com/jquery/jquery-mobile/commit/5e5b9c9722a344b188a7d739e961d12ac81a0804))
* Checkboxradio: ensure proper input order is maintained in the dom durring enhancment. Fixes #339 - Checkboxes don't work when used with ROR checkbox helper ([#339](http://github.com/jquery/jquery-mobile/issues/339), [4ab19a7](http://github.com/jquery/jquery-mobile/commit/4ab19a70766d40382940c86427ffd3dc8e95e1ad))
* Checkboxradio: finish reviewing (TICKETREF, [2815d6f](http://github.com/jquery/jquery-mobile/commit/2815d6fa880fc49b2a78cba9d7738a2e50b7e6c3))
* Checkboxradio: fix icon position of horizontal groups (TICKETREF, [426b4a3](http://github.com/jquery/jquery-mobile/commit/426b4a3a463486ec63e86e11e9938d17f4a32ee9))
* Checkboxradio: fix incorrect refrence to class instead of wrapperClass (TICKETREF, [ec3eece](http://github.com/jquery/jquery-mobile/commit/ec3eecec4873b729d1eac33bde25462f58123c8c))
* Checkboxradio: prevent reintroducing issue #1419; white-space nowrap doesn't work on label. (TICKETREF, [1ba33fc](http://github.com/jquery/jquery-mobile/commit/1ba33fcc3fe66d3c562a75187fd9e2e56c6f9582))
* Checkboxradio: remove duplicated call to buttonMarkup (TICKETREF, [86431e2](http://github.com/jquery/jquery-mobile/commit/86431e2495f8d816f86518aed2f873c0df53e1c9))
* Checkboxradio: review updates (TICKETREF, [7bca17c](http://github.com/jquery/jquery-mobile/commit/7bca17ccba2d3ead082a8de24824e9ed336d553c))
* Checkboxradio: set ui-btn-inherit as default theme class Fixes #6183 - checkboxradio("option", "theme") setter works only once ([#6183](http://github.com/jquery/jquery-mobile/issues/6183), [2978275](http://github.com/jquery/jquery-mobile/commit/2978275191f1798d1b5bad4259fb11093f8e98ca))
* Checkboxradio: use full words for varibles fix options settings and remove dup method (TICKETREF, [5c7b108](http://github.com/jquery/jquery-mobile/commit/5c7b10847caaaa8e2609bff16a14cc1432dcb4c8))
* Cleaned up (TICKETREF, [9851584](http://github.com/jquery/jquery-mobile/commit/9851584212cc43a9e0ee68ec92248f50f6770653))
* Cleaned up old build system (TICKETREF, [0fc724b](http://github.com/jquery/jquery-mobile/commit/0fc724bf69daa00c2dbd91e087f84a687d96ec18))
* Cleanup. (TICKETREF, [99d05bb](http://github.com/jquery/jquery-mobile/commit/99d05bb977cee48fc1d82d2b879eb745e0b25c5c))
* Clearbutton: add clearbutton and autogrow to jquery.mobile.js (TICKETREF, [8adff44](http://github.com/jquery/jquery-mobile/commit/8adff441f31995a6dc52c947aaaa39caf02ac5df))
* Code Style: Whitespace (TICKETREF, [22b5be4](http://github.com/jquery/jquery-mobile/commit/22b5be44f0274b1a32a7c814e9e3ca8e979ce8e6))
* Coding standards (TICKETREF, [19d34b4](http://github.com/jquery/jquery-mobile/commit/19d34b4caff0207cf2ce4e4af96286c91a24f7a9))
* Coding standards (TICKETREF, [af7af31](http://github.com/jquery/jquery-mobile/commit/af7af3108be75ae7b22eb9506bacd910512d96b3))
* Coding standards. (TICKETREF, [03d4933](http://github.com/jquery/jquery-mobile/commit/03d49330fb0e83018ce0ee5a0f428a6d1cc87ae2))
* Coding standards. (TICKETREF, [10a66f4](http://github.com/jquery/jquery-mobile/commit/10a66f400fb40dbcc6efb387d324ba7b3494a0f3))
* Coding standards. (TICKETREF, [489db0a](http://github.com/jquery/jquery-mobile/commit/489db0a3cf5bd1f8e5e60f0a963003a4d4774c27))
* Coding standards. (TICKETREF, [c4b93ab](http://github.com/jquery/jquery-mobile/commit/c4b93abc3733ed39dcb632647a83e326bc28aa22))
* Collapsible (set): Updated CSS to new button markup and icons in pseudo elements. (TICKETREF, [cd7e13e](http://github.com/jquery/jquery-mobile/commit/cd7e13ec21dc29c1f1f07342e2066c451f2ba207))
* Collapsible set: Correction in changes of commit 321fce3. (TICKETREF, [c50bd79](http://github.com/jquery/jquery-mobile/commit/c50bd7935f83f63cdcf95118b3510c7ab100a19a))
* Collapsible set: Declare the same options as collapsible, and update child collapsibles when any of those options change. (TICKETREF, [c12d10f](http://github.com/jquery/jquery-mobile/commit/c12d10f4429d42023c7b304d56c7f162c06c75c0))
* Collapsible set: Do not rely exclusively on the presence of the data-role="collapsibleset" and data-role="collapsible" to identify collapsibles and their parent accordions. Use :mobile-collapsible and :mobile-collapsibleset as well. (TICKETREF, [46cd89c](http://github.com/jquery/jquery-mobile/commit/46cd89c0f0caea55e1c717308056ea285f092c34))
* Collapsible set: Forgot to lint. (TICKETREF, [7069768](http://github.com/jquery/jquery-mobile/commit/7069768462651872021f51df0c23ca8f6bb40d68))
* Collapsible set: Implement "enhanced" option and address #6163. (TICKETREF, [a0e62d7](http://github.com/jquery/jquery-mobile/commit/a0e62d7c1db4268480c8289b6d70a1bde983fe23))
* Collapsible set: Implement _destroy(). (TICKETREF, [9943c87](http://github.com/jquery/jquery-mobile/commit/9943c873056cfc6d52777c9a02ae27289a389f1b))
* Collapsible set: Reflect options that affect the collapsibleSet instead of merely forwarding them all to the children. (TICKETREF, [01301cc](http://github.com/jquery/jquery-mobile/commit/01301cca0ded11a2c3bdcc5e8c6966d022c83327))
* Collapsible set: Start using the new expand()/collapse() public API instead of the signal-based one. Fixes #5271, #5798. ([#5271](http://github.com/jquery/jquery-mobile/issues/5271), [fe60da4](http://github.com/jquery/jquery-mobile/commit/fe60da49b06f42e66a648adbd69f6dff349b4392))
* Collapsible set: Stop relying on _toggleClasses and _setOptions from _create. (TICKETREF, [6675c9a](http://github.com/jquery/jquery-mobile/commit/6675c9a1f0cd95fd3582443525562dea99a3e4ee))
* Collapsible set: Theme inheritance. (TICKETREF, [321fce3](http://github.com/jquery/jquery-mobile/commit/321fce3f21939508d5c579e45145bfd8f8ec8a77))
* Collapsible: Account for the possibility that the collapsibleset widget is not defined. (TICKETREF, [3f6a188](http://github.com/jquery/jquery-mobile/commit/3f6a18890bd1334c232789071b16f42944c5c14d))
* Collapsible: Add refresh() method which basically applies an empty set of options. (TICKETREF, [f380d2a](http://github.com/jquery/jquery-mobile/commit/f380d2a804ba3e9c74d79ace8604f587c8d1e218))
* Collapsible: Address #6163. (TICKETREF, [451bd0b](http://github.com/jquery/jquery-mobile/commit/451bd0b79e4b5da3a10dabb98af85c042c2c5d0b))
* Collapsible: Also check for :mobile-collapsibleset when attempting to determine whether inside an accordion. (TICKETREF, [04a449a](http://github.com/jquery/jquery-mobile/commit/04a449ab4050dc4ff83f454f49256ebab703b573))
* Collapsible: Collecting UI-related variables into this._ui. (TICKETREF, [1b0b033](http://github.com/jquery/jquery-mobile/commit/1b0b03340c7684d5d065cd2faf23ab0c446640a1))
* Collapsible: Consistency in the padding and margin values we use across widgets. (TICKETREF, [0aa7f0a](http://github.com/jquery/jquery-mobile/commit/0aa7f0aa3bb1231d6b3710fc2e2bca1139df0bb3))
* Collapsible: Content theme default to inherit instead of none. (TICKETREF, [63dd22f](http://github.com/jquery/jquery-mobile/commit/63dd22f365077ffa45e7910f7a360bd70df9ed07))
* Collapsible: Detach heading before performing a slew of DOM manips on it and re-attach it afterwards. (TICKETREF, [b860536](http://github.com/jquery/jquery-mobile/commit/b860536b47a6c7c129927fb29117c8568d3afc1b))
* Collapsible: Do not collapse already-collapsed collapsibles. Fixes #5911. Thanks @DzenisevichK. ([#5911](http://github.com/jquery/jquery-mobile/issues/5911), [94b59a3](http://github.com/jquery/jquery-mobile/commit/94b59a339228c181b2051956b475e9864decb295))
* Collapsible: Don't unset the border of nested collapsibles in a set of individual collapsibles. Fixes #6188. ([#6188](http://github.com/jquery/jquery-mobile/issues/6188), [1ffa618](http://github.com/jquery/jquery-mobile/commit/1ffa618c68c20a47c828240f2c3d7d7cb7aadaeb))
* Collapsible: Elaborating on the semantics behind $.mobile.collapsible.defaults. (TICKETREF, [14b532b](http://github.com/jquery/jquery-mobile/commit/14b532b10f35b660331eb533e6f421053d9109c5))
* Collapsible: Get rid of buttonMarkup. (TICKETREF, [57b245e](http://github.com/jquery/jquery-mobile/commit/57b245e62c764111e5d70361e430725c95dbc532))
* Collapsible: Implement _destroy(). (TICKETREF, [561090d](http://github.com/jquery/jquery-mobile/commit/561090d419102eec91db6298f88d1d84d03e4d44))
* Collapsible: Implement public methods expand() and collapse() for programmatic manipulation and trigger namespaced signals via this._trigger() instead of non-namespaced ones. (TICKETREF, [0fcb5c4](http://github.com/jquery/jquery-mobile/commit/0fcb5c49a75c62da9be7f2738ed8d177775cae33))
* Collapsible: Implement the "enhanced" option. (TICKETREF, [c135660](http://github.com/jquery/jquery-mobile/commit/c135660d2dcef188d88113aa42dc633e24d7f1ae))
* Collapsible: Make _setOptions work with possible inheritance from an accordion. (TICKETREF, [17d7b77](http://github.com/jquery/jquery-mobile/commit/17d7b7733de2ab46f85ea87f57440ee3eedc5fa9))
* Collapsible: Make contentTheme an inheritable option. Fixes #6274 - Collapsible set: Dynamically added collapsible doesn't get content theme. ([#6274](http://github.com/jquery/jquery-mobile/issues/6274), [5cc2162](http://github.com/jquery/jquery-mobile/commit/5cc21621b8fb813fa49eeaba9fc975f933e65af7))
* Collapsible: Move handleExpandCollapse() to a widget-level function. (TICKETREF, [b97133b](http://github.com/jquery/jquery-mobile/commit/b97133b8e904c4a653a44f7e8bc6458965c1de04))
* Collapsible: Needs to depend on core, because it uses $.mobile.getAttribute. (TICKETREF, [8565055](http://github.com/jquery/jquery-mobile/commit/856505571fd484976814d85280f26d139b752915))
* Collapsible: Remove buttonMarkup AMD-dependency. (TICKETREF, [8e44d33](http://github.com/jquery/jquery-mobile/commit/8e44d33c1e97ad5caa118f5cfeb6886bbe2a2e91))
* Collapsible: Remove unneeded variables. (TICKETREF, [1f9e699](http://github.com/jquery/jquery-mobile/commit/1f9e69980fd30f65442cd33562bac505ee5bea44))
* Collapsible: Removed padding and icon positioning rules; use global rules from core.css. (TICKETREF, [bb2eda5](http://github.com/jquery/jquery-mobile/commit/bb2eda543b85d52e9c098da66444ea203eca6db7))
* Collapsible: Renaming variable "o" to "opts" for options. (TICKETREF, [1ec1626](http://github.com/jquery/jquery-mobile/commit/1ec16262605ef353e5054cd0ad43f0e45a27be8a))
* Collapsible: Replace jqmData with getAttribute. (TICKETREF, [c692c05](http://github.com/jquery/jquery-mobile/commit/c692c0526e3fd4606feed341822902d89848c8b1))
* Collapsible: Shortening unnecessarily long variable names. (TICKETREF, [9a14309](http://github.com/jquery/jquery-mobile/commit/9a1430953a6dce5dc11566ab58826ae086f7cb7e))
* Collapsible: Stop relying on _toggleClasses and _setOptions from _create. (TICKETREF, [5d6b87a](http://github.com/jquery/jquery-mobile/commit/5d6b87a7e293db98e176d1f2cd382be6163efe6e))
* Collapsible: The negative margin on the container instead of heading and content to fix icon position issues. (TICKETREF, [99aa9b0](http://github.com/jquery/jquery-mobile/commit/99aa9b049c1eb1f35a754c408cbccb65140c687a))
* Collapsible: Theme inheritance. (TICKETREF, [8616e11](http://github.com/jquery/jquery-mobile/commit/8616e1170c87e9d74f413c7d068996b7d887b212))
* Collapsible: There is no need to enhance-depend on page and toolbar. (TICKETREF, [00a29e7](http://github.com/jquery/jquery-mobile/commit/00a29e79d42a80d9aee5a938c899401219f30535))
* Collapsible: Unset margin if it is a set of individual collapsibles. (TICKETREF, [25ea432](http://github.com/jquery/jquery-mobile/commit/25ea432a4347f894a42d88ef72fc95c99146be01))
* Collapsible: When replacing a legend, enhance the replacement before inserting it into the DOM. (TICKETREF, [fc29d74](http://github.com/jquery/jquery-mobile/commit/fc29d7464d11c0f8fff80d6c0e9e7d91480e9433))
* Columntoggle table: Add "role=button" to the "Columns..." button. (TICKETREF, [5348bc4](http://github.com/jquery/jquery-mobile/commit/5348bc4c349bdb9cbf748b7dd529ce0eb7037906))
* Commented out buttonMarkup code that adds button state classes. We are using pseudo classes now. (TICKETREF, [65f28e1](http://github.com/jquery/jquery-mobile/commit/65f28e138f78f8f3fdc426cab2c7c8d016cb8489))
* Content Widget: Remove mobile base widget (TICKETREF, [17ae60a](http://github.com/jquery/jquery-mobile/commit/17ae60ad638c95733aa8c7a2091392b356905783))
* Controlgroup: Added option theme. Fixes #5301. ([#5301](http://github.com/jquery/jquery-mobile/issues/5301), [6bd0caf](http://github.com/jquery/jquery-mobile/commit/6bd0cafc5303a4fe4784fab56d3941b8384efa52))
* Controlgroup: Address #6163. (TICKETREF, [90218eb](http://github.com/jquery/jquery-mobile/commit/90218eb7a15c4673992bac4cb8811d1e617863f5))
* Controlgroup: Call refresh() when the value of the excludeInvisible option changes. Fixes #6199. ([#6199](http://github.com/jquery/jquery-mobile/issues/6199), [07ed62a](http://github.com/jquery/jquery-mobile/commit/07ed62a4b92537a0132d5a85e50b6248c8d6349d))
* Controlgroup: Centralize option setting. (TICKETREF, [2c87df4](http://github.com/jquery/jquery-mobile/commit/2c87df44a8ff74306d129d44f1f4bd149bb1e227))
* Controlgroup: Clarified comment. (TICKETREF, [30fd6fe](http://github.com/jquery/jquery-mobile/commit/30fd6fe933e864d24c6329f3eeeedd1575e7d935))
* Controlgroup: Copy the code for the various setters into _create() for faster instantiation. (TICKETREF, [6403049](http://github.com/jquery/jquery-mobile/commit/64030496e3d13fea0d3c4d24bba1ed8c808f1e14))
* Controlgroup: Correct height of mini icon only buttons. (TICKETREF, [0a6e524](http://github.com/jquery/jquery-mobile/commit/0a6e5245d0e125252a9a6d063dae94eabf40216b))
* Controlgroup: Do not call _setOptions during _create. (TICKETREF, [80eb0ec](http://github.com/jquery/jquery-mobile/commit/80eb0ec1aec0958900172bb48ec01d2834252cda))
* Controlgroup: Fixed the corner styling. (TICKETREF, [fd4567d](http://github.com/jquery/jquery-mobile/commit/fd4567da73b4dbacc34f827457fd5d819aa652b6))
* Controlgroup: Fixed the width of button elements in horizontal controlgroups. (TICKETREF, [014aae6](http://github.com/jquery/jquery-mobile/commit/014aae68e90424cef5982b5741f10016dfcff654))
* Controlgroup: Fixes focus style for controlgroup buttons. (TICKETREF, [4e3da22](http://github.com/jquery/jquery-mobile/commit/4e3da2274c617f7734bbf3a6fc24fe550870b36b))
* Controlgroup: Heed the linter. (TICKETREF, [cbf7a44](http://github.com/jquery/jquery-mobile/commit/cbf7a4435030c358353f96a800be07c4fab6372b))
* Controlgroup: Implement "enhanced" attribute. (TICKETREF, [d9bbfc4](http://github.com/jquery/jquery-mobile/commit/d9bbfc4a5a3f742ff7c55d180ebe6ee3a9ee1537))
* Controlgroup: Implement _destroy(). (TICKETREF, [ebd8499](http://github.com/jquery/jquery-mobile/commit/ebd849903a8a0cbce721650bcc9f5bb1645fe00d))
* Controlgroup: Make legend wrap on IE10. Fixes #6139. ([#6139](http://github.com/jquery/jquery-mobile/issues/6139), [de6c4f9](http://github.com/jquery/jquery-mobile/commit/de6c4f9f6223e277f4586d5d62db3e26653ea130))
* Controlgroup: Prevent ui-group-theme-null class. (TICKETREF, [ebeb23a](http://github.com/jquery/jquery-mobile/commit/ebeb23ad52144cdddb5e06bde16173ce48a8d7da))
* Controlgroup: Remove initSelector. (TICKETREF, [5cff630](http://github.com/jquery/jquery-mobile/commit/5cff630211d2471ce3c1c56bdc1bded95284d8b0))
* Controlgroup: Removed font-size rules that breaks mini style. (TICKETREF, [f1d8503](http://github.com/jquery/jquery-mobile/commit/f1d85038de2a8fe05f41902a7c43db39f96bb7ec))
* Controlgroup: Removed margin on controlgroup in bars. The bar already has padding. (TICKETREF, [fa79896](http://github.com/jquery/jquery-mobile/commit/fa7989665a20e1c9c9ac6cc8923867d08c52e069))
* Controlgroup: Reverse the order of two if-statement branches. (TICKETREF, [240a7df](http://github.com/jquery/jquery-mobile/commit/240a7dfc5eeaa550f2ead81fb2cd3879d2d0efd2))
* Controlgroup: Same style for the controlgroup label (legend) as other labels. (TICKETREF, [35b4b2f](http://github.com/jquery/jquery-mobile/commit/35b4b2faf7ab745d9ef6db7055b0e5ec97d885fb))
* Controlgroup: Set shadow on the inner wrapper. Fixes #5817. ([#5817](http://github.com/jquery/jquery-mobile/issues/5817), [ba3f8fa](http://github.com/jquery/jquery-mobile/commit/ba3f8fa2e07bf7861988b7e2db0ec9514734c938))
* Controlgroup: Stop removing the legend upon _destroy(). (TICKETREF, [2ca0065](http://github.com/jquery/jquery-mobile/commit/2ca00658e4688db58d692f5054f9d0145aba605e))
* Controlgroup: Target buttons inside the controlgroup-controls container only. Fixes #5352. Changes from PR #5821 with some modifications. Thanks @aristotelos ! ([#5352](http://github.com/jquery/jquery-mobile/issues/5352), [963d895](http://github.com/jquery/jquery-mobile/commit/963d895279f3e9b2db124a37816cdd0dc390788a))
* Controlgroup: Updated CSS. Fixes #5484. ([#5484](http://github.com/jquery/jquery-mobile/issues/5484), [83ec301](http://github.com/jquery/jquery-mobile/commit/83ec30103240cdc742ceddf5128d52b1f7a08885))
* Controlgroup: Use button corner radii for controlgroup. (TICKETREF, [fb81047](http://github.com/jquery/jquery-mobile/commit/fb81047aba286bc649d4686ce98a8c24493a5840))
* Controlgroup: Whitespace fix. (TICKETREF, [916efda](http://github.com/jquery/jquery-mobile/commit/916efdaaf36412fa075d2c4bcc78b43240dd46db))
* Controlgroup: ensure load order does not matter for child widgets (TICKETREF, [92ef12a](http://github.com/jquery/jquery-mobile/commit/92ef12ae0f47df8578d6707205bdc5e317f2fbe9))
* Controlgroup: refresh was called twice when widget was created. Legend element is now created when it is needed. (TICKETREF, [2138a09](http://github.com/jquery/jquery-mobile/commit/2138a091500c0c46b3ce1827a53f34f276a02dea))
* Core CSS: No mini size for icon-only buttons when the ui-mini class is on a container. (TICKETREF, [7c768aa](http://github.com/jquery/jquery-mobile/commit/7c768aae04d88a8b87f7795eb2958129c68a323e))
* Core CSS: Overflow-x hidden for page because navbars are wider than the page. Fixes #5566. ([#5566](http://github.com/jquery/jquery-mobile/issues/5566), [9f70f06](http://github.com/jquery/jquery-mobile/commit/9f70f064fc26bfbe3c7feded5a737064bb961a38))
* Core CSS: Unset browser default min-width for fieldset. Fixes #6077. ([#6077](http://github.com/jquery/jquery-mobile/issues/6077), [57adccc](http://github.com/jquery/jquery-mobile/commit/57adccc854961ed2c06431623e6fb1d743e875ab))
* Core: Add param to $.mobile.getAttribute to prefix with "data-" + $.mobile.ns (TICKETREF, [f5a519b](http://github.com/jquery/jquery-mobile/commit/f5a519bda3cdf252c7a5cd71bca6f92ff3e30942))
* Core: Added fix for fieldset width on Firefox. Fixes #6077. ([#6077](http://github.com/jquery/jquery-mobile/issues/6077), [be4649f](http://github.com/jquery/jquery-mobile/commit/be4649f9a21a992fe397c60cb91d703ce9f239a7))
* Core: Break up into data, defaults, and helpers modules (TICKETREF, [c7884ca](http://github.com/jquery/jquery-mobile/commit/c7884ca99a853ea47f4243bd763e6277483a7e85))
* Core: Cleaned up and reduced CSS. (TICKETREF, [b412111](http://github.com/jquery/jquery-mobile/commit/b412111ca8546a47691e1afbe2e0b5a79671ad83))
* Core: Fix comment typo. (TICKETREF, [e5922fa](http://github.com/jquery/jquery-mobile/commit/e5922fa9b879eb413ca860df0f80eeaf5c239cd6))
* Core: Fix dependencies (TICKETREF, [3da7657](http://github.com/jquery/jquery-mobile/commit/3da765759cbacc565be5e7864292e09b7e20734e))
* Core: Fix incorrect useage of $.fn.add (TICKETREF, [8d61fb2](http://github.com/jquery/jquery-mobile/commit/8d61fb20775ba5dbe93fdbfa6540a570f0c68a97))
* Core: Integrate ui core remove keyCode and uuid function from mobile helpers (TICKETREF, [812ce9d](http://github.com/jquery/jquery-mobile/commit/812ce9df58b007ba63d26f14b3424ae3cd5f503c))
* Core: Made buttons in toolbars default to mini and inline. Adjusted ui-btn-left/right offset values. (TICKETREF, [11ca529](http://github.com/jquery/jquery-mobile/commit/11ca529761b696cb5c68e53e92994d9a9c35f3f8))
* Core: Min height for empty toolbars. Fixes #6258. ([#6258](http://github.com/jquery/jquery-mobile/issues/6258), [45863ab](http://github.com/jquery/jquery-mobile/commit/45863abe75d9e59495a8d03a66375debf5ac9ebf))
* Core: Moved ui-screen-hidden class to core.css because we use this in mutiple widgets. (TICKETREF, [b232941](http://github.com/jquery/jquery-mobile/commit/b232941c9ecdb52b08c714689f59111131658cad))
* Core: No icon pseudo element for the loader. (TICKETREF, [e81f81e](http://github.com/jquery/jquery-mobile/commit/e81f81e1c6171071b41fbcd0d0d204df09757c0c))
* Core: Only set a default min-height for the page. Fixes #5755 ([#5755](http://github.com/jquery/jquery-mobile/issues/5755), [412fa36](http://github.com/jquery/jquery-mobile/commit/412fa368f4218e00952fa9783b417ef3f65d3a5e))
* Core: Padding instead of margin top/bottom for the heading ensures the toolbar gets height. (TICKETREF, [1323a8f](http://github.com/jquery/jquery-mobile/commit/1323a8f5f62ff5820790571485d600514680d7b2))
* Core: Prevent additional space at bottom of fieldsets on Firefox. Fixes #6319. ([#6319](http://github.com/jquery/jquery-mobile/issues/6319), [1524ea1](http://github.com/jquery/jquery-mobile/commit/1524ea17c290b97a4e79c8e6a776923b2090efc0))
* Core: This was only needed because the loader and buttons with icons both got the ui-icon class, but that is gone. (TICKETREF, [a19b4df](http://github.com/jquery/jquery-mobile/commit/a19b4df038ab1d45b7cdf03a4cb5093f7e4bfc20))
* Core: Update key codes. fix incorrect ones and update to match UI. (TICKETREF, [c57dfa3](http://github.com/jquery/jquery-mobile/commit/c57dfa3d3e33b782d776b9454db49abc59d9358b))
* Core: Use a not div for wrapper elements and slash is not needed ( saves bytes ) (TICKETREF, [d36059f](http://github.com/jquery/jquery-mobile/commit/d36059f3674f93e7dd305f5d6f5dcc7493036adf))
* Core: Use add not merge for adding dependants. (TICKETREF, [3f1e1c5](http://github.com/jquery/jquery-mobile/commit/3f1e1c567cf7a07be40126cebfb51fbcfd213fd2))
* Core: moved clear button and buttons in grids rules to the files where they belong. (TICKETREF, [bf50400](http://github.com/jquery/jquery-mobile/commit/bf50400e79da6d5734f4084af858c169914a8afd))
* Core: properly extend mobile object (TICKETREF, [fd2be73](http://github.com/jquery/jquery-mobile/commit/fd2be73b4405aab04d1b1dac8575adaa6175bceb))
* Cored: remove redunant check of prop in nsNormalize (TICKETREF, [b8f8447](http://github.com/jquery/jquery-mobile/commit/b8f844741161d9c192447cba5c944be1f9be28c8))
* Correction icon shadow class of dialog close button and listview split button. (TICKETREF, [8140412](http://github.com/jquery/jquery-mobile/commit/8140412dee710466801fc81f9d66de67e3482266))
* Correction in check icon background-image url. (TICKETREF, [7182ec0](http://github.com/jquery/jquery-mobile/commit/7182ec04f477bdc68b72eb87020b81bec3933029))
* Count bubble theming. (TICKETREF, [b879369](http://github.com/jquery/jquery-mobile/commit/b879369e05300105cf27ab93444d6ec1f1468e20))
* Count bubbles: Use body theme. Adjusted border radius and font size. (TICKETREF, [072c703](http://github.com/jquery/jquery-mobile/commit/072c7030dbe6c87ab4083f0399e93c36abe1fab0))
* Created grunt task cssbuild (TICKETREF, [79e6089](http://github.com/jquery/jquery-mobile/commit/79e608976540092cb5f9adc397aeaa20a8b726c5))
* Custom select: Add "role=button" to multiple select popup close button. (TICKETREF, [f7c0578](http://github.com/jquery/jquery-mobile/commit/f7c0578950fe0e38067a3aaba25585e8981126b0))
* Custom select: Adding the menu page to the list of dependents has no effect, removing. (TICKETREF, [a30522e](http://github.com/jquery/jquery-mobile/commit/a30522ee1154ea189236fe03b756e375072f7fab))
* Custom select: Call the close() method upon "popupafterclose" by binding it via this._on(). (TICKETREF, [571b4f3](http://github.com/jquery/jquery-mobile/commit/571b4f3c4e784611b688f94c84e1e90206c1c865))
* Custom select: Convert to extension. (TICKETREF, [80ea8cf](http://github.com/jquery/jquery-mobile/commit/80ea8cf50059830c968eb83d615936219c7dc60f))
* Custom select: Escape weird characters in popup/dialog ID when they become hrefs. Fixes #5893. ([#5893](http://github.com/jquery/jquery-mobile/issues/5893), [f0b2417](http://github.com/jquery/jquery-mobile/commit/f0b2417d4d8cbd84903fe9c1112a34b1ef13a039))
* Custom select: Get rid of buttonMarkup. (TICKETREF, [0bf39e1](http://github.com/jquery/jquery-mobile/commit/0bf39e141d96463f959ae61573eb95f31ec5f647))
* Custom select: Instead of determining the option that was clicked via a selector, use the "data-option-index" attribute that was set during list creation. (TICKETREF, [5c99158](http://github.com/jquery/jquery-mobile/commit/5c99158f95e839929906a796f5ed2715ac29cc90))
* Custom select: Moving binding that causes the dialog page to be destroyed into the widget prototype and calling it _handleMenuPageHide(). (TICKETREF, [77143ac](http://github.com/jquery/jquery-mobile/commit/77143ac9e56b1ed41d4ccf5eef671597b01e1f9e))
* Custom select: Moving binding that closes popup when the user clicks onto the header's close button into the widget prototype and calling it _handleHeaderCloseClick(). (TICKETREF, [bdf50bf](http://github.com/jquery/jquery-mobile/commit/bdf50bf5e0b80f40bf10a391e0f430552972faf7))
* Custom select: Moving binding that opens the select into the widget prototype and calling it _handleButtonVclickKeydown(). (TICKETREF, [b17e504](http://github.com/jquery/jquery-mobile/commit/b17e50439838b026de5596f2048e39851e64845f))
* Custom select: Moving binding that transfers focus from the native widget to the button into the widget prototype and calling it _handleSelectFocus(). (TICKETREF, [a0c6e1a](http://github.com/jquery/jquery-mobile/commit/a0c6e1ace2b3f2df1d058b2892a127f86858bd9b))
* Custom select: Moving focusMenuItem() into the widget prototype and calling it _focusMenuItem(). (TICKETREF, [e7691a7](http://github.com/jquery/jquery-mobile/commit/e7691a7c07ea40cf222930d59e41ad6d6395d150))
* Custom select: Moving item-to-item focus transfer binding into the widget prototype and calling it _handleListFocus(). (TICKETREF, [04b2f73](http://github.com/jquery/jquery-mobile/commit/04b2f7382054a75f78e4d39322c8261d323056be))
* Custom select: Must un-hide popup container before calculating height. (TICKETREF, [541f963](http://github.com/jquery/jquery-mobile/commit/541f963abfe2e228394ae4577a718b8c28f8a348))
* Custom select: Remove dialog upon _destroy. Fixes #5935 - Dynamic Select empty when opening second time. ([#5935](http://github.com/jquery/jquery-mobile/issues/5935), [afabf5b](http://github.com/jquery/jquery-mobile/commit/afabf5b81b7b24c9f6d1c54c97ec5b8f72787fa1))
* Custom select: Removing some references to "self" in build(). (TICKETREF, [a0ffdef](http://github.com/jquery/jquery-mobile/commit/a0ffdefe2ae0f2b41fa6235e61531e40af9a1402))
* Custom select: Stop referring so much to this.options in build(), using o = this.options instead. (TICKETREF, [0356e67](http://github.com/jquery/jquery-mobile/commit/0356e676d27cac7871192d6a545724c16dd8af10))
* Custom select: Theme inheritance. (TICKETREF, [326a110](http://github.com/jquery/jquery-mobile/commit/326a1102bafff5eed6f0948e6f898cdb4986a1c4))
* Custom select: Update selectors for focusing a menu item when the option list first appears on screen. (TICKETREF, [7b9ca16](http://github.com/jquery/jquery-mobile/commit/7b9ca166928e50cfda99accf82db538d7f85fbbf))
* Custom select: Work with filterable. Fixes #6326. ([#6326](http://github.com/jquery/jquery-mobile/issues/6326), [4405004](http://github.com/jquery/jquery-mobile/commit/440500446c4bfdd6b4eb5dffd1595302805875a2))
* Data: Copy string-to-proper-type conversion logic from the file src/data.js located in the jQuery core repository. (TICKETREF, [359db31](http://github.com/jquery/jquery-mobile/commit/359db31fd973db49c806b44e092de4f146b1c8b3))
* De-linting. (TICKETREF, [e34f138](http://github.com/jquery/jquery-mobile/commit/e34f138c285ee196337998e5ecc20874d4257bf1))
* Default version string to package version Added prepending of long copyright to unminified javascript bundle (TICKETREF, [fc3e280](http://github.com/jquery/jquery-mobile/commit/fc3e280af36ca61f3c4ffc94c6ebe2891ab3dade))
* Default version to "dev" if no pkg is available (TICKETREF, [b4ebce1](http://github.com/jquery/jquery-mobile/commit/b4ebce1577785e4f496dbe3b1b5a4fc6b79bf9e4))
* Defaults: add deprecation coments (TICKETREF, [bbb1171](http://github.com/jquery/jquery-mobile/commit/bbb1171a92d70b31f8b1135f6721fdbcb7cf9a60))
* Defaults: changed default of pageLoadErrorMessageTheme to "a". Fixes #6303. ([#6303](http://github.com/jquery/jquery-mobile/issues/6303), [879b4a7](http://github.com/jquery/jquery-mobile/commit/879b4a791ed021cbd57c0cfdcefb27b7350dc35a))
* DegradeInput: move to $.mobile.degradeInputs deprecate on page widget (TICKETREF, [20433c6](http://github.com/jquery/jquery-mobile/commit/20433c629c1db129175933707b0460ebdf2c79f1))
* Demo Center: added test suite with button, form and listview test pages. (TICKETREF, [a7440ea](http://github.com/jquery/jquery-mobile/commit/a7440eae4658feb85a71eb7cbade45591ae66b9c))
* Demos: Accordion: Oops! Accidentally removed most of the file. (TICKETREF, [5114673](http://github.com/jquery/jquery-mobile/commit/511467359619ec3104d4fd1e8fb750fcdf25bd01))
* Demos: Add example showing a filterable/input inside a custom select popup/dialog. Fixes #6282. ([#6282](http://github.com/jquery/jquery-mobile/issues/6282), [391714b](http://github.com/jquery/jquery-mobile/commit/391714b2ec2f16fc2a0df00127f06f4ae2c3adbd))
* Demos: Add popup alignment demo featuring new popup extension. Fixes #6186,#6187. ([#6186](http://github.com/jquery/jquery-mobile/issues/6186), [fb03c14](http://github.com/jquery/jquery-mobile/commit/fb03c14b4f83b77c508d4722e9473495830e2063))
* Demos: Add pre-enhanced popup example. (TICKETREF, [bdcd5a4](http://github.com/jquery/jquery-mobile/commit/bdcd5a4afa33e2f016d72fecbfc9bff322c21f80))
* Demos: Added another bp to optimize left/right margin. Aligned search with nav icon. (TICKETREF, [1db84be](http://github.com/jquery/jquery-mobile/commit/1db84beb0fe2b9ef3f7bed4e6a726c10f55d3c59))
* Demos: Added button and input icon-only examples to button test page (TICKETREF, [fa8403d](http://github.com/jquery/jquery-mobile/commit/fa8403da0a7c3b51895e33a667e5cf2947b60758))
* Demos: Added class ui-filterable to filter listview example. (TICKETREF, [42e8088](http://github.com/jquery/jquery-mobile/commit/42e8088ed3d5e77180fdabcf1ed04558a4095e71))
* Demos: Added custom CSS for filter inside custom selectmenu demo. (TICKETREF, [9413c47](http://github.com/jquery/jquery-mobile/commit/9413c4703d4a3cbd58b43b853c957118b7e7354e))
* Demos: Added external fixed toolbars to panel test pages. (TICKETREF, [edcd958](http://github.com/jquery/jquery-mobile/commit/edcd95806faca220be30f1023beaba5add814f19))
* Demos: Added missing class. (TICKETREF, [b6d9912](http://github.com/jquery/jquery-mobile/commit/b6d99128c71d1421c94ca3bd1548c9b6997ec684))
* Demos: Added missing height and width to image in popup example. (TICKETREF, [570e710](http://github.com/jquery/jquery-mobile/commit/570e7107b472d39d50956d75df06724f22c264e1))
* Demos: Added navbars to theming test page. (TICKETREF, [79b53d6](http://github.com/jquery/jquery-mobile/commit/79b53d6302bdb5591f14cbb2e03c54a694de103f))
* Demos: Added note to the PHP redirect demo that says it only works on a server. (TICKETREF, [83c746e](http://github.com/jquery/jquery-mobile/commit/83c746ec6c3742a84047a003832a9ff3989996b9))
* Demos: Added panels test pages (TICKETREF, [f28140f](http://github.com/jquery/jquery-mobile/commit/f28140f0814c67a9ae4d42485e3cd17e016be46a))
* Demos: Added panels test pages (TICKETREF, [f8df9c6](http://github.com/jquery/jquery-mobile/commit/f8df9c6a4f4e3c17e4c1e5108535bed67eb04b21))
* Demos: Added panels to theming test page. (TICKETREF, [c021d43](http://github.com/jquery/jquery-mobile/commit/c021d437cf0287ce3067af62e8681184b53f692f))
* Demos: Added single page template example. Fixes #5716 ([#5716](http://github.com/jquery/jquery-mobile/issues/5716), [6b41a21](http://github.com/jquery/jquery-mobile/commit/6b41a2191548368837564cc858b8ecc1a6d32e47))
* Demos: Added the custom select demo page. (TICKETREF, [5afefdd](http://github.com/jquery/jquery-mobile/commit/5afefdd1eb60cf703b9530673237fd095cf2bf61))
* Demos: Added theme C to Grunticon test page. (TICKETREF, [a908ab5](http://github.com/jquery/jquery-mobile/commit/a908ab5007e00608d8954981fae8636e9e640f27))
* Demos: Added theming test page. (TICKETREF, [dba9c92](http://github.com/jquery/jquery-mobile/commit/dba9c9233be0f56031fad83c5077f03cb30a2fab))
* Demos: Changed API link buttons icon. (TICKETREF, [d598c7b](http://github.com/jquery/jquery-mobile/commit/d598c7b745d1d7c00d7b55c9dd322e0f6962b9aa))
* Demos: Changed a class in custom navbar icons example. (TICKETREF, [91adb5d](http://github.com/jquery/jquery-mobile/commit/91adb5df52751c02e767196ceba971dc58669e0b))
* Demos: Changed the way the version is set on demo pages (TICKETREF, [a992db2](http://github.com/jquery/jquery-mobile/commit/a992db295bb43265341881b48e0c9e3c5fb11d07))
* Demos: Changed theme C, D, and E to A or B. (TICKETREF, [38d8b72](http://github.com/jquery/jquery-mobile/commit/38d8b72a25417002cdd42b78f8d5e783f576faea))
* Demos: Changed view source button icon. (TICKETREF, [4743967](http://github.com/jquery/jquery-mobile/commit/47439673279db72e6992e6433f6690291781e0fd))
* Demos: Collapsible: Provide an example of a pre-rendered collapsible. (TICKETREF, [83724c6](http://github.com/jquery/jquery-mobile/commit/83724c6f9e2d8eb72d823872b0a14d6a94c10175))
* Demos: Completed move from docs to demos (TICKETREF, [d3fc23b](http://github.com/jquery/jquery-mobile/commit/d3fc23b71ce81105651cc6a7f9ea4b89462d18c4))
* Demos: Controlgroup: Adding example of a pre-rendered controlgroup. (TICKETREF, [dc9bf3e](http://github.com/jquery/jquery-mobile/commit/dc9bf3eaf1879378421e1057fc7b805f7c2c10a2))
* Demos: Correct order of markup in slider flip switch example. (TICKETREF, [212d612](http://github.com/jquery/jquery-mobile/commit/212d61203ba5a171253fb796cd9a1e0a5d41a78e))
* Demos: Correction JS and CSS source panel test pages. (TICKETREF, [9bc1792](http://github.com/jquery/jquery-mobile/commit/9bc179246880ee00cb580017c01cbc40498ff6f3))
* Demos: Correction JS and CSS source panel test pages. (TICKETREF, [e21a933](http://github.com/jquery/jquery-mobile/commit/e21a9331918c53b8e9b594cdbe187e947f562a92))
* Demos: Custom select: Typo. (TICKETREF, [ab183d9](http://github.com/jquery/jquery-mobile/commit/ab183d9a453622738d66b1777d11f65aee29753f))
* Demos: Custom swatches are only meant for view source collapsibles. (TICKETREF, [e9801b6](http://github.com/jquery/jquery-mobile/commit/e9801b66cf9e0f87813a9f3d11c4831c4ea84077))
* Demos: Dynamic theme inheritance test page. (TICKETREF, [baf3832](http://github.com/jquery/jquery-mobile/commit/baf38323d2971008100898b69b257b0589f7d905))
* Demos: Enhance front page widget list and global search list via autoinit instead of explicit calls to .filtertext(). (TICKETREF, [9cc1516](http://github.com/jquery/jquery-mobile/commit/9cc1516936c7978a6680e3173a0f694b7447ff6b))
* Demos: Examples: Added utility for generating popup arrow CSS. (TICKETREF, [d08b0cb](http://github.com/jquery/jquery-mobile/commit/d08b0cb28d2750c4403341f023c3bf19e8cf9d05))
* Demos: Filterable inside custom select demo custom dialog style. (TICKETREF, [245df8b](http://github.com/jquery/jquery-mobile/commit/245df8b916d3356edefdecfdc5fcaad4abf3455b))
* Demos: Filterable: Fix the wording and the examples. (TICKETREF, [43b5d8b](http://github.com/jquery/jquery-mobile/commit/43b5d8bd733eb6f5126c4cded9a513795961d4ee))
* Demos: Filterable: Re-worked to reflect the current state of the widget. Fixes #6227, #6229, #6230, #6231. ([#6227](http://github.com/jquery/jquery-mobile/issues/6227), [a405b66](http://github.com/jquery/jquery-mobile/commit/a405b6656bcbf414cb0bf2b139c5d1dccef88c21))
* Demos: First pass on fixing view source style. (TICKETREF, [ad6f46e](http://github.com/jquery/jquery-mobile/commit/ad6f46e12f37e65267196af1c4cefc9ffd40cc6f))
* Demos: Fixed collapsible custom border style demo. (TICKETREF, [292bf8c](http://github.com/jquery/jquery-mobile/commit/292bf8ce8afaed263064bbfb79c5260f5ed6ff7e))
* Demos: Fixed references to jqm-docs -> jqm-demos (TICKETREF, [06c3a81](http://github.com/jquery/jquery-mobile/commit/06c3a818fdf7882db0795341e782462cf0069805))
* Demos: Fixed the footer and the panel theme. (TICKETREF, [aa1660b](http://github.com/jquery/jquery-mobile/commit/aa1660b3b27b167af440ebffcec68fbd6505958c))
* Demos: Fixed the responsive table example on the filter demo page. (TICKETREF, [bd6a849](http://github.com/jquery/jquery-mobile/commit/bd6a849ffc54a1c8315db8c99a19be9a499ac6b7))
* Demos: Fixed wrong data-role in popup example. (TICKETREF, [6dd6154](http://github.com/jquery/jquery-mobile/commit/6dd6154b9da62e7e91e1a7a8d6cb734624db84b5))
* Demos: Forms: Removed duplicate </form> (TICKETREF, [af46f0e](http://github.com/jquery/jquery-mobile/commit/af46f0ef7738fdf9b01ff70e3e353383acfbf844))
* Demos: Getting rid of the vertical scrollbar on the page. Fixes #6024. ([#6024](http://github.com/jquery/jquery-mobile/issues/6024), [6aa1146](http://github.com/jquery/jquery-mobile/commit/6aa1146cf37c8d6f7baa5f17dc3e11039d8b92f4))
* Demos: I forgot to change the filenames when I updated the Grunticon loader script. (TICKETREF, [8bd7b70](http://github.com/jquery/jquery-mobile/commit/8bd7b70de409161a54f294fd625c5c70c76ddb23))
* Demos: Icon test page. (TICKETREF, [8bdd2cf](http://github.com/jquery/jquery-mobile/commit/8bdd2cfba3e222e03cc379496184823f39db4332))
* Demos: Label didn't match example. (TICKETREF, [bf430aa](http://github.com/jquery/jquery-mobile/commit/bf430aaa2f59796e765d9c0614f5391532309e5b))
* Demos: Link to panel test page. (TICKETREF, [d2dd590](http://github.com/jquery/jquery-mobile/commit/d2dd590b428620781d0ed49befe9649433f1a1e5))
* Demos: Made one read-only listview example inset for testing. (TICKETREF, [2554f82](http://github.com/jquery/jquery-mobile/commit/2554f828d49bc9c861fb55a926e6206df2fbaa16))
* Demos: Minor typo correction to grid-listview.php (TICKETREF, [ed1d5f8](http://github.com/jquery/jquery-mobile/commit/ed1d5f8adc3060ce1ec619d4a51c5ba74eb6d3fd))
* Demos: Move widgets/filter to widgets/filterable (TICKETREF, [642d1eb](http://github.com/jquery/jquery-mobile/commit/642d1eb3a1fa3134865bd3d76e3accfdff540f48))
* Demos: Moving links from external header to the page because I am an idiot. (TICKETREF, [978d370](http://github.com/jquery/jquery-mobile/commit/978d370cd990d0eb6c5973e271e685e36ecd2320))
* Demos: New intro paragraph for table column toggle page. Fixes #5737 ([#5737](http://github.com/jquery/jquery-mobile/issues/5737), [b9d0bf1](http://github.com/jquery/jquery-mobile/commit/b9d0bf10daf12c90970df62f987cdca27176edfd))
* Demos: Only need to set data-mini on the controlgroup, not on the buttons inside. (TICKETREF, [0710592](http://github.com/jquery/jquery-mobile/commit/0710592203b50d64ecc4b3ca3a38124f43cf0f90))
* Demos: Panel test page changes. (TICKETREF, [d62b634](http://github.com/jquery/jquery-mobile/commit/d62b63428bb794e4ac57ec95f6d9157c73c22a55))
* Demos: Panel test page; enhancing external fixed toolbars must be done on pageshow. (TICKETREF, [e18e134](http://github.com/jquery/jquery-mobile/commit/e18e134fe6d29b356ad784c4894fe3bf2ed9952c))
* Demos: Popup arrow size example: Reflect the new arrow CSS. (TICKETREF, [7dd333e](http://github.com/jquery/jquery-mobile/commit/7dd333ede2c48a4e504c5a6dfa79003c64d6761a))
* Demos: Popup arrow: Appear only upon a click within the designated clicking area. (TICKETREF, [4b8827c](http://github.com/jquery/jquery-mobile/commit/4b8827c60753c2c22daac49d709bdb53bf03c117))
* Demos: Popup arrow: Let the mouse pass through the box showing where the arrow will point to. (TICKETREF, [19eb669](http://github.com/jquery/jquery-mobile/commit/19eb669ef2dffb14bf4b5d982bd1b29e425b2d50))
* Demos: Popup widget: Add arrow demo. (TICKETREF, [e77c720](http://github.com/jquery/jquery-mobile/commit/e77c720ba61604bf66eabc81588e7a93d5bf1a48))
* Demos: Popup: Change wording from "pre-enhanced" to "pre-rendered" to better reflect the concept. Thanks jzaefferer. (TICKETREF, [60159eb](http://github.com/jquery/jquery-mobile/commit/60159eb0913ab3442bd51a616b51977065b5ae5b))
* Demos: Popup: Forgot data-role="page" on the pre-rendered popup example page. (TICKETREF, [1605e1e](http://github.com/jquery/jquery-mobile/commit/1605e1ed255c23247e4f635d5fe82e80414a5493))
* Demos: Popup: Removed weird (and almost certainly accidental) popup-inside-popup embedding. (TICKETREF, [4523761](http://github.com/jquery/jquery-mobile/commit/4523761fa9a36b69e557813dc5753eec1134c72a))
* Demos: Popup: The word "pre-enhanced" was still there in one place. (TICKETREF, [55186a1](http://github.com/jquery/jquery-mobile/commit/55186a14ec04345b31ffe28660b7a0c02bb9dff1))
* Demos: Removed "Final" from the version string (TICKETREF, [d94bce1](http://github.com/jquery/jquery-mobile/commit/d94bce18c5f79a65a430693ffb1eb77e307eda42))
* Demos: Removed 3rd swatch from test pages. (TICKETREF, [3e3613b](http://github.com/jquery/jquery-mobile/commit/3e3613bcd3c281a61a182d0b6ca72337bc363c46))
* Demos: Removed container divs from test pages. (TICKETREF, [d1dbe43](http://github.com/jquery/jquery-mobile/commit/d1dbe43f12523d8f50fb292eb3037fb83f732c0b))
* Demos: Removed panel workaround. Problem has been fixed in framework. (TICKETREF, [cd920a7](http://github.com/jquery/jquery-mobile/commit/cd920a7d1802d35ad0b16fcff0da09110e462640))
* Demos: Removed temporary CSS after fixing the issue in the framework CSS. (TICKETREF, [dd9771c](http://github.com/jquery/jquery-mobile/commit/dd9771c6946c653281752790b25d6289dfb1e5e6))
* Demos: Removed temporary test pages. Updated theming test pages. (TICKETREF, [5edd0a2](http://github.com/jquery/jquery-mobile/commit/5edd0a2442b8a1ae0b886e6da7d029d6c61d309e))
* Demos: Removed unwanted data-ajax="false" attributes from links. Fixes #6344. ([#6344](http://github.com/jquery/jquery-mobile/issues/6344), [76a90c0](http://github.com/jquery/jquery-mobile/commit/76a90c0600feb24cc57566912fd3183404543cbc))
* Demos: Renamed docs to demos (TICKETREF, [fdb1838](http://github.com/jquery/jquery-mobile/commit/fdb1838512f466b6c76d122e6b209d3e6ff0dca8))
* Demos: Revert new flip switch select example to on/off because it is good show the different order of the option elements compared to slider flip switch. (TICKETREF, [1dda26d](http://github.com/jquery/jquery-mobile/commit/1dda26d968aa92c85eeecc66d069208e06b22619))
* Demos: Reverted a test page change that wasn't supposed to be committed. (TICKETREF, [44f46a1](http://github.com/jquery/jquery-mobile/commit/44f46a138deee83939184d8514b3d4c2a682e5c2))
* Demos: Selects: Include a link to the custom selects page. (TICKETREF, [bd30ca9](http://github.com/jquery/jquery-mobile/commit/bd30ca98594075f9eae234fc6f051bf9b73b37d7))
* Demos: Separate demo page for new flipswitch widget. (TICKETREF, [d0e94b4](http://github.com/jquery/jquery-mobile/commit/d0e94b436c1ac4b7fb55740e1ad7abe06b901467))
* Demos: Set font-size for body and page back to 1em to make sure examples show default styles. (TICKETREF, [7171313](http://github.com/jquery/jquery-mobile/commit/7171313cdf7fd2dd45b4600084b86ce3b4d63567))
* Demos: Slider tooltip: Demo mini slider. (TICKETREF, [6067713](http://github.com/jquery/jquery-mobile/commit/6067713f0b7fb8cad01a93b926bf6688cc50f167))
* Demos: Some changes in theme inheritance test page. (TICKETREF, [5f6dca6](http://github.com/jquery/jquery-mobile/commit/5f6dca65510856a02fac351758af98038fa1a682))
* Demos: Stop hitting page listviews with an additional _setOptions() and _init(). (TICKETREF, [b8670b7](http://github.com/jquery/jquery-mobile/commit/b8670b75ddb053dfa0249815fec27249057b851a))
* Demos: Test new flip switch with values other than on and off. (TICKETREF, [e648412](http://github.com/jquery/jquery-mobile/commit/e6484123dde4ef6c1ff3bb98e108f70919fcf8ed))
* Demos: Typo. (TICKETREF, [34fab9f](http://github.com/jquery/jquery-mobile/commit/34fab9f8a8b9f6ccc1175d26f5eeb1b1af35184f))
* Demos: Updated Grunticon stylesheet loader. (TICKETREF, [32cfdfe](http://github.com/jquery/jquery-mobile/commit/32cfdfe44fd60fe15e2346f0483b32bbbf479171))
* Demos: Updated button in grid demo. Blocks should always be direct child of grid. (TICKETREF, [b357feb](http://github.com/jquery/jquery-mobile/commit/b357feb5ee5efd377f3ebe76219fcdc37f0c28b0))
* Demos: Updated comment above example CSS for clarification. Fixes #5889. ([#5889](http://github.com/jquery/jquery-mobile/issues/5889), [f3e6b23](http://github.com/jquery/jquery-mobile/commit/f3e6b23ca117f4e08707babb686a3943bcbe32f0))
* Demos: Updated custom icon examples. (TICKETREF, [3fe79fe](http://github.com/jquery/jquery-mobile/commit/3fe79fed3f19c5d772a2d984e375b730fd68aca7))
* Demos: Updated dynamic collapsibles demo to 1.4. (TICKETREF, [e5e5ab9](http://github.com/jquery/jquery-mobile/commit/e5e5ab9e1e8b98ebcb22fbbc90817b59103a0aa5))
* Demos: Updated filterable page to reflect latest changes. (TICKETREF, [86a6f06](http://github.com/jquery/jquery-mobile/commit/86a6f069b02b8c1ef103372941c6f48e11e71161))
* Demos: Updated filterable to mention class ui-filterable and remove option inset for the search input. (TICKETREF, [23e429e](http://github.com/jquery/jquery-mobile/commit/23e429e0a37aeb98b78161c032b43af97dad5dfb))
* Demos: Updated grid and buttons in grids demo pages. (TICKETREF, [6db15d1](http://github.com/jquery/jquery-mobile/commit/6db15d13bc8dfbf2f8b9b36b3dd5671cd5c33d20))
* Demos: Updated individual collapsibles "single border" example. (TICKETREF, [eae4397](http://github.com/jquery/jquery-mobile/commit/eae43970e03a0d12429002378ee5c4d36e5d3cfb))
* Demos: Updated listview custom icon example. (TICKETREF, [2490982](http://github.com/jquery/jquery-mobile/commit/2490982b5cbaa61842fc54a9e804122256a6253d))
* Demos: Updated listview widget default icons in our custom JS. (TICKETREF, [ef009c6](http://github.com/jquery/jquery-mobile/commit/ef009c6631097e5504bca92694a09a3b3187bc00))
* Demos: Updated responsive panel example CSS. (TICKETREF, [04b28f1](http://github.com/jquery/jquery-mobile/commit/04b28f125d92126d388f4bbb1dc53fd922e53c8f))
* Demos: Updated responsive panels CSS example. Fixes #5936. ([#5936](http://github.com/jquery/jquery-mobile/issues/5936), [6064163](http://github.com/jquery/jquery-mobile/commit/6064163fdb9798a9a8e447a460253b8eedecc724))
* Demos: Updated some defaults in the custom JS. (TICKETREF, [e5aefcc](http://github.com/jquery/jquery-mobile/commit/e5aefcc25b9b70a32720720c17a32a0e3d90e87e))
* Demos: Updated version to 1.4-alpha.2, core versions 1.8.3-1.10.2 and 2.0.3. (TICKETREF, [ff194e0](http://github.com/jquery/jquery-mobile/commit/ff194e00727d989005be9ae6e41871a368d54ce5))
* Demos: View source: Grab HTML-only full-page demos as well. (TICKETREF, [a50c0d1](http://github.com/jquery/jquery-mobile/commit/a50c0d1a6e245825128a65a8ef94466dbe5e3acb))
* Demos: View source: No need to parse HTML when all you want is a text node. (TICKETREF, [771535b](http://github.com/jquery/jquery-mobile/commit/771535b06be85a5aebc025c01ebfb8a4664383f1))
* Demos: added collapsing border styling to custom responsive grid example (TICKETREF, [3e4bc84](http://github.com/jquery/jquery-mobile/commit/3e4bc84a41e2906c5f451d933dbea54cc9c39de7))
* Demos: changed example to match the description. (TICKETREF, [25abed5](http://github.com/jquery/jquery-mobile/commit/25abed51b026b8135cc153a8b831efcaf6f0a613))
* Demos: changed theme from swatch "d" to "a". (TICKETREF, [bfe9eb9](http://github.com/jquery/jquery-mobile/commit/bfe9eb9554d9141c50090a6204369fcf2b4a6df9))
* Demos: cleaned up buttons in grids page (TICKETREF, [7738bb5](http://github.com/jquery/jquery-mobile/commit/7738bb515126de96313ba57b6670fd094fb95190))
* Demos: cleaned up markup of "Page widget" page. (TICKETREF, [0f55dd6](http://github.com/jquery/jquery-mobile/commit/0f55dd6d16252170ff83a0c2b8b7aae0fc6c51f2))
* Demos: copy editing of panel fixed positioning demo. (TICKETREF, [48a1de8](http://github.com/jquery/jquery-mobile/commit/48a1de8c0684176df21afadefa111bf6ab967665))
* Demos: copy editing of panel styling demo. (TICKETREF, [cb0ee3d](http://github.com/jquery/jquery-mobile/commit/cb0ee3dc469c2108dcfde864532f86e2719d8766))
* Demos: data-ajax="false" for link to loader widget page. Thanks @jakeboone02! (TICKETREF, [496c55e](http://github.com/jquery/jquery-mobile/commit/496c55eb8c9645205540efa6259de00baaf7a2f8))
* Demos: fix broken link (TICKETREF, [7ecbd52](http://github.com/jquery/jquery-mobile/commit/7ecbd52e355e75c89673e6c457f3b10fa2491d68))
* Demos: fixed a typo (TICKETREF, [4d3e3b6](http://github.com/jquery/jquery-mobile/commit/4d3e3b6368d882784ef32ebdb4d82ad95c0b853a))
* Demos: fixed broken home links. (TICKETREF, [574793b](http://github.com/jquery/jquery-mobile/commit/574793b75ff5277c1312fc2678c89620ad6a22f1))
* Demos: fixed broken link to custom responsive grid example (TICKETREF, [fef5da9](http://github.com/jquery/jquery-mobile/commit/fef5da9b33a36a01004408803e290987b2177589))
* Demos: fixed broken link to homepage on search results page. (TICKETREF, [6173c63](http://github.com/jquery/jquery-mobile/commit/6173c63fbe6d29bdfe025b231ee6ee5c7d41bacc))
* Demos: fixed broken link to remote autocomplete demo. fixes #5744 (TICKETREF, [c94fd82](http://github.com/jquery/jquery-mobile/commit/c94fd82deaa2a2f506ab2fc15106790ae983326a))
* Demos: fixed broken links (TICKETREF, [fe754c9](http://github.com/jquery/jquery-mobile/commit/fe754c9cc38db73ca120f9f98a6c9c658bca536f))
* Demos: fixed typo. Fixes #5752 ([#5752](http://github.com/jquery/jquery-mobile/issues/5752), [cda9fcd](http://github.com/jquery/jquery-mobile/commit/cda9fcd25c83d2eb3ce637a256f73603eb6fc659))
* Demos: hide the global search list while the global nav panel is open. (TICKETREF, [da015b7](http://github.com/jquery/jquery-mobile/commit/da015b748dbf0bb53447f2ebc429adf146a0219d))
* Demos: improved dynamic controlgroup demo. (TICKETREF, [1f8302d](http://github.com/jquery/jquery-mobile/commit/1f8302d09ceaf8882684bc1c9250a0eea79bde20))
* Demos: improvements to fixed toolbar demo pages. (TICKETREF, [79b6df8](http://github.com/jquery/jquery-mobile/commit/79b6df8728415d933ff735429f8751f62ed53dea))
* Demos: improvements to form pages. (TICKETREF, [81c765e](http://github.com/jquery/jquery-mobile/commit/81c765ea72a98739b6aa9cfb5880ac3c4ddcda5e))
* Demos: loader widget demo - coding standards. (TICKETREF, [a9cde70](http://github.com/jquery/jquery-mobile/commit/a9cde70be8998ad14af309c06fa065a991883e89))
* Demos: made menu title match page title (TICKETREF, [28f1bbb](http://github.com/jquery/jquery-mobile/commit/28f1bbbd23716ccec9d69f2ec7581b2962bfd18f))
* Demos: re-ordered CSS a bit, just so you might find what you are looking for. (TICKETREF, [da56a86](http://github.com/jquery/jquery-mobile/commit/da56a866be293752337f736eadface97759bc9cd))
* Demos: removed broken link from FAQ page. Fixes #5828 ([#5828](http://github.com/jquery/jquery-mobile/issues/5828), [fd3feac](http://github.com/jquery/jquery-mobile/commit/fd3feac5a62461cbc808ba770f7588e57187e940))
* Demos: removed superfluous media types from MQ's (TICKETREF, [d2a9c32](http://github.com/jquery/jquery-mobile/commit/d2a9c324969bb9f537c96b1177fc8252da3ea745))
* Demos: removed superfluous vendor prefixes (TICKETREF, [a6a4c55](http://github.com/jquery/jquery-mobile/commit/a6a4c559945679984708409b74892dfe9aae1ec5))
* Demos: replaced "docs" by "demos" in global nav utilities. (TICKETREF, [09e6f13](http://github.com/jquery/jquery-mobile/commit/09e6f13aaf76b34742d983df6ad9a8c5d4884cd8))
* Demos: small change in test page. (TICKETREF, [8db737e](http://github.com/jquery/jquery-mobile/commit/8db737eaa178da1269dc795f3c53ab029de3e54b))
* Demos: updated dialog examples links and markup. (TICKETREF, [9344ddf](http://github.com/jquery/jquery-mobile/commit/9344ddfaa6affdbf83ae8fadad31dbc29e81ede7))
* Demos: updated navbar demo page. (TICKETREF, [b4004ad](http://github.com/jquery/jquery-mobile/commit/b4004ad40f450eda1a1cf89e6370651f205b61c6))
* Demos: updates title of form element page and corrected markup for code blocks. (TICKETREF, [871b448](http://github.com/jquery/jquery-mobile/commit/871b44849d5e5d15da1efa594b529078f6bfe5fe))
* Demos: widget navmenu cleanup. (TICKETREF, [40f3459](http://github.com/jquery/jquery-mobile/commit/40f3459cbe51286cb301933f137ee8765ede4136))
* Deprecated option shadowicon. Add class ui-shadow-icon to a container or an button instead. (TICKETREF, [4e864be](http://github.com/jquery/jquery-mobile/commit/4e864beb25e7d389b2d990f39eecf84b441a88cd))
* Dialog Extension: remove call to _enhanced is now called by page (TICKETREF, [453ae41](http://github.com/jquery/jquery-mobile/commit/453ae41404452263dde850151a93f43e26fe9d6c))
* Dialog: Add "role=button" to the close button. (TICKETREF, [d8c597f](http://github.com/jquery/jquery-mobile/commit/d8c597fb1212626480230cea062256473d641584))
* Dialog: Added ui-corner-all for close button. (TICKETREF, [aec315a](http://github.com/jquery/jquery-mobile/commit/aec315a46b9f779a1b61343f50bbe5b8da708a9a))
* Dialog: Border styling of toolbars in dialogs. (TICKETREF, [9ef4b81](http://github.com/jquery/jquery-mobile/commit/9ef4b8115b44303c445ec38f3c051fe53ee58f37))
* Dialog: Call _super from _setOption for all options. (TICKETREF, [82b8b13](http://github.com/jquery/jquery-mobile/commit/82b8b132a46ee7b5804cf9354c6288d9717450f9))
* Dialog: Close button inherits theme from header. Removed icon shadow (consistent with other generated buttons; class ui-shadow-icon can be added to a container). (TICKETREF, [5ff704f](http://github.com/jquery/jquery-mobile/commit/5ff704f9be60132a9c8055a46ebc487c05b24378))
* Dialog: Dialog depends on page for setting the overlay theme. (TICKETREF, [be68437](http://github.com/jquery/jquery-mobile/commit/be684379ff32c8dfee52bc5e05d0b7ff5fc63f9d))
* Dialog: Do call buttonMarkup during _create. (TICKETREF, [9e847cd](http://github.com/jquery/jquery-mobile/commit/9e847cdb2bb3aa899ccce370e427237699f8ddc1))
* Dialog: Do not re-create the close button if its location or text changes. (TICKETREF, [7becf2d](http://github.com/jquery/jquery-mobile/commit/7becf2db3108e2c900a3fb4173295b4690f9aed5))
* Dialog: Fixed temporary close btn theme inheritance solution. (TICKETREF, [3a583ab](http://github.com/jquery/jquery-mobile/commit/3a583ab493384968c2f910e7b38b833834009d4f))
* Dialog: Get rid of buttonMarkup. (TICKETREF, [ebe2dc6](http://github.com/jquery/jquery-mobile/commit/ebe2dc6ba7bb3f3f8c53e0d1f8a289e399245959))
* Dialog: Make options work on-the-fly. (TICKETREF, [22384c9](http://github.com/jquery/jquery-mobile/commit/22384c9ba908409febaea569f46c0d3b2403ae65))
* Dialog: Remove optionDemultiplexer and move vclick/submit handler into the widget prototype. (TICKETREF, [c293304](http://github.com/jquery/jquery-mobile/commit/c2933042b2de893334d10059134416790091a63b))
* Dialog: Render un-closeable during pagebeforehide. Fixes #5956. ([#5956](http://github.com/jquery/jquery-mobile/issues/5956), [ae059a1](http://github.com/jquery/jquery-mobile/commit/ae059a1f9d930200a094c846f319b772c000bb0d))
* Dialog: Switched to em values. Removed rule for content padding because it's already in core CSS. (TICKETREF, [779cf94](http://github.com/jquery/jquery-mobile/commit/779cf947799f0bd3f24cd4970b0a191a7aee4714))
* Dialog: The dialog-page doesn't need the overlay theme class. We add that class to the container and hide the dialog-page background. (TICKETREF, [0d9857e](http://github.com/jquery/jquery-mobile/commit/0d9857e66556d3a5f690671f5e37877da59461f9))
* Docs: Copy editing. (TICKETREF, [d1c3245](http://github.com/jquery/jquery-mobile/commit/d1c324506abeb52c5170b80b950c0b9468c3c9cb))
* Duplicated swatch A as swatch C, D and E to prevent many broken examples in the demo center (temporary for testing purposes only). (TICKETREF, [86487dd](http://github.com/jquery/jquery-mobile/commit/86487dd23fd08319e4546cf6f95c5ad55f7c8711))
* Excluded external sources from linting (TICKETREF, [ec469d7](http://github.com/jquery/jquery-mobile/commit/ec469d75521af3543ce84684518f3c9b2e2c8630))
* Fieldcontain: Centralize all CSS for field containers. (TICKETREF, [013e4c3](http://github.com/jquery/jquery-mobile/commit/013e4c3e9fa61ce9e3eee8f3ce27a3f83c3a6dff))
* Fieldcontain: Float instead of inline-block so we can make this work without JS. (TICKETREF, [6212b80](http://github.com/jquery/jquery-mobile/commit/6212b80f120d93d762e970c46ebc9106320cd5e8))
* Fieldcontain: Global style. (TICKETREF, [acbf28b](http://github.com/jquery/jquery-mobile/commit/acbf28b1d4f029b6afebc3a2cbe386f3cd3b4a9a))
* Fieldcontain: Label margin bottom inside popups should match the default we set in core.css. (TICKETREF, [1229c97](http://github.com/jquery/jquery-mobile/commit/1229c978b3a89d2fc6f06c510d02790cdba7638b))
* Fieldcontain: Made sure button, textarea and flip toggle works. (TICKETREF, [07e5671](http://github.com/jquery/jquery-mobile/commit/07e56710f55970ede656eb9169bb2fe2f9ed9899))
* Fieldcontain: No class ui-body for fieldcontain. Deprecated data-role="fieldcontain". Add class ui-field-contain instead. (TICKETREF, [3650c85](http://github.com/jquery/jquery-mobile/commit/3650c85cecd63f81165969396951ef0c2db24fe6))
* Fieldcontain: No need to take form wrapper into account. (TICKETREF, [b804a94](http://github.com/jquery/jquery-mobile/commit/b804a94551d0f67023399e08cd10abc7ce837873))
* Fieldcontain: No separator when fieldcontainer is a list item. (TICKETREF, [48b0045](http://github.com/jquery/jquery-mobile/commit/48b00450b05d0b9445d38d215fbedc72b0e067b2))
* Fieldcontain: Removed CSS rule that was only needed for IE7 (no longer A grade). (TICKETREF, [0efb21a](http://github.com/jquery/jquery-mobile/commit/0efb21a1ba2845c9fc6aba6f4f0544e3f3210ef4))
* Fieldcontain: Removed display none for the separator. Unset the style instead. (TICKETREF, [14bba17](http://github.com/jquery/jquery-mobile/commit/14bba179904763ed062c2b90abd425e82bab17b7))
* Fieldcontain: Unset separator for list item field containers and last child. (TICKETREF, [2160238](http://github.com/jquery/jquery-mobile/commit/2160238e1dd3e6f86ff463faf2f65744767dc4a5))
* Filterable backcompat: Add placeholder during textinput generation. (TICKETREF, [8e24a90](http://github.com/jquery/jquery-mobile/commit/8e24a90b304329de152d8abd12c57ddc0dd46715))
* Filterable backcompat: Adding option "filterTheme". (TICKETREF, [0273f90](http://github.com/jquery/jquery-mobile/commit/0273f9022540d25de4325d1aa9a21fa16801f494))
* Filterable backcompat: Avoid setting placeholder twice when generating textinput. (TICKETREF, [e0088c5](http://github.com/jquery/jquery-mobile/commit/e0088c58bc38f5a80c6511d2e040265d9fa5f9aa))
* Filterable backcompat: Chain up during _destroy(). (TICKETREF, [bf780d1](http://github.com/jquery/jquery-mobile/commit/bf780d1eaff3173c8343fc871066be32ddf30efa))
* Filterable backcompat: Do not call _setOptions during _create. (TICKETREF, [11f4cd9](http://github.com/jquery/jquery-mobile/commit/11f4cd955681f538f14e98400295d8b9c63757ca))
* Filterable backcompat: Moving _create() method to the top. (TICKETREF, [6c44363](http://github.com/jquery/jquery-mobile/commit/6c44363eecfd56787d953963142cdbe4255244c1))
* Filterable backcompat: Prevent default on generated form submit and blur input. Fixes #6226. ([#6226](http://github.com/jquery/jquery-mobile/issues/6226), [46817d1](http://github.com/jquery/jquery-mobile/commit/46817d19537233484348f7437e61b8cf85f6f377))
* Filterable: Add extension "backcompat" to handle synchronization between widget options and textinput options. (TICKETREF, [30d42e2](http://github.com/jquery/jquery-mobile/commit/30d42e2eda189443d1d56438c6eb278a8821a151))
* Filterable: Allow class ui-filterable on both form wrapper and listview for convenience. (TICKETREF, [50799db](http://github.com/jquery/jquery-mobile/commit/50799db2c7c48826c9738b69a64daac12c85ecd0))
* Filterable: Backcompat: If widget and widget refresh() method is found, then call it after filtering. (TICKETREF, [abacee9](http://github.com/jquery/jquery-mobile/commit/abacee9020e4fa428e8a9b20a90988573bad5d48))
* Filterable: Backcompat: Move initial widget search to the first _filterItems() call. (TICKETREF, [aa6810c](http://github.com/jquery/jquery-mobile/commit/aa6810c0fe9552042da6c967868ceb90fd143c3b))
* Filterable: Border styling of listview with filter inside collapsible. (TICKETREF, [594eecc](http://github.com/jquery/jquery-mobile/commit/594eecca163f0fcbdf1f04c899adf42f7646896b))
* Filterable: Call _super() to set option values before calling refresh(), and add _destroy(). (TICKETREF, [03fb530](http://github.com/jquery/jquery-mobile/commit/03fb5305d4b3e95bcba8bad0c1049321d5c8490c))
* Filterable: Changed the default of option hidedividers to true. Fixes #6261. ([#6261](http://github.com/jquery/jquery-mobile/issues/6261), [cd4af5d](http://github.com/jquery/jquery-mobile/commit/cd4af5d3f18a276003b47a7be8602b3514cfb191))
* Filterable: Changing the base name for CSS classes from "ui-filter" to "ui-filterable". (TICKETREF, [bb0c1cb](http://github.com/jquery/jquery-mobile/commit/bb0c1cb1256cc80d15c879d17ef6b1e7a1110141))
* Filterable: Do not call _setOptions during _create. (TICKETREF, [741c066](http://github.com/jquery/jquery-mobile/commit/741c06670002d695d243b8cbc30a914c9200ea42))
* Filterable: Do not generate ids. (TICKETREF, [bc12372](http://github.com/jquery/jquery-mobile/commit/bc12372d7ab6789074a4e4b5d55790291f122ceb))
* Filterable: Factor out decision as to whether the search input is internal into a widget-level function. (TICKETREF, [f4e50cc](http://github.com/jquery/jquery-mobile/commit/f4e50cc4c9dc96a254ceb9ccf3af4cd716ed510f))
* Filterable: Fall back to this.element.children() if the fancy selector returns empty. (TICKETREF, [4558480](http://github.com/jquery/jquery-mobile/commit/45584808f1aa8d41b4f9f0990675c70f5b7537e1))
* Filterable: Increased specificity to make margin override work regardless CSS file order. (TICKETREF, [9dd3d0c](http://github.com/jquery/jquery-mobile/commit/9dd3d0c11c517dc5fb1e6bf6aa711b4f84d26f53))
* Filterable: Input generation becomes deprecated, calling refresh on recognized children becomes non-deprecated, and refiltering takes into account updated option values. (TICKETREF, [6a70acb](http://github.com/jquery/jquery-mobile/commit/6a70acb45025b61b2154b5c54230f1d734bf73fa))
* Filterable: Input styling. Fixes #6325. ([#6325](http://github.com/jquery/jquery-mobile/issues/6325), [4535f71](http://github.com/jquery/jquery-mobile/commit/4535f71518b4d82eb4fd760409114a19561b12b2))
* Filterable: Linter caught me forgettting to yank unused variable. (TICKETREF, [5f7462f](http://github.com/jquery/jquery-mobile/commit/5f7462ff257fbee22d2a31e1439df8e36614968e))
* Filterable: Make sure placeholder override works. (TICKETREF, [6e83759](http://github.com/jquery/jquery-mobile/commit/6e8375904ece75cd719eff3bed85e9498b6cec13))
* Filterable: Margin settings for filterable search input inside collapsible. (TICKETREF, [a9d54fe](http://github.com/jquery/jquery-mobile/commit/a9d54fe2cba90185874c0c73ae33f8005cb54975))
* Filterable: Moving _create() method to the top. (TICKETREF, [276c960](http://github.com/jquery/jquery-mobile/commit/276c960c8820a7931253c290907e035200073bb0))
* Filterable: Moving assumption about listview dividers into backcompat. (TICKETREF, [ce219c2](http://github.com/jquery/jquery-mobile/commit/ce219c253ca3cde67914330f3e15b1ddcc4962b2))
* Filterable: Moving handling of option "filterPlaceholder" to backcompat. (TICKETREF, [9627508](http://github.com/jquery/jquery-mobile/commit/96275085d12c7c2f84d012e122878229b31617d9))
* Filterable: Re-working widget so textinput can be assigned if needed, while maintaining the default of instantiating a search input. (TICKETREF, [db2bbf5](http://github.com/jquery/jquery-mobile/commit/db2bbf5385906f0eb4c66d3c2346ff86b0172400))
* Filterable: Rename option "inputSelector" to "input" and adding option "children" to store the selector that identifies the children which should be filtered. (TICKETREF, [e92e66a](http://github.com/jquery/jquery-mobile/commit/e92e66a8bb803d7aeb19ff730fcd26625820375c))
* Filterable: Set the ID of the generated input as this.element.attr( "id" ) + "-filterable" if this.element has an ID set or "ui-filterable-" + this.uuid otherwise. (TICKETREF, [758edee](http://github.com/jquery/jquery-mobile/commit/758edeec5d2b9972e88ad4944c32f55e4e9f1dd8))
* Filterable: Simplify filtering, and remove some special cases. (TICKETREF, [620d3e7](http://github.com/jquery/jquery-mobile/commit/620d3e7d869351e31cf7e1d162cbb5f99dfffc34))
* Filterable: The widget need not be passed into the filter function. (TICKETREF, [6515d18](http://github.com/jquery/jquery-mobile/commit/6515d18da15784ec0c13d538b49081e9ed626f2b))
* Filterable: Whitespace fixes and removing timer from options. (TICKETREF, [0c8c4f1](http://github.com/jquery/jquery-mobile/commit/0c8c4f1d950adacde37009299583e58f4b31d43f))
* Filterable: Wrap generated input into a form. (TICKETREF, [903ad43](http://github.com/jquery/jquery-mobile/commit/903ad4385189802e5b3979ef400937e9246f5f58))
* Filterable: add support for filtering select with optgroup (TICKETREF, [4e69e62](http://github.com/jquery/jquery-mobile/commit/4e69e627c5fb2c5ef6ae955cfdff0a5279385a10))
* Filterable: the "children" option may be a function which returns a jQuery object. (TICKETREF, [1103876](http://github.com/jquery/jquery-mobile/commit/1103876ba3e64a5f8087540eabdcb27d9dc2e5c5))
* Filtertext: CSS: Make sure items controlled by the filter that are supposed to be hidden are hidden. (TICKETREF, [61aceca](http://github.com/jquery/jquery-mobile/commit/61acecaded53ffd1453de3c1825cea9276ef9026))
* Filtertext: Renaming to "filterable". (TICKETREF, [11862a9](http://github.com/jquery/jquery-mobile/commit/11862a95dadc0adc773d22c62c5a05133859061e))
* First pass at toolbar widget (TICKETREF, [7abc720](http://github.com/jquery/jquery-mobile/commit/7abc72027abc39148490e4ded50c5ca47d8ab232))
* First pass on using pseudo classes for button state style. (TICKETREF, [fb863df](http://github.com/jquery/jquery-mobile/commit/fb863dff2379e8fd4b930782a4efde5ec8fa039e))
* Fix 6250: declare classes inside eacFix 6250: declare classes inside eachh (TICKETREF, [75572f6](http://github.com/jquery/jquery-mobile/commit/75572f678f24f4bd6c304dfebdacc176fbe11b70))
* Fix 6320: Table/Coltoggle - fieldset in popup not getting enhanced (TICKETREF, [f2cbc99](http://github.com/jquery/jquery-mobile/commit/f2cbc998384f2ccf1ef23cfca00920d59e892156))
* Fix CORS link (TICKETREF, [bf2a5bf](http://github.com/jquery/jquery-mobile/commit/bf2a5bf326d6171ea43cbd8adb9e201bb4c5c19e))
* Fix button themeing in headers (TICKETREF, [9560017](http://github.com/jquery/jquery-mobile/commit/9560017aba1b68673635cd0cf1b40a96e5d8c326))
* Fix setting dialog options other than "closeBtn" (TICKETREF, [ce724db](http://github.com/jquery/jquery-mobile/commit/ce724dbaf54ebfb5f60d1c8b7601e4c63eb3847d))
* Fix typo in question-template.php (TICKETREF, [bb615e1](http://github.com/jquery/jquery-mobile/commit/bb615e1ddb59abbb71d04ef1aa353d83078a4848))
* Fixed a typo. (TICKETREF, [b29d385](http://github.com/jquery/jquery-mobile/commit/b29d385bee2632b15d5b1aeeed3d7ad766537c86))
* Fixed b swatch focus (TICKETREF, [74eff58](http://github.com/jquery/jquery-mobile/commit/74eff58713cbe25e2ee25e4f743db765e792f0d4))
* Fixed broken test after linting. isToggleSwitch is needed when initializing vars in _create. (TICKETREF, [be2f809](http://github.com/jquery/jquery-mobile/commit/be2f8094845eb55606a7559539d8a2f45b9e37ca))
* Fixed path to nav.html (TICKETREF, [aac46f1](http://github.com/jquery/jquery-mobile/commit/aac46f11d917f7e243acbff549b6396fb1d4fb23))
* Fixed path to package.json (TICKETREF, [d13a1b6](http://github.com/jquery/jquery-mobile/commit/d13a1b6509aacc931d5dce70d77ececf0bcd9cbb))
* Fixed sourceMap's  path to unminified (TICKETREF, [30a0215](http://github.com/jquery/jquery-mobile/commit/30a02159b06dd9c3fba5e0d5cdef04bdecd2cd33))
* Fixed toolbar workarounds: coding standards. (TICKETREF, [41847f9](http://github.com/jquery/jquery-mobile/commit/41847f9595ab3983cf6eef96fbfbbcfd8ac5f03c))
* Fixed toolbar: Adjusted the page padding we set in the CSS to prevent jumping content. (TICKETREF, [c061f2c](http://github.com/jquery/jquery-mobile/commit/c061f2c3e257e99b8e0e6d41f1583b2d85757672))
* Fixed toolbar: changed hideDuringFocus logic. Fixes #4113 and an issue on Android native browser (see comments in the code). ([#4113](http://github.com/jquery/jquery-mobile/issues/4113), [4d6079c](http://github.com/jquery/jquery-mobile/commit/4d6079c1c4e32269bd469409de8f9a78d8044987))
* Fixed typo in readme (TICKETREF, [d64d029](http://github.com/jquery/jquery-mobile/commit/d64d029d9acbbf93683ca1be7aa034604ebc2043))
* Fixed typos in rangeslider.js comments (TICKETREF, [2a44f5c](http://github.com/jquery/jquery-mobile/commit/2a44f5ceb13f310960e727dbf6c9da19e91a9a31))
* Fixed uglify config (TICKETREF, [531569e](http://github.com/jquery/jquery-mobile/commit/531569e85f45e7afe18c8e6ec0c29a8debdd3cdd))
* Fixed version back to 1.4.0pre (TICKETREF, [cdbaf2a](http://github.com/jquery/jquery-mobile/commit/cdbaf2a48b5bc0fb327bc1b752f97e491d7d7b8e))
* Fixed version string generation to handle non-semver string (TICKETREF, [c464d0a](http://github.com/jquery/jquery-mobile/commit/c464d0a91853ca078fdaa4af76eeba0f0fd639b1))
* Fixed vertical alignment of icon-only buttons on font icons test page. (TICKETREF, [98f8450](http://github.com/jquery/jquery-mobile/commit/98f845017493629ae97449c378cee28235a1e1f6))
* FixedToolbars: Make sure fixed positions are not updated unless we are dealing with a fixed toolbar (TICKETREF, [68289b3](http://github.com/jquery/jquery-mobile/commit/68289b3c31d113f20b59994c25163c4cde9c45fc))
* FixedToolbars: remove alert accidently left in (TICKETREF, [9bb8660](http://github.com/jquery/jquery-mobile/commit/9bb8660de48e9f98c7be0cfa5b52d6fcecde27fd))
* Fixedtoolbar: Update amd dependencies (TICKETREF, [23cfeed](http://github.com/jquery/jquery-mobile/commit/23cfeed0f686e45d3e7bb37378b48112f8a9d9d0))
* Flip Switch: First pass at new widget (TICKETREF, [09ab251](http://github.com/jquery/jquery-mobile/commit/09ab25184e4f69fc8f476df2fd33d9be8d4388f9))
* Flip Switch: adjust margins for consistancy and fix off text (TICKETREF, [db2c9a5](http://github.com/jquery/jquery-mobile/commit/db2c9a5aadb21678a5c88eaa3e6384b79e9c9a11))
* Flipswitch: Add tests (TICKETREF, [1ae9476](http://github.com/jquery/jquery-mobile/commit/1ae94766be175b0dbbc09ee8c500e89144f28232))
* Flipswitch: Added missing closing tag. This is required according specs and fixes IE8 where the "On" button wasn't created. (TICKETREF, [247f6f4](http://github.com/jquery/jquery-mobile/commit/247f6f4266dfe75d3d592a83abf74a62c5ab2840))
* Flipswitch: CSS refactor. (TICKETREF, [0d28299](http://github.com/jquery/jquery-mobile/commit/0d28299d57f36b640fe602c264895b8c54981b64))
* Flipswitch: Call _super() in options to make sure option values are updated Fixes: #6271 - Changing flipswitch theme does not work as expected (1.4-alpha1) (TICKETREF, [16d9689](http://github.com/jquery/jquery-mobile/commit/16d9689b90fcd93ed00cdf426e9e68e88fa390b3))
* Flipswitch: Coding standards. (TICKETREF, [da87dd4](http://github.com/jquery/jquery-mobile/commit/da87dd426ea6dd32a2780847aa44eec185230f80))
* Flipswitch: Fix checking of inital selected state Fixes #6343 - Flipswitch using select: 'selected' attribute selects wrong option ([#6343](http://github.com/jquery/jquery-mobile/issues/6343), [836c0f2](http://github.com/jquery/jquery-mobile/commit/836c0f2c7541e2edfb0913efece229cedf1593ad))
* Flipswitch: Fix incorect css file name in pragmas (TICKETREF, [c3f426d](http://github.com/jquery/jquery-mobile/commit/c3f426d01ad04b1598e30275bd0106989400580a))
* Flipswitch: Fixes the width and height of a flip switch in a field container. (TICKETREF, [0bc9ba7](http://github.com/jquery/jquery-mobile/commit/0bc9ba71aaee64457c078439860b664da12b06f4))
* Flipswitch: Removed the ui-bar-inherit class so you can theme the flip switch. (TICKETREF, [8a57a80](http://github.com/jquery/jquery-mobile/commit/8a57a80fc175d07ee6816c4b4a56ffefa3f9e4fb))
* Flipswitch: Some CSS tweaks. (TICKETREF, [295adec](http://github.com/jquery/jquery-mobile/commit/295adecb8522f65064ed5eb51d4d049ace5336e3))
* Flipswitch: Speed up the animation. (TICKETREF, [c13d6c9](http://github.com/jquery/jquery-mobile/commit/c13d6c9df45b84a6df6e6aad16d30d5609011bc3))
* Flipswitch: Theming. (TICKETREF, [3d079f0](http://github.com/jquery/jquery-mobile/commit/3d079f051b3101eb8d527512fded8f8199e0d44a))
* Flipswitch: add examples for inital active state and handle second option selected (TICKETREF, [fa3c63f](http://github.com/jquery/jquery-mobile/commit/fa3c63fd6d32b8cc75d4b42d00e9158c816b6b9c))
* Flipswitch: add mini and disabled options (TICKETREF, [978e6d2](http://github.com/jquery/jquery-mobile/commit/978e6d29b673171d103c28109aeeefd6ae25584e))
* Flipswitch: add several methods and switch to wrap native element (TICKETREF, [8867275](http://github.com/jquery/jquery-mobile/commit/8867275b534d09fdf7aa0afa0d571e474b7613e5))
* Flipswitch: remove mobile base widget (TICKETREF, [7b02a73](http://github.com/jquery/jquery-mobile/commit/7b02a7366127cc35b896dd169c95e1d842382114))
* Flipswitch: update demos to match implementation and fix mismatched text Fixes #6343 - Flipswitch using select: 'selected' attribute selects wrong option ([#6343](http://github.com/jquery/jquery-mobile/issues/6343), [a270eb5](http://github.com/jquery/jquery-mobile/commit/a270eb57665e234bc4717a68019d16cc728aa810))
* Flipswitch: update methods add set options and enhanced option (TICKETREF, [9cf40ef](http://github.com/jquery/jquery-mobile/commit/9cf40ef7f2e4f0cbb1c2a2476e694cea68cf8dd0))
* Following move of RequireJS plugins we now need to use the requirejs.config.js (TICKETREF, [ccfa125](http://github.com/jquery/jquery-mobile/commit/ccfa1256f3bb525523ffa91b526f4748053f7b54))
* Forgot to rename button.css in structure.css file. (TICKETREF, [c8d0fd4](http://github.com/jquery/jquery-mobile/commit/c8d0fd4567e7ce7509240b3de8ac0b65b69553c8))
* Forgot to update a var in listview. (TICKETREF, [be3b443](http://github.com/jquery/jquery-mobile/commit/be3b4432974817db4ab1459d6b45a58f83d3582b))
* Form widgets: Add reset handling via $.extend, not $.widget to avoid additional subclass depth (TICKETREF, [871a4f8](http://github.com/jquery/jquery-mobile/commit/871a4f868dffc5cb17f654bf75f14607accd5c92))
* Forms: hide the native clear button on IE 10 when JQM clear button is visible on text inputs. Fixes #5756 - Textinput in IE10 has a default clear icon ([#5756](http://github.com/jquery/jquery-mobile/issues/5756), [4782044](http://github.com/jquery/jquery-mobile/commit/4782044847a6926fa7b1288f6cf18a0d6b0df541))
* Functional tests: Button markup: Remove reference to jqm-docs.css. (TICKETREF, [ab07a96](http://github.com/jquery/jquery-mobile/commit/ab07a96495c63f4f6d249f5c4bbf7d9aa4bafbc3))
* Functional tests: Hashchange: Get rid of superfluous script/style (TICKETREF, [424a6c4](http://github.com/jquery/jquery-mobile/commit/424a6c482a57207640de4c3c57807f04dc2e4dc3))
* Get version from package.json instead of version.txt (TICKETREF, [23f0cc8](http://github.com/jquery/jquery-mobile/commit/23f0cc8d7688cefc80b5afb35f6b34177238f709))
* Got rid of depend! plugin, now uses RequireJS' shim config (TICKETREF, [49c5dda](http://github.com/jquery/jquery-mobile/commit/49c5dda032cbf60b029b9953cd0c9c6087bd065c))
* Got rid of version.txt, versioning now happens in package.json (TICKETREF, [97bc0d4](http://github.com/jquery/jquery-mobile/commit/97bc0d43bd14f15c16fe73dabfdcff28cb48e389))
* Grid: Added margin for selectmenu and checkboxradio in grids. Move rule that unsets button margin to make sure the override always works. (TICKETREF, [0d4544e](http://github.com/jquery/jquery-mobile/commit/0d4544e9404e71f64a437cfe88e05a24f0277685))
* Grid: Make it easy to use grids to layout unordered lists. (TICKETREF, [4b13983](http://github.com/jquery/jquery-mobile/commit/4b13983675fe2f256a8f5db4dc3803fed753f139))
* Grid: Make nested grids work. Fixes #6159. ([#6159](http://github.com/jquery/jquery-mobile/issues/6159), [ff18454](http://github.com/jquery/jquery-mobile/commit/ff18454514683f9e4e7207237589ab560b32a548))
* Grid: Minor change in selector. (TICKETREF, [0aa8ad7](http://github.com/jquery/jquery-mobile/commit/0aa8ad73ce80f0b8d58171e633f83115cc296917))
* Grid: Only make grids responsive when class ui-responsive is added to the grid container. (TICKETREF, [3fac24a](http://github.com/jquery/jquery-mobile/commit/3fac24a543704fb59b13eeec6a705d09dc8ba708))
* Grid: Removed "immediate child" from selector. (TICKETREF, [a18d163](http://github.com/jquery/jquery-mobile/commit/a18d163c29bc55fa65d09145e0e94dd713f706db))
* Grid: Reverted the uni selector - profiling CSS selector performance. (TICKETREF, [6b35f75](http://github.com/jquery/jquery-mobile/commit/6b35f7573056ab89bf27e18d54dab09e11c6057c))
* Grid: Updated grid CSS. Change generic selectors to specific ones to improve performance. (TICKETREF, [c4e4c95](http://github.com/jquery/jquery-mobile/commit/c4e4c95ba4153ccf4320a52ba0a3346771dd4bf3))
* Grids: Reduced CSS. (TICKETREF, [ba87993](http://github.com/jquery/jquery-mobile/commit/ba879934895ac5086822e0caa9bf7f3ff4b508d3))
* Grunt migration: Added devDependency on grunt-contrib-qunit (TICKETREF, [d24b45f](http://github.com/jquery/jquery-mobile/commit/d24b45f5bc7cfa2649d22c85c8dd9eac7b856c3a))
* Grunt migration: First draft of Gruntfile.js It can lint, build JS and execute some test through file:// (TICKETREF, [b8bda04](http://github.com/jquery/jquery-mobile/commit/b8bda04acd9b6313b12498c4496e5efeb39cbcc1))
* Grunt migration: Removed r.js (TICKETREF, [32fbf4f](http://github.com/jquery/jquery-mobile/commit/32fbf4f442790f516659ae82462bacfa6ee3293a))
* Grunt migration: Removed trailing comma (TICKETREF, [7d9abad](http://github.com/jquery/jquery-mobile/commit/7d9abad9df9b31093c898e28f7791813b544f9d5))
* Grunt migration: package.json (TICKETREF, [62b9487](http://github.com/jquery/jquery-mobile/commit/62b948721877c6ee6443067252721fa8ec8eabc8))
* Gruntfile.js: Allow specific html file to be given as an argument for --suites. (TICKETREF, [130968f](http://github.com/jquery/jquery-mobile/commit/130968fce38a46ff891ad21c8013b16de7ebb24e))
* Gruntfile.js: Heed the linter. (TICKETREF, [319115b](http://github.com/jquery/jquery-mobile/commit/319115b7d7c60f8ff4925624179630b72064d1db))
* Gruntfile.js: Instead of passing "name" to requirejs pass "include", which is an array of modules to include. (TICKETREF, [4e63369](http://github.com/jquery/jquery-mobile/commit/4e63369bbc25f9afaf6bc4f3b1c22b53722c4c4a))
* Gruntfile.js: Make sure paths are unique /after/ having stripped off the index.html. (TICKETREF, [0f21e34](http://github.com/jquery/jquery-mobile/commit/0f21e34b808cd48636f9254564e3908c3eb7f470))
* Gruntfile.js: Remove duplicate paths resulting from grunt.file.expand(). (TICKETREF, [b03f8cf](http://github.com/jquery/jquery-mobile/commit/b03f8cfd06cd8d82a5346e18fafb0ad5ee866056))
* Gruntfile.js: Tests: Filter out paths that do not exist. (TICKETREF, [00504f4](http://github.com/jquery/jquery-mobile/commit/00504f4d3b8a5a6541520d18de7c45d1f9ed2032))
* Gruntfile.js: Update filter for non-existing files to use OS-agnostic path-handling. (TICKETREF, [083ab98](http://github.com/jquery/jquery-mobile/commit/083ab98a40641fe0ace8d67d4702cedc8f9aa0d1))
* Helpers and page: Whitespace breaking the linter. (TICKETREF, [2d29b58](http://github.com/jquery/jquery-mobile/commit/2d29b58450c039d07c3c282dca5e2e56f8f29932))
* Hide and show the link to demos folder with JS to make sure no-JS browsers show the link. (TICKETREF, [d389a57](http://github.com/jquery/jquery-mobile/commit/d389a57c0b8fb44350f1623b43b062b11b8af857))
* Icons: Changed no-svg class to ui-nosvg (TICKETREF, [342eae1](http://github.com/jquery/jquery-mobile/commit/342eae15dcdf541def93419663ac359b6b7a5723))
* Icons: Increased icon background disc size. (TICKETREF, [e995df2](http://github.com/jquery/jquery-mobile/commit/e995df29dc1f9834340e60592ef78556c0c77e02))
* Icons: Removed icon CSS files from icons-png folder. (TICKETREF, [b30c4e5](http://github.com/jquery/jquery-mobile/commit/b30c4e533444fe4e70cc3802a4044d23dcb8250d))
* Icons: Updated icon preview page. (TICKETREF, [c02b295](http://github.com/jquery/jquery-mobile/commit/c02b2951a5fe52181b4d8479c7328f107c283775))
* Implementing the workaround for enable()/disable() and removing workaround from popup. (TICKETREF, [9e30114](http://github.com/jquery/jquery-mobile/commit/9e3011489de8558ef2e579edf46b63ab2e3fc0d8))
* Improved versioning logic (TICKETREF, [db8f028](http://github.com/jquery/jquery-mobile/commit/db8f0286da60e894af53dc5495950ffa925a5d79))
* Improvements to and consistency in accessible hiding content. TODO: look into #3851 and create a mixin when using SASS. (TICKETREF, [bf9c2d3](http://github.com/jquery/jquery-mobile/commit/bf9c2d307eec1bbd75156ecd846eb5b1e8f1b104))
* Included icons in jquery.mobile.css. (TICKETREF, [058ee7a](http://github.com/jquery/jquery-mobile/commit/058ee7add3a85a26e4880b7586de999e9a7bb179))
* Increased icon bg disc size and icon-only button size. Adjusted icon and icon-only button offsets. (TICKETREF, [c0e93b4](http://github.com/jquery/jquery-mobile/commit/c0e93b48bf0485fb385e2a3e3cf719129d597fcd))
* Init: Add comments to code about how url bar hiding works (TICKETREF, [2616059](http://github.com/jquery/jquery-mobile/commit/2616059e1a93a48ef7eee5c914d85f9eff612d3a))
* Init: add option to prevent hiding url bar (TICKETREF, [a2364f3](http://github.com/jquery/jquery-mobile/commit/a2364f39d4a0a27be6814b2545ca4c38a782bf51))
* Init: stop inital scroll when not hiding url (TICKETREF, [411d79e](http://github.com/jquery/jquery-mobile/commit/411d79e4631fed142252d00543f9c9c60532b046))
* Integration tests: Add toolbar test. (TICKETREF, [433d555](http://github.com/jquery/jquery-mobile/commit/433d5552cd5544e0f1c8d1b7da8f1bf891232437))
* Integration tests: Button markup: Tests are empty, removing. (TICKETREF, [669c8e9](http://github.com/jquery/jquery-mobile/commit/669c8e94cdc332f1cae8b8a74edc06e5a7bd14ad))
* Integration tests: Collapsible and collapsible set: check _destroy(). (TICKETREF, [dfbcdc5](http://github.com/jquery/jquery-mobile/commit/dfbcdc51ec9fd969da5a9e1ce8147d35a6496cc1))
* Integration tests: Collapsible: Make "Expand/Collapse" test reusable and apply it to pre-rendered collapsible. (TICKETREF, [ae1ed8e](http://github.com/jquery/jquery-mobile/commit/ae1ed8edd0d4c3cb82ccdb853189aface958b2f2))
* Integration tests: Collapsible: Twiddle with some options to make sure they get set/unset correctly. (TICKETREF, [571a938](http://github.com/jquery/jquery-mobile/commit/571a93892d8afeb4c88aaa7711747d52f3c209bb))
* Integration tests: Custom select: Removing test that checks whether placeholder is kept in sync across refresh() calls because it is also present in the unit tests, where it belongs. (TICKETREF, [6d5edb6](http://github.com/jquery/jquery-mobile/commit/6d5edb63192a3d86216e5ccb25651770bbf37adf))
* Integration tests: Dialog: Make sure the attribute "role=button" is set on the dialog close button. (TICKETREF, [acc0c44](http://github.com/jquery/jquery-mobile/commit/acc0c444eca257340142f169982bdcde373b9476))
* Integration tests: Filterable: Add destroy-tests. (TICKETREF, [290b88a](http://github.com/jquery/jquery-mobile/commit/290b88a47cf1f958abc0d2c49ca571b8f423a750))
* Integration tests: Filterable: Add input explicitly, because autogenerating it is deprecated. (TICKETREF, [33545d5](http://github.com/jquery/jquery-mobile/commit/33545d5c666c1d38019a85d7695436605da1ebd4))
* Integration tests: Filterable: Correctly retrieve generated textinput. (TICKETREF, [7a66c5a](http://github.com/jquery/jquery-mobile/commit/7a66c5ac88be1b6f2ecdd89be988b2886cf98b4b))
* Integration tests: Filterable: Do not test option filterPlaceholder because it is deprecated. (TICKETREF, [5affcc5](http://github.com/jquery/jquery-mobile/commit/5affcc5dad163ffd8bc25abc9212f016d6935c1d))
* Integration tests: Filterable: Place all test widgets on one page. (TICKETREF, [37bbc69](http://github.com/jquery/jquery-mobile/commit/37bbc699527a5c2d5472389b86f1687110c6abc6))
* Integration tests: Filterable: Place test widgets on one page instead of multiple pages. (TICKETREF, [cf23f0c](http://github.com/jquery/jquery-mobile/commit/cf23f0c5ceee4a1bcce731a863651ec862ba7797))
* Integration tests: Moving filter to filterable. (TICKETREF, [45aaaf2](http://github.com/jquery/jquery-mobile/commit/45aaaf2d0b5c6d30e45b744984580fdb0e885954))
* Integration tests: Moving sequence test for focus transfer from unit tests to integration tests. (TICKETREF, [b4d6c30](http://github.com/jquery/jquery-mobile/commit/b4d6c308601c8efa24fbba60033b476f493d0ee8))
* Integration tests: Popup: Add test to make sure a popup is closed upon becoming disabled, and to make sure that a disabled popup is not opened. (TICKETREF, [5653444](http://github.com/jquery/jquery-mobile/commit/5653444aa1b3d2b46f287d5557c905e6dba9886c))
* Integration tests: Popup: Make sure the popup emits exactly one "popupafterclose" event upon closing. (TICKETREF, [da41d09](http://github.com/jquery/jquery-mobile/commit/da41d0998069ea28fa17a214477d8ad7c8dd06c0))
* Integration tests: Popup: On the link it's data-rel, not data-role. (TICKETREF, [c2606e8](http://github.com/jquery/jquery-mobile/commit/c2606e85670d5c5d88471a74e4aa9ae8e7f0de0f))
* Integration tests: Popup: Parameterize popup-opens-and-closes test so other popups can be tested as well. (TICKETREF, [92d2757](http://github.com/jquery/jquery-mobile/commit/92d2757ae803a8a4d2db36010fb0746656f204d8))
* Integration tests: Popup: Test that pre-enhanced popup opens and closes correctly. (TICKETREF, [f4ba629](http://github.com/jquery/jquery-mobile/commit/f4ba629523f0be1804c8048e8c284985faa1873d))
* Integration tests: Remove leftover debugger statement. (TICKETREF, [a73598a](http://github.com/jquery/jquery-mobile/commit/a73598ab5e3f4f68250c160aaa055130362aad4c))
* Integration tests: Select: Remove duplicate test which is also present in and should stay in unit tests. (TICKETREF, [cb36348](http://github.com/jquery/jquery-mobile/commit/cb36348d291ef0ef01e0ccedfb16caeef2b185c7))
* Integration tests: Select: Remove test that makes sure that a select inside a popup is rendered as native, because it is duplicated from the unit tests. (TICKETREF, [8ec12f8](http://github.com/jquery/jquery-mobile/commit/8ec12f8728c577cffdb959b2ae87c6744dd5f121))
* Integration tests: Select: Removed duplicate test. (TICKETREF, [a329ec3](http://github.com/jquery/jquery-mobile/commit/a329ec3902dd19b377392dd37c8afb88298455bd))
* Integration tests: Select: Removing some synchronous tests which are duplicated in the unit tests anyway. (TICKETREF, [ceb65bc](http://github.com/jquery/jquery-mobile/commit/ceb65bc67cb06f2b532d9f8fe3cfdb5b53b32cdd))
* Integration tests: Select: Removing test for the presence of ui-btn-down-c. (TICKETREF, [d5566ba](http://github.com/jquery/jquery-mobile/commit/d5566ba393883feea60fcf022e2901f4dcf187bf))
* Integration tests: Select: Removing test titled "enabling and disabling" from integration tests, because it is also present in the unit tests and more properly resides there. (TICKETREF, [9bf601a](http://github.com/jquery/jquery-mobile/commit/9bf601a8be6c1a7bbf1d6e01efbba186dabd7e92))
* Integration tests: Select: Test for properly applied theme removed because it is duplicated in unit tests. (TICKETREF, [a6d3b9e](http://github.com/jquery/jquery-mobile/commit/a6d3b9e854a1d7ba0d7f14633e32a1dcd473aa05))
* Integration tests: Select: Theme inheritance test removed because it is also present in the unit tests and more properly resides there. (TICKETREF, [4b94e1b](http://github.com/jquery/jquery-mobile/commit/4b94e1b1da647471e0f7d8d7ee905a7d28eb2fda))
* Integration tests: Select: Updating test for correct button update. (TICKETREF, [2e8c2a4](http://github.com/jquery/jquery-mobile/commit/2e8c2a45249d65c6a2e83a6cc830b5111bbe2a11))
* Integration tests: Select: Whitespace fix. (TICKETREF, [f6d0fca](http://github.com/jquery/jquery-mobile/commit/f6d0fca43875cb5c9ec77c46f479d086dc92207e))
* Integration tests: Test option value inheritance for option "mini". (TICKETREF, [fc8f6ce](http://github.com/jquery/jquery-mobile/commit/fc8f6ceaaf033b2b5ac2e4b2c3a536cd8a89450e))
* Integration tests: Yank test that checks tolerances, because it fails in phantomjs. (TICKETREF, [2a14641](http://github.com/jquery/jquery-mobile/commit/2a1464150af45ff289bea3bebf0c82c7f667b832))
* Integration tests: collapsible: Add pre-rendered collapsible to markup. (TICKETREF, [47097ef](http://github.com/jquery/jquery-mobile/commit/47097ef9fba06e3a5a265329e522202ae7d64e26))
* KeepNative: Made keep native just a selector string on $.mobile and deprecate keepNativeSelector from page (TICKETREF, [40857b3](http://github.com/jquery/jquery-mobile/commit/40857b36f8364a69f8e8da905451c4ceba386f12))
* Links: Append popup accessibility attributes. Fixes #5898. ([#5898](http://github.com/jquery/jquery-mobile/issues/5898), [ab910d3](http://github.com/jquery/jquery-mobile/commit/ab910d3cc80766c58c6b7aad4d0308f1de42c332))
* Links: Correctly distinguishing between hrefs, ids, and selectors. (TICKETREF, [5134233](http://github.com/jquery/jquery-mobile/commit/51342330315c0f799e413d7e739a0863fd64961b))
* Links: ID refs without hashtag for aria-owns attribute of links to popups. Fixes #6117. ([#6117](http://github.com/jquery/jquery-mobile/issues/6117), [180a404](http://github.com/jquery/jquery-mobile/commit/180a4045cb692feeb2cc115956c7eefb5c802dc8))
* Lint: Heeding the new version. (TICKETREF, [0770aa7](http://github.com/jquery/jquery-mobile/commit/0770aa70a68c9f94b215030861986578dbbbefcf))
* Lint: fixing white space (TICKETREF, [ae3f4c7](http://github.com/jquery/jquery-mobile/commit/ae3f4c7b484a73f7437f4400d945b047d7a9d4eb))
* List: replaced 2 submit event binds with one for filter wrapper (TICKETREF, [af81d12](http://github.com/jquery/jquery-mobile/commit/af81d12d471c16846c32d622f9af6521eab47582))
* Listview filter: Check if var listview is defined. Fixes #5696 and #5643 ([#5696](http://github.com/jquery/jquery-mobile/issues/5696), [1e88b3b](http://github.com/jquery/jquery-mobile/commit/1e88b3bf4f1eb8cc70738654fcefcce1c2ed4740))
* Listview hidedividers: Heeding the linter. (TICKETREF, [eebbc28](http://github.com/jquery/jquery-mobile/commit/eebbc28c5c1e6f03c1f693bc95964938d120efa9))
* Listview: Add icon classes to button. (TICKETREF, [0ba1ee8](http://github.com/jquery/jquery-mobile/commit/0ba1ee83ef6c28cc9f65d71914ae532c729c1ef1))
* Listview: Add icon position class again. (TICKETREF, [cbb3ad4](http://github.com/jquery/jquery-mobile/commit/cbb3ad4956781f33b6cf4fd9a57e971c95c9e5ca))
* Listview: Added style for ordered list with formatted content. Fixes #1609. ([#1609](http://github.com/jquery/jquery-mobile/issues/1609), [1b57da9](http://github.com/jquery/jquery-mobile/commit/1b57da93338702524122998dcae891243c097c5b))
* Listview: Adding extension to hide dividers whose "children" are all hidden. (TICKETREF, [79ba989](http://github.com/jquery/jquery-mobile/commit/79ba989beb689d43c9ba3a3654654a614ef3c659))
* Listview: Adjusted count bubble size; matches with icon disc and they are round now on Android. (TICKETREF, [ac3001c](http://github.com/jquery/jquery-mobile/commit/ac3001c3b88d3afbbfb3db4ecb763953dda4e82f))
* Listview: Autodividers: Converting to extension. (TICKETREF, [dfcc6a5](http://github.com/jquery/jquery-mobile/commit/dfcc6a53df267f829cd6ce8aee3f8670c5a50c1e))
* Listview: Change of plan... bring back class ui-btn for listview buttons. (TICKETREF, [36a6442](http://github.com/jquery/jquery-mobile/commit/36a644282b854ed1d9417edaa5f4464902ce6de6))
* Listview: Check if list item is already enhanced to improve performance of refresh. (TICKETREF, [e07be5a](http://github.com/jquery/jquery-mobile/commit/e07be5ad8ceef4917351bb4bc8a5ac9330a5c27f))
* Listview: Check if split button icon has been specified with data- attr on the LI. (TICKETREF, [f0d71e3](http://github.com/jquery/jquery-mobile/commit/f0d71e34b415bdc8ab85d3f699622787473daac0))
* Listview: Correction in count bubble position em value. (TICKETREF, [dc78588](http://github.com/jquery/jquery-mobile/commit/dc78588d1ecc75af547b92da6fe383970040dc57))
* Listview: Correction in the code that sets the counter when there is a value attribute. (TICKETREF, [be2c475](http://github.com/jquery/jquery-mobile/commit/be2c4758213f7c199125a0fab2d72bcf626933e2))
* Listview: Correction split button count bubble position. (TICKETREF, [94c0bcc](http://github.com/jquery/jquery-mobile/commit/94c0bcc7ffc7699cca4a6258e19e461ecf503ac8))
* Listview: De-linting. (TICKETREF, [1071734](http://github.com/jquery/jquery-mobile/commit/1071734c1f417685752579fd042c63669551375d))
* Listview: Deprecated auto detection of thumbs/icons. Add class ui-li-has-thumb/icon to the LI. (TICKETREF, [ed89730](http://github.com/jquery/jquery-mobile/commit/ed89730f42ad83cad7e8006a1ecd33ef64738192))
* Listview: Deprecated option countTheme. (TICKETREF, [cd3b9d6](http://github.com/jquery/jquery-mobile/commit/cd3b9d6ef6298a84512d48ed64320ae234099d52))
* Listview: Don't add classes ui-li-heading/desc/thumb but use CSS type selectors. (TICKETREF, [4bc1ec5](http://github.com/jquery/jquery-mobile/commit/4bc1ec52e7c4a71e4863f0e2a4e5361b8df6516e))
* Listview: Don't add ui-li-static to LIs with buttons that are already enhanced. Changed the regex because it shouldn't match ui-li-has-thumb/icon. (TICKETREF, [86875b6](http://github.com/jquery/jquery-mobile/commit/86875b6b92c72588960305a4cd800db155809f3e))
* Listview: Filter: Convert to extension. (TICKETREF, [3f7a788](http://github.com/jquery/jquery-mobile/commit/3f7a78871db19cf3d2c7a61b088cfd52b7487e44))
* Listview: Fixed a specificity issue. (TICKETREF, [8c2dcc2](http://github.com/jquery/jquery-mobile/commit/8c2dcc258599fed1307aa23f4f5d4a22fc4956fa))
* Listview: Form buttons inside a static LI shouldn't get listview button styles. (TICKETREF, [edafe26](http://github.com/jquery/jquery-mobile/commit/edafe2642e068f908432eb3e54254e1c60941942))
* Listview: Improved icon and theme options logic. Prevent icon related classes being added when icon is set to false. (TICKETREF, [ed69a52](http://github.com/jquery/jquery-mobile/commit/ed69a52dd643e741f3d4f8c9430e741e3a20bb03))
* Listview: Increased text-indent for formatted text in ordered list a bit. (TICKETREF, [cc9fa8c](http://github.com/jquery/jquery-mobile/commit/cc9fa8cc1f51e7bcf2d4adaa9839fe14471ceb19))
* Listview: No icon position class. (TICKETREF, [203eefd](http://github.com/jquery/jquery-mobile/commit/203eefd79b45fa42b89b8b5c35fffdb75f65f520))
* Listview: No more jsCount, only use pseudo elements for list numbering. Take value attribute into account: fixes #5884. (TICKETREF, [6ddfca9](http://github.com/jquery/jquery-mobile/commit/6ddfca9c7b2e0fea25c5a31b4b0cb60fc84d9721))
* Listview: No more ui-li and ui-btn classes. (TICKETREF, [967fe31](http://github.com/jquery/jquery-mobile/commit/967fe318a6f6725477f81120747eeeeb4945f3b2))
* Listview: Ordered list styling. (TICKETREF, [1995eee](http://github.com/jquery/jquery-mobile/commit/1995eeea7e5e19a142678e2122bc3adb005c05be))
* Listview: Provide class ui-li-thumb to position elements other than img. Deprecate ui-li-has-icon. Fixes #6321. ([#6321](http://github.com/jquery/jquery-mobile/issues/6321), [0479daa](http://github.com/jquery/jquery-mobile/commit/0479daa0e3d358153a455d5448d395e67d9a1472))
* Listview: Reduced CSS for list buttons. Use global rules for padding. (TICKETREF, [c5d794a](http://github.com/jquery/jquery-mobile/commit/c5d794a9bc40a4049033e556b51558753cf972ed))
* Listview: Reduced counter-reset code. (TICKETREF, [975643f](http://github.com/jquery/jquery-mobile/commit/975643f3bc9a3eeca3b680366c8684a12af01e69))
* Listview: Reduced specificity of read-only list item selector. (TICKETREF, [96240dc](http://github.com/jquery/jquery-mobile/commit/96240dcbd71944a1c6b3002e5551bed62ae4248b))
* Listview: Remove ui-link class from listview buttons. (TICKETREF, [a0fc287](http://github.com/jquery/jquery-mobile/commit/a0fc287fb5378ef2c258eaea835bb0b7aaf94f7d))
* Listview: Removed code that was adding classes to ui-btn-inner. (TICKETREF, [92750e8](http://github.com/jquery/jquery-mobile/commit/92750e8bfd68c9b9c5b4966ddcc7cb74ff347bd1))
* Listview: Removed nested listview option headerTheme. (TICKETREF, [3fa62b5](http://github.com/jquery/jquery-mobile/commit/3fa62b53978858304fdc97c393d960b1b01e2aa3))
* Listview: Removed superfluous code. (TICKETREF, [74c0204](http://github.com/jquery/jquery-mobile/commit/74c0204b0db99cb9f3cefc98088bd58c906a9192))
* Listview: Removed ui-li-thumb from selector. We don't add that class anymore. (TICKETREF, [bd599a9](http://github.com/jquery/jquery-mobile/commit/bd599a9e41655543c89a5305856c902afe8cc33a))
* Listview: Removed unnecessary fallbacks. Split button icon option has a default and can't be set to false. (TICKETREF, [430096b](http://github.com/jquery/jquery-mobile/commit/430096bd9cbe4550fe6632f786938b88dcb42bcf))
* Listview: Replace jqmData with $.mobile.getAttribute (TICKETREF, [920f3a6](http://github.com/jquery/jquery-mobile/commit/920f3a6d30e744a0d72189395195da4496170416))
* Listview: Reverted the "add body theme class to container" solution. (TICKETREF, [e081a9a](http://github.com/jquery/jquery-mobile/commit/e081a9adcccb55bc696e4f51a89e4bab148e484d))
* Listview: Same margin-top for inset listview filter as inset listview without filter. (TICKETREF, [9d3328d](http://github.com/jquery/jquery-mobile/commit/9d3328d9b934f21ca0f49bb421c3ab727060f402))
* Listview: Same spacing at all sides for inset listview inside a collapsible. (TICKETREF, [9e789a2](http://github.com/jquery/jquery-mobile/commit/9e789a267daa515a0b4079ba22df3809e278022b))
* Listview: Set theme for whole listview with one class. (TICKETREF, [de40f72](http://github.com/jquery/jquery-mobile/commit/de40f7258e0948068311ffd91cf8657c10cfd3fe))
* Listview: Simplified markup, no more buttonMarkup. (TICKETREF, [78cb933](http://github.com/jquery/jquery-mobile/commit/78cb93362fe7143ad3cc5665d0ac185fd45e5ae1))
* Listview: Simplified the split button; don't append another button. (TICKETREF, [eabb553](http://github.com/jquery/jquery-mobile/commit/eabb5532de4b90582975ef89ec05d0948304303f))
* Listview: Some small changes because we use class ui-li anymore but still add class ui-btn. (TICKETREF, [9af0e9c](http://github.com/jquery/jquery-mobile/commit/9af0e9c3867806894957220594482eb0cdf056e1))
* Listview: Split button icon needs icon position class. (TICKETREF, [c01f3ad](http://github.com/jquery/jquery-mobile/commit/c01f3adbdedb5e955f55ad061eb65a65d7d4020b))
* Listview: Split button performance improvements. (TICKETREF, [537a4da](http://github.com/jquery/jquery-mobile/commit/537a4da4326708348a86c0502504b436be5da6d7))
* Listview: Split button theme inheritance. (TICKETREF, [e6c5ac5](http://github.com/jquery/jquery-mobile/commit/e6c5ac5b4b2352f82d07ae54437076bce6827982))
* Listview: Split buttons without buttonMarkup. (TICKETREF, [1c7117c](http://github.com/jquery/jquery-mobile/commit/1c7117c21c662a3109708a0df71483540b8235a6))
* Listview: Style count bubble as body instead of button. (TICKETREF, [056b94c](http://github.com/jquery/jquery-mobile/commit/056b94c063f43483726e51c42f65e79396b357ea))
* Listview: Use body class for read-only listviews. (TICKETREF, [f5d71f6](http://github.com/jquery/jquery-mobile/commit/f5d71f6321055f22de5f00d3f9d15f4d18fc5696))
* Listview: Use em value for responsive ui-li-aside; same breakpoint as fieldcontain. (TICKETREF, [b719c99](http://github.com/jquery/jquery-mobile/commit/b719c9907829cbea69e03fba78781016c88de406))
* Listview: We don't need class ui-li-has-arrow anymore. (TICKETREF, [1502c70](http://github.com/jquery/jquery-mobile/commit/1502c70fed469b196db4cdfff80dc386f138ed30))
* Listview: body instead of new ui-fill-x theme class for static list items. (TICKETREF, [e778db8](http://github.com/jquery/jquery-mobile/commit/e778db8cdd538234871794376a52b4237461460a))
* Listview: em values. (TICKETREF, [ad51f72](http://github.com/jquery/jquery-mobile/commit/ad51f72be2b541f72591015ea2febcf8de9346bd))
* Listview: headings and paragraphs style tweaks. (TICKETREF, [3868591](http://github.com/jquery/jquery-mobile/commit/386859121efb67bf4a5f6b012b96db78a851203a))
* Listview: performance improvements. (TICKETREF, [7243808](http://github.com/jquery/jquery-mobile/commit/7243808b1e2aa02b8946573e58c7734efdd602f9))
* Listview: position ui-li-aside absolute. (TICKETREF, [03db354](http://github.com/jquery/jquery-mobile/commit/03db3547a31daba83723481f094c4b623b93b276))
* Listview: remove all js dependancy on page (TICKETREF, [197bac3](http://github.com/jquery/jquery-mobile/commit/197bac3aa356a1a1678d955f756ed2d58571b89b))
* Listview: removed superfluous function from addClass. (TICKETREF, [ecf298b](http://github.com/jquery/jquery-mobile/commit/ecf298bab38c02e9e7853c71260d485204be91f9))
* Listview: removed superfluous z-index for split button. (TICKETREF, [e115ec1](http://github.com/jquery/jquery-mobile/commit/e115ec1cda02c1c91fa7c6cfd7385acb0e5d5bff))
* Listview: theme inheritance for list dividers. (TICKETREF, [ee3288d](http://github.com/jquery/jquery-mobile/commit/ee3288d194e599bcb9b882bab576d93d39c05e64))
* Listview: theme inheritance. (TICKETREF, [0e87097](http://github.com/jquery/jquery-mobile/commit/0e8709762da56b75da9681591b16351507ec9f6a))
* Loader: Removed ui-icon class. Changed px to em values. (TICKETREF, [6da83d4](http://github.com/jquery/jquery-mobile/commit/6da83d40bae2c98f974bd78a046508b6080c0099))
* Loadpage: Fixes calling $.mobile.loadpage fails when a second argument is not passed (TICKETREF, [f09ed24](http://github.com/jquery/jquery-mobile/commit/f09ed241558528a47f9203cc8331c05f9f562ba4))
* Made transparent native input and select element inherit border-radius. (TICKETREF, [bbd80cd](http://github.com/jquery/jquery-mobile/commit/bbd80cdddaa0d74f705ab258442b2d6439c433bc))
* Merge branch 'basetag' (TICKETREF, [4b2a785](http://github.com/jquery/jquery-mobile/commit/4b2a785f59e7a52434d1ef9198258b785871f08b))
* Merge branch 'collapsible-widget-review' (TICKETREF, [6517422](http://github.com/jquery/jquery-mobile/commit/651742254bab08cbe89bbbc2da1912d53e1380da))
* Merge branch 'controlgroup' of github.com:stforek/jquery-mobile into pr-5651 (TICKETREF, [9a3c504](http://github.com/jquery/jquery-mobile/commit/9a3c5049139207633b456dd549d9c9ce50701038))
* Merge branch 'controlgroup-widget-review' (TICKETREF, [6a558ff](http://github.com/jquery/jquery-mobile/commit/6a558ffe98c86e405071b1b19c28c9befea23727))
* Merge branch 'enhancement-order' into lazy-widgets-with-registry (TICKETREF, [d80b923](http://github.com/jquery/jquery-mobile/commit/d80b923f7836805bec9c1c31de9dbb232b2aa88c))
* Merge branch 'ext-panels' of https://github.com/jquery/jquery-mobile into ext-panels (TICKETREF, [45a122c](http://github.com/jquery/jquery-mobile/commit/45a122cab456003db38ed7a7e099dd80ce231f7f))
* Merge branch 'filter-widget-review' (TICKETREF, [b2a73d0](http://github.com/jquery/jquery-mobile/commit/b2a73d02d5d202704e4a8c08ee6ddd49281dec58))
* Merge branch 'filter_widget' of github.com:frequent/jquery-mobile into filter-widget-review (TICKETREF, [081c44e](http://github.com/jquery/jquery-mobile/commit/081c44ea95029f0db03d5d5c35a61cd2a2cba61d))
* Merge branch 'fix-5710' (TICKETREF, [72906c8](http://github.com/jquery/jquery-mobile/commit/72906c8d6ab3168d070a43574b51235311c0e15b))
* Merge branch 'fix-dialog-setOption' of github.com:jdknezek/jquery-mobile into pr-5667 (TICKETREF, [f4442e5](http://github.com/jquery/jquery-mobile/commit/f4442e573db7e7e86363050923e3bf7a3be5b269))
* Merge branch 'flipswitch' (TICKETREF, [df60622](http://github.com/jquery/jquery-mobile/commit/df6062213c420148a0896a19c729f0ebda6637aa))
* Merge branch 'grunt-0.4' (TICKETREF, [20d4972](http://github.com/jquery/jquery-mobile/commit/20d4972d5d69e2b04676f24a9d4ea9e9b75e96d3))
* Merge branch 'issue-6258' (TICKETREF, [36bb67f](http://github.com/jquery/jquery-mobile/commit/36bb67f5e50b77927d18c0984e5ef7b8bc474f90))
* Merge branch 'master' into collapsible-widget-review (TICKETREF, [2efcb7a](http://github.com/jquery/jquery-mobile/commit/2efcb7aa4742de988513700f534d7676b9f93dec))
* Merge branch 'master' into collapsible-widget-review (TICKETREF, [93761a7](http://github.com/jquery/jquery-mobile/commit/93761a71d9aaa9914a27a18443665873e1e13dc3))
* Merge branch 'master' into collapsible-widget-review (TICKETREF, [d96fb7d](http://github.com/jquery/jquery-mobile/commit/d96fb7d75cceb9876872ca3eeb8313853f602049))
* Merge branch 'master' into collapsible-widget-review (TICKETREF, [f0e035e](http://github.com/jquery/jquery-mobile/commit/f0e035e5f693aab05276022d0b20a0f4bc8ccc6a))
* Merge branch 'master' into controlgroup-widget-review (TICKETREF, [b4a2a31](http://github.com/jquery/jquery-mobile/commit/b4a2a31d3a96be6f2b39f8ab1f4abc6dd68be5ae))
* Merge branch 'master' into controlgroup-widget-review (TICKETREF, [ec23a71](http://github.com/jquery/jquery-mobile/commit/ec23a71bb8d52ad34d8f78a807cfa603b4b3246b))
* Merge branch 'master' into enhancement-order (TICKETREF, [3aabb8a](http://github.com/jquery/jquery-mobile/commit/3aabb8a7e558a24b8ea29dff152987d522c5fd35))
* Merge branch 'master' into enhancement-order (TICKETREF, [5038eca](http://github.com/jquery/jquery-mobile/commit/5038eca10f6098f94cca17bd78ee0f343ade4e9d))
* Merge branch 'master' into enhancement-order (TICKETREF, [cef1efa](http://github.com/jquery/jquery-mobile/commit/cef1efae707c42991696fc05e8bb47a365048f9e))
* Merge branch 'master' into ext-panels (TICKETREF, [6977889](http://github.com/jquery/jquery-mobile/commit/6977889b7da13df0f76bafa35655bd32f2ce71e7))
* Merge branch 'master' into ext-panels (TICKETREF, [83aee53](http://github.com/jquery/jquery-mobile/commit/83aee5301df697a7020db8fa60c903a83eb5da46))
* Merge branch 'master' into ext-panels (TICKETREF, [e1d40a0](http://github.com/jquery/jquery-mobile/commit/e1d40a0765de46581e3797d49096936241264d83))
* Merge branch 'master' into filter-widget-review (TICKETREF, [1295756](http://github.com/jquery/jquery-mobile/commit/1295756315a973715b2c9f9c602e0b9656064a37))
* Merge branch 'master' into filter-widget-review (TICKETREF, [1490d9d](http://github.com/jquery/jquery-mobile/commit/1490d9d18bc35638771c8a751059998b373498ea))
* Merge branch 'master' into filter-widget-review (TICKETREF, [745eaae](http://github.com/jquery/jquery-mobile/commit/745eaaef44c1856082caba3f520bb88bf1bf7fe1))
* Merge branch 'master' into filter-widget-review (TICKETREF, [eb637d4](http://github.com/jquery/jquery-mobile/commit/eb637d443425067e423ae58d9f6d462dbfed6745))
* Merge branch 'master' into flipswitch (TICKETREF, [915edb5](http://github.com/jquery/jquery-mobile/commit/915edb53f71e9a0e3779fb0d445ba22104702e67))
* Merge branch 'master' into grunt-0.4 (TICKETREF, [5cb59a6](http://github.com/jquery/jquery-mobile/commit/5cb59a6f44ab81e85b65d0791cf262146c6a5fe3))
* Merge branch 'master' into lazy-widgets-via-accessors (TICKETREF, [e033953](http://github.com/jquery/jquery-mobile/commit/e03395394acaebb4b9c41a3edff1d05a44dd359e))
* Merge branch 'master' into lazy-widgets-with-registry (TICKETREF, [5c52522](http://github.com/jquery/jquery-mobile/commit/5c5252222ad0246d86ed439050918203dddb3146))
* Merge branch 'master' into next (TICKETREF, [2829abe](http://github.com/jquery/jquery-mobile/commit/2829abe378e9884fae345d3e343f3041c8bd64c3))
* Merge branch 'master' into next (TICKETREF, [35d2d10](http://github.com/jquery/jquery-mobile/commit/35d2d1039f746c219c713758fef91b877645d9fa))
* Merge branch 'master' into next (TICKETREF, [4d41a47](http://github.com/jquery/jquery-mobile/commit/4d41a47ef32036eca630c1a07fb4dcbf13a24c39))
* Merge branch 'master' into next (TICKETREF, [6b50be7](http://github.com/jquery/jquery-mobile/commit/6b50be71ebca8b779d43dce6fd130eb75edfa0e0))
* Merge branch 'master' into next (TICKETREF, [88d124a](http://github.com/jquery/jquery-mobile/commit/88d124ace7c351f982cea812c92ad52604fc53d9))
* Merge branch 'master' into next (TICKETREF, [aabdc93](http://github.com/jquery/jquery-mobile/commit/aabdc93afc4fdb66d88033551a18fa24537f1619))
* Merge branch 'master' into next (TICKETREF, [ae39280](http://github.com/jquery/jquery-mobile/commit/ae39280c1c9da2dc346d6ad5b295c3de852df038))
* Merge branch 'master' into next (TICKETREF, [b5f181a](http://github.com/jquery/jquery-mobile/commit/b5f181af1057e82b773ad0f949a617e2e458930a))
* Merge branch 'master' into next (TICKETREF, [c570210](http://github.com/jquery/jquery-mobile/commit/c570210b5ce778865b323083cb19af15d475c3ac))
* Merge branch 'master' into next (TICKETREF, [cfa8e6d](http://github.com/jquery/jquery-mobile/commit/cfa8e6df1fdb9a886b73eb061e5fc4e3378fa27e))
* Merge branch 'master' into next (TICKETREF, [ea76c10](http://github.com/jquery/jquery-mobile/commit/ea76c107a2a630da2e635c7485df3437c7825875))
* Merge branch 'master' into popup-widget-review (TICKETREF, [8aaf94e](http://github.com/jquery/jquery-mobile/commit/8aaf94eb67579e26e65cd4349bd0e5eb5b96dfbc))
* Merge branch 'master' into table-widget-review (TICKETREF, [0849444](http://github.com/jquery/jquery-mobile/commit/08494441000380808ca3bf6a0892311f2d5dbb2c))
* Merge branch 'master' of github.com:jquery/jquery-mobile (TICKETREF, [e900d62](http://github.com/jquery/jquery-mobile/commit/e900d628c303f9fdbf2be545cf5a3fcf41623754))
* Merge branch 'master' of github.com:stforek/jquery-mobile into pr-5509 (TICKETREF, [732a14b](http://github.com/jquery/jquery-mobile/commit/732a14b5573c2ac4b9427254dd74aa40d3545d41))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile (TICKETREF, [2cd340b](http://github.com/jquery/jquery-mobile/commit/2cd340bd9acc4d12a1cc3c2c20661beaa8cbcb5f))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile (TICKETREF, [6be7050](http://github.com/jquery/jquery-mobile/commit/6be70509dce060c4b5ec2e9b73a3ff8e20d04cb5))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into content-widget (TICKETREF, [41b7530](http://github.com/jquery/jquery-mobile/commit/41b7530c6153664af11ea36b69d312708d74333e))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into ext-panels (TICKETREF, [844ad71](http://github.com/jquery/jquery-mobile/commit/844ad71ed90490ef236b78c52e8d23879e71ca3f))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into mobile-base (TICKETREF, [68daf85](http://github.com/jquery/jquery-mobile/commit/68daf85e89a47bcf7e983f1f35cf8dd15448da43))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into mobile-base (TICKETREF, [9ce4295](http://github.com/jquery/jquery-mobile/commit/9ce429590f4aa07a5ec7781d076407d7a8731001))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into page-sections (TICKETREF, [cac7376](http://github.com/jquery/jquery-mobile/commit/cac73767e888f5f41ae80e9be08282f390396560))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into page-sections (TICKETREF, [fdf8f80](http://github.com/jquery/jquery-mobile/commit/fdf8f80b452bf3ad73f80d9c3822de7d72202221))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into tabs (TICKETREF, [f40d341](http://github.com/jquery/jquery-mobile/commit/f40d3413de33eafe7194182f6b490aa38806674b))
* Merge branch 'master' of https://github.com/jquery/jquery-mobile into touch-remove (TICKETREF, [70877cf](http://github.com/jquery/jquery-mobile/commit/70877cfa488fc7ea9f6ea6dc402ceda65b8e09d5))
* Merge branch 'next' (TICKETREF, [4973827](http://github.com/jquery/jquery-mobile/commit/4973827a40ecc64a7133537e687bce81041df265))
* Merge branch 'page-sections' of https://github.com/jquery/jquery-mobile into page-sections (TICKETREF, [75f99c6](http://github.com/jquery/jquery-mobile/commit/75f99c6fe039117258e081877f3e7fe5bd1835ba))
* Merge branch 'slider_left_mousedown' of github.com:stforek/jquery-mobile into pr-5568 (TICKETREF, [82b247c](http://github.com/jquery/jquery-mobile/commit/82b247c29199f41e93b62855cf514ab106eff967))
* Merge branch 'table-widget-review' (TICKETREF, [f350b6f](http://github.com/jquery/jquery-mobile/commit/f350b6f25684945cbeb865a35153cb6254c0b3e0))
* Merge branch 'table_review' of github.com:frequent/jquery-mobile into table-widget-review (TICKETREF, [84f3c33](http://github.com/jquery/jquery-mobile/commit/84f3c33be3fa97a7e0aca38084d5a9d311ff6b4a))
* Merge branch 'transition-handler-refactor' (TICKETREF, [46e1dde](http://github.com/jquery/jquery-mobile/commit/46e1dde81b007fd3b87b215598dc0c7b263993af))
* Merge branch popup-cleanup (TICKETREF, [992dac5](http://github.com/jquery/jquery-mobile/commit/992dac518d82d8247148c4457d325549dec2d3d7))
* Merge pull request #5594 from nschonni/remove-units-from-zero-values (TICKETREF, [f995a1c](http://github.com/jquery/jquery-mobile/commit/f995a1c717667ca53d8df5d70999838b1609222e))
* Merge pull request #5599 from poonkave/master (TICKETREF, [88a0769](http://github.com/jquery/jquery-mobile/commit/88a0769bd580c7de556c6957246cb00c2dbf5b9d))
* Merge pull request #5626 from stforek/duplicated_buttonmarkup (TICKETREF, [7faa9ef](http://github.com/jquery/jquery-mobile/commit/7faa9ef255d232a9ee5eba4e2d936e50ecc9dce6))
* Merge pull request #5655 from jquery/fix-buttonMarkup (TICKETREF, [3cf5d18](http://github.com/jquery/jquery-mobile/commit/3cf5d18127f2a6cd7e5b478d59cf2b5354ba3d15))
* Merge pull request #5691 from jhogervorst/issue-509 (TICKETREF, [418cbea](http://github.com/jquery/jquery-mobile/commit/418cbea708011918bddedab4868c49c902b6774c))
* Merge pull request #5721 from aristotelos/master (TICKETREF, [8d36366](http://github.com/jquery/jquery-mobile/commit/8d36366bbd41004648a04fd525152e39b074c7aa))
* Merge pull request #5761 from RedWolves/issue-5756 (TICKETREF, [4a48e82](http://github.com/jquery/jquery-mobile/commit/4a48e82032a91a8d5c63274302a427358abe81fa))
* Merge pull request #5767 from jonathansampson/patch-1 (TICKETREF, [71cebdd](http://github.com/jquery/jquery-mobile/commit/71cebdd6d6b8fd97c27367eea97fd48f136429d5))
* Merge pull request #5800 from jquery/fix-5775 (TICKETREF, [2151fc1](http://github.com/jquery/jquery-mobile/commit/2151fc163ad1b4d93c1d58f53bcd0460ea3864b5))
* Merge pull request #5826 from jquery/bug-5619-fixedtoolbarpadding (TICKETREF, [cab1c99](http://github.com/jquery/jquery-mobile/commit/cab1c993bfd450351b53afefc878fa6fbe777011))
* Merge pull request #5832 from BradBroulik/master (TICKETREF, [6c29d09](http://github.com/jquery/jquery-mobile/commit/6c29d09cd8a005b137e7b3cbfba69f75b46b4973))
* Merge pull request #5848 from jhogervorst/issue-5690 (TICKETREF, [0a8d34d](http://github.com/jquery/jquery-mobile/commit/0a8d34d94500ecae164d2bf1df5cb972086d26cb))
* Merge pull request #5890 from tomascassidy/patch-1 (TICKETREF, [6445b24](http://github.com/jquery/jquery-mobile/commit/6445b240dad148dbfbda5f6da0ee7c052cd000c8))
* Merge pull request #5925 from Sapprise/master (TICKETREF, [f6bfc67](http://github.com/jquery/jquery-mobile/commit/f6bfc6728c13e3932b9fbe805bfbafef135d4ca1))
* Merge pull request #6046 from jzaefferer/move-resetactivepageheight-nav-core-5997 (TICKETREF, [7d4e5e1](http://github.com/jquery/jquery-mobile/commit/7d4e5e15780a6443a770395233e06638e4360262))
* Merge pull request #6080 from AurelioDeRosa/patch-1 (TICKETREF, [b72bec9](http://github.com/jquery/jquery-mobile/commit/b72bec92589e7da8b733f9e6d468c3be898bb44b))
* Merge pull request #6083 from forresst/patch-1 (TICKETREF, [0b62206](http://github.com/jquery/jquery-mobile/commit/0b622062607325ae13177fcfd253a8bcafdfb06d))
* Merge pull request #6085 from forresst/patch-1 (TICKETREF, [b431897](http://github.com/jquery/jquery-mobile/commit/b43189764d70c0b7684e177ef60878d0eeab4f02))
* Merge pull request #6108 from jquery/flatten-custom-select (TICKETREF, [1ddce18](http://github.com/jquery/jquery-mobile/commit/1ddce18379b836e1c9f103ae420aafe8fbebae3d))
* Merge pull request #6112 from stforek/slider_unused_variable (TICKETREF, [1bd14c1](http://github.com/jquery/jquery-mobile/commit/1bd14c1cecf7e94d58fcbb9541a69618d83cd79d))
* Merge pull request #6130 from PizzaBrandon/master (TICKETREF, [5010177](http://github.com/jquery/jquery-mobile/commit/50101770f3d4a88057e03254cc459216bb8afb85))
* Merge pull request #6133 from jquery/mobile-base (TICKETREF, [4164256](http://github.com/jquery/jquery-mobile/commit/41642567424af5fa6e66c20026a5c1ad5f9a42a8))
* Merge pull request #6135 from jquery/popup-widget-review (TICKETREF, [de662e6](http://github.com/jquery/jquery-mobile/commit/de662e625ccc57909d3b0ed7cc72232ca7c163c0))
* Merge pull request #6256 from frequent/fix6255 (TICKETREF, [97e8dfd](http://github.com/jquery/jquery-mobile/commit/97e8dfd212fcf160dd2c83cb0f2477557402af9b))
* Merge pull request #6274 from allsteady/master (TICKETREF, [616a139](http://github.com/jquery/jquery-mobile/commit/616a139f709036d9b97b654f22dc0a5fd9df1855))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [162f87a](http://github.com/jquery/jquery-mobile/commit/162f87a110708646be5fa6f062046c943b49b425))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [58283ab](http://github.com/jquery/jquery-mobile/commit/58283abab1403e68516a4e5c078cee5c26b0a240))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [64719d6](http://github.com/jquery/jquery-mobile/commit/64719d65bf6b2a2ed0c233cb2f792c8322f276b6))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [77890d6](http://github.com/jquery/jquery-mobile/commit/77890d66d25ab7a074cd42eb2dcbfde830121eec))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [789a102](http://github.com/jquery/jquery-mobile/commit/789a1024f9be7574f245cd620f5b59e1f14eb5c1))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [9284657](http://github.com/jquery/jquery-mobile/commit/928465720104559302e6645b3397def59b2c6a03))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [c260b15](http://github.com/jquery/jquery-mobile/commit/c260b151953f66545da7a58eccb6f053190d0109))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [f3dc9bc](http://github.com/jquery/jquery-mobile/commit/f3dc9bce847231001f196203349ae9fd54b30399))
* Merge remote-tracking branch 'upstream/master' into grunt-0.4 (TICKETREF, [fd6e286](http://github.com/jquery/jquery-mobile/commit/fd6e286a3ab0941cdb156b589080ef55252c181e))
* Migrate over to using addEnhancementHook instead of binding to pagecreate. (TICKETREF, [aa23da3](http://github.com/jquery/jquery-mobile/commit/aa23da3add801212b8e8688022c5189f22791b79))
* MinScrollBack: change default to 0 and deprecate (TICKETREF, [536f153](http://github.com/jquery/jquery-mobile/commit/536f153b1472d240eedec574e76c0d87f1033ed9))
* Minor typo and correction to descriptive text. (TICKETREF, [40186b9](http://github.com/jquery/jquery-mobile/commit/40186b96e0aa1af43879aa4e3a84ab5b505d3b25))
* Minor typo and correction to descriptive text. (TICKETREF, [b626cd9](http://github.com/jquery/jquery-mobile/commit/b626cd96f459a377aa0d226fa06837b0defed0d5))
* Mobile Widget: Add todo comment about backcompat and to remove in 1.5 (TICKETREF, [1b76950](http://github.com/jquery/jquery-mobile/commit/1b76950cf053d72118acaff06a6ba2e81b1f47b6))
* More contrast on the docs, including code samples. Closes #5676. (TICKETREF, [be0180f](http://github.com/jquery/jquery-mobile/commit/be0180f280d6db3eb9cc04c0089588c5a0db19f1))
* Move $.mobile.resetActivePageHeight from navigation to core. Fixes #5997 - Panel depends on resetActivePageHeight ([#5997](http://github.com/jquery/jquery-mobile/issues/5997), [b39787b](http://github.com/jquery/jquery-mobile/commit/b39787ba8638bdc05060e418d9db8c8bf2fa161d))
* Move unique ID functions to core (TICKETREF, [d7dc563](http://github.com/jquery/jquery-mobile/commit/d7dc56352322e1ccc8b4a0957161ba7f77717578))
* Moved CSS for .ui-btn from button.css to core.css; Only use button.css for button and input elements (button widget). (TICKETREF, [c1a7520](http://github.com/jquery/jquery-mobile/commit/c1a7520eaae95243c315c2ff68bc9f814d4198e3))
* Moved CSS for button elements to core.css because it's not part of button widget. (TICKETREF, [cf74d5a](http://github.com/jquery/jquery-mobile/commit/cf74d5afdb0120eaaa9e0b9d850d3e70580fff7a))
* Moved Grunticon preview and loader.txt to demo center. (TICKETREF, [04061d0](http://github.com/jquery/jquery-mobile/commit/04061d0a3c6e9d22dbec3376e06299518381c54a))
* Moved RequireJS plugins to requirejs/plugins (TICKETREF, [870d4e2](http://github.com/jquery/jquery-mobile/commit/870d4e2b603dfccc6afcb26119e824ba23f048b9))
* Moved grunt task loading after the initConfig call (TICKETREF, [03b0dcc](http://github.com/jquery/jquery-mobile/commit/03b0dcc339207702fe5f6d4d3f50e6218c5f2aff))
* Moved icon CSS files out of subfolder. Updated path to fallback PNG icons. Added missing search icon url. Updated delete icon filename. (TICKETREF, [4d5199c](http://github.com/jquery/jquery-mobile/commit/4d5199ce1badf01d24c7621c073bf9babd061ea5))
* Moved icon positioning CSS from button to core because we use it for multiple widgets. (TICKETREF, [761d19b](http://github.com/jquery/jquery-mobile/commit/761d19b47e5d2c8198584db5dbb939a5864fdde0))
* Moved label style to core.css. (TICKETREF, [4061bbe](http://github.com/jquery/jquery-mobile/commit/4061bbef9d2df30f7c92020cdbd45ffe1ef78bf3))
* Moved old tasks to tasks.old (TICKETREF, [26dd721](http://github.com/jquery/jquery-mobile/commit/26dd721c991d03c3b72496ec82c3997acbc2ccd7))
* Moved transitions to a separate file because IE only allows 31 @imports on one page. (TICKETREF, [3b57fc0](http://github.com/jquery/jquery-mobile/commit/3b57fc09efb73ee0b06c82ce715b0bd8bb4d7567))
* Moving function domEqual to testHelper. (TICKETREF, [6b46f54](http://github.com/jquery/jquery-mobile/commit/6b46f54eeb8ce9bceb18b0e9f194922f9e7dd61e))
* Moving function domEqual to testHelper. (TICKETREF, [def71da](http://github.com/jquery/jquery-mobile/commit/def71da5e2331b533c5c958472ebed74275486fd))
* Navbar: Border top for navbar buttons if preceded by a heading. (TICKETREF, [e5f42f9](http://github.com/jquery/jquery-mobile/commit/e5f42f9e9bb257b74495df9969448b1ebd3ed2e3))
* Navbar: Changed active state logic. Fixes #5707 ([#5707](http://github.com/jquery/jquery-mobile/issues/5707), [70e2aed](http://github.com/jquery/jquery-mobile/commit/70e2aed27e09850a3488657d01a819ea07a167bf))
* Navbar: De-linting. (TICKETREF, [43853c9](http://github.com/jquery/jquery-mobile/commit/43853c9b278fec5e834a86cf0df6f2ebfbe3432d))
* Navbar: Get rid of buttonMarkup. (TICKETREF, [92497ab](http://github.com/jquery/jquery-mobile/commit/92497abd178ad8671b6e763b7c65555556d82e2d))
* Navbar: No class ui-mini for navbars but only set mini font-size. (TICKETREF, [25c3b36](http://github.com/jquery/jquery-mobile/commit/25c3b3675e5d99777f040a8ca4c3c0091e0716e4))
* Navbar: Removed code that checked if the event target is ui-btn-inner. (TICKETREF, [fb08c72](http://github.com/jquery/jquery-mobile/commit/fb08c721dbceb2bdc763019238ff2f9e93c4e8b6))
* Navbar: Set z-index on focus to ensure the focus style box-shadow is on top of other buttons (same as for controlgroup and listview). (TICKETREF, [b416d57](http://github.com/jquery/jquery-mobile/commit/b416d5731eceebe5d4af6f4f54dbe25626a48e25))
* Navbar: Theme inheritance and styling. (TICKETREF, [7265384](http://github.com/jquery/jquery-mobile/commit/72653844fe6f24ca0f6367c91366996538db4a0a))
* Navbar: Updated CSS to new button markup and icons in pseudo elements. (TICKETREF, [2468a35](http://github.com/jquery/jquery-mobile/commit/2468a35c61e23a9b00b3b4577dd04166af3e9c28))
* Navbar: Updated CSS to new button markup and icons in pseudo elements. (TICKETREF, [658258d](http://github.com/jquery/jquery-mobile/commit/658258d370d8fe5a626b4e9ccadf568d566b62a9))
* Navbar: make sure nav buttons with href="#" still get active state. (TICKETREF, [307ff5e](http://github.com/jquery/jquery-mobile/commit/307ff5e705472e80e7fc34a70aed34bcddf8e3af))
* Navigate event: Create a custom event called "beforenavigate" so that, when someone binds to "beforenavigate", the "navigate" event will be initialized. (TICKETREF, [58e94db](http://github.com/jquery/jquery-mobile/commit/58e94db8a34ed1aaf83547698b3d297b63fdec95))
* Navigation: Added content type for changePage with data argument. Fixed #5296 - Add contentType to settings for $.mobile.changePage with data argument ([#5296](http://github.com/jquery/jquery-mobile/issues/5296), [97feb6a](http://github.com/jquery/jquery-mobile/commit/97feb6a2f7bc8314600f49bb0935ea3374e5aa3c))
* Navigation: Change comma to semicolon in loadPage. Fixes #6265. ([#6265](http://github.com/jquery/jquery-mobile/issues/6265), [b556aba](http://github.com/jquery/jquery-mobile/commit/b556aba43921ee6141a8c6952ef7ecbcbd930edf))
* Navigation: Do not submit forms via AJAX if the "submit" event default is already prevented. (TICKETREF, [747ddbb](http://github.com/jquery/jquery-mobile/commit/747ddbbecf935b43a057749d93d6227e04d08836))
* Navigation: Honor formaction during submit. Fixes #3202. ([#3202](http://github.com/jquery/jquery-mobile/issues/3202), [6686c32](http://github.com/jquery/jquery-mobile/commit/6686c32ab14710236f37268439e91736568d43dd))
* Navigation: If the default is prevented on the originalEvent of "navigate", do not go into _handleHashChange. Fixes #5775. ([#5775](http://github.com/jquery/jquery-mobile/issues/5775), [c6dd725](http://github.com/jquery/jquery-mobile/commit/c6dd725ce183c6de0f21d7b72939792e4a2ff48a))
* Navigation: Make use of new hashToSelector() function to correctly identify embedded dialogs that do not posess the data-url attribute. Fixes #5949 - loadPage: Selecting by ID not special-character-friendly ([#5949](http://github.com/jquery/jquery-mobile/issues/5949), [3b0eb39](http://github.com/jquery/jquery-mobile/commit/3b0eb39051994aad3e3b54ca34bb870cd420ff86))
* Navigation: When choosing the title, it is unnecessary to escape entities, since the result will be assigned to document.title (which can presumably accept an unencoded string). Fixes #5749. ([#5749](http://github.com/jquery/jquery-mobile/issues/5749), [7446992](http://github.com/jquery/jquery-mobile/commit/744699272f6272c866e0335b84b3c52c60646f08))
* Navigation: When submitting a form via GET, strip query off URL before creating new query string. Fixes #5710. ([#5710](http://github.com/jquery/jquery-mobile/issues/5710), [0d4e839](http://github.com/jquery/jquery-mobile/commit/0d4e839782c8574799b31ff222f80c683dccac88))
* Navigation: getAjaxFormData: Simplify code. (TICKETREF, [0f5f290](http://github.com/jquery/jquery-mobile/commit/0f5f2902bc0d8d54d4e1b50e955a9d868a11c742))
* Navigation: loadPage: Do not examine member variables of parameter opts before having established opts is an object. (TICKETREF, [7ab9c6e](http://github.com/jquery/jquery-mobile/commit/7ab9c6ee96e9b3e380e569870b68574512c196e2))
* Navigation: reduced code of resetActivePageHeight() and made it take margin into account as well. (TICKETREF, [509f3b4](http://github.com/jquery/jquery-mobile/commit/509f3b4035d2db959d068b5b27705f28633624f2))
* Navigator: Identify initial popstate by recording the initial href, and then comparing it to the location upon the first hashchange. (TICKETREF, [c0ba8fa](http://github.com/jquery/jquery-mobile/commit/c0ba8faba37e1920d9c0f833ffb92a4ff471507e))
* Navigator: Prevent default on initial popstate. (TICKETREF, [320fbba](http://github.com/jquery/jquery-mobile/commit/320fbba3632d81c67ba046e26968aa048d22f214))
* Nested Listviews: Remove nested listviews depreceated in 1.3.0 (TICKETREF, [923a83e](http://github.com/jquery/jquery-mobile/commit/923a83efe2d6abf62852936cf0255d413cb4c104))
* No bold font for labels in static list items. (TICKETREF, [91192e9](http://github.com/jquery/jquery-mobile/commit/91192e9401fded7f4f5c7cca455b7be94678105a))
* No longer add the widget class to label element. Moved style for labels in field containers to fieldcontain.css. (TICKETREF, [8d1bd58](http://github.com/jquery/jquery-mobile/commit/8d1bd5823a70f4567f6ead613c7435b5e5c3b7cc))
* Normalize line endings (TICKETREF, [474f30e](http://github.com/jquery/jquery-mobile/commit/474f30e85393710118f6b3255e82526c12fd082c))
* Normalize line endings (TICKETREF, [95d9f7d](http://github.com/jquery/jquery-mobile/commit/95d9f7d4d050abd1cb788e656cc1414ace3bfeb8))
* Normalized line endings (TICKETREF, [7acdb8e](http://github.com/jquery/jquery-mobile/commit/7acdb8e856d0fd714ae651cc5f7045d4124214fc))
* One line upstream rebase command (TICKETREF, [4fe8f51](http://github.com/jquery/jquery-mobile/commit/4fe8f512b0ecd01d19bccd6eaa18e96a1b8c1158))
* Only set font-size for mini style; margin, padding and icon position have em values. (TICKETREF, [a21cc7a](http://github.com/jquery/jquery-mobile/commit/a21cc7ae5b3f07974a8a283862937e398db89704))
* Oops... accidently added the ui-input-search classes again. (TICKETREF, [ef8c1da](http://github.com/jquery/jquery-mobile/commit/ef8c1dad17c1e2d853beb38ebead1901ab844198))
* Optimized label style. (TICKETREF, [0cb48cd](http://github.com/jquery/jquery-mobile/commit/0cb48cd697f58f9bf7c07ee84a042732a9d108ec))
* Page: Add set options method (TICKETREF, [46eefb8](http://github.com/jquery/jquery-mobile/commit/46eefb87056d5a6011284c026a9573afe67ab529))
* Page: Fixed removal of overlay theme class. (TICKETREF, [3c579b5](http://github.com/jquery/jquery-mobile/commit/3c579b5d715571e0e48e2883f8f746c42a18a901))
* Page: Whitespace. (TICKETREF, [8b11787](http://github.com/jquery/jquery-mobile/commit/8b11787527ca4d88082bd73d142bd5ecaa127708))
* Page: add dialog extension (TICKETREF, [173a101](http://github.com/jquery/jquery-mobile/commit/173a1012a9649e2407220c2cbda64ce91aa1d623))
* Page: add enhanced option for page and tests for dialog extension (TICKETREF, [702a13f](http://github.com/jquery/jquery-mobile/commit/702a13f218ef5f37da0313ca90356216e67d861d))
* Page: add extension to replace dialog widget (TICKETREF, [4c54326](http://github.com/jquery/jquery-mobile/commit/4c54326dd405f81be87f9e4687cc9f9b89a7aa0b))
* Page: deprecate setContainerBackground and removeContainerBackground move to content widget (TICKETREF, [e6ff092](http://github.com/jquery/jquery-mobile/commit/e6ff092510ac1285e073e8b600f125e186363e8d))
* Page: fix usage of $.mobile.getAttribute in checking if page is a dialog (TICKETREF, [8d00f9d](http://github.com/jquery/jquery-mobile/commit/8d00f9deb126514858a45ea50eb03be3b299b2de))
* Panel: 3D-ing container only for animated panels. (TICKETREF, [e2d3b0a](http://github.com/jquery/jquery-mobile/commit/e2d3b0a3a27d60b75c4c778fd10b874023419b07))
* Panel: 3D-ing reveal panel content and page sections in content wrap. Fixes #5831 ([#5831](http://github.com/jquery/jquery-mobile/issues/5831), [de18420](http://github.com/jquery/jquery-mobile/commit/de18420aa53e034d36ac437a0556e42617528a7b))
* Panel: Add animate class to page and fixed toolbars just before opening the panel. At create we don't know yet on which page the panel will be used. (TICKETREF, [c963c13](http://github.com/jquery/jquery-mobile/commit/c963c13fd4040d331df154ae07a60b12e26cef37))
* Panel: Adjusted transform timing to improve the animation, especially on Android Chrome. No 3D-ing of panel inner. (TICKETREF, [04ebf15](http://github.com/jquery/jquery-mobile/commit/04ebf159e5a8b3e1d7b99cfe79ef5c66475b02ba))
* Panel: Always scroll to top when opening a panel, unless it it's a fixed panel. Fixes #5858. ([#5858](http://github.com/jquery/jquery-mobile/issues/5858), [af1f5a2](http://github.com/jquery/jquery-mobile/commit/af1f5a2e25961761c662ee1fda08bed2b4ca2e70))
* Panel: Append the dismiss modal to the page container. (TICKETREF, [e4ee260](http://github.com/jquery/jquery-mobile/commit/e4ee260dd0cb5534ec66c183ea15286275bbb16f))
* Panel: Back to using a wrapper to resolve problems with fixed toolbars. (TICKETREF, [4ebc70b](http://github.com/jquery/jquery-mobile/commit/4ebc70b1e2b55c1c4e84a652b0f9578400d8ab5e))
* Panel: CSS for overlay shadow in logical order (TICKETREF, [ec1ab08](http://github.com/jquery/jquery-mobile/commit/ec1ab08ffd946f95ba3e1d06c87a7f00ab086142))
* Panel: Call positionPanel() before we start opening the panel. (TICKETREF, [739e286](http://github.com/jquery/jquery-mobile/commit/739e286b435b9f856f69e6f790b239d4dbb9b957))
* Panel: Class ui-link has been deprecated. Updated code. (TICKETREF, [cc3a459](http://github.com/jquery/jquery-mobile/commit/cc3a4598caba7fa99b688af0226bca04f26facbe))
* Panel: Cleanup destroy method. (TICKETREF, [fdcb214](http://github.com/jquery/jquery-mobile/commit/fdcb2145ce02de4a796c7a5df2c67826ad569a6e))
* Panel: Combine unbinding link handlers in destroy method. (TICKETREF, [48937a7](http://github.com/jquery/jquery-mobile/commit/48937a72d5d9bc64b43ef86772c119123f640b5b))
* Panel: Correction in event unbinding. Code cleanup. (TICKETREF, [9a2ea41](http://github.com/jquery/jquery-mobile/commit/9a2ea410c3a3defbf3723be278d0028bce98e0b1))
* Panel: Correction in transitionend event binding. (TICKETREF, [1ef88f5](http://github.com/jquery/jquery-mobile/commit/1ef88f56877b2315c4e52111dac8735e16d5a083))
* Panel: Corrections and cleanup variables in open, close and destroy. (TICKETREF, [44a8a1d](http://github.com/jquery/jquery-mobile/commit/44a8a1d2fa627930f1caefdb4dd61bd5748f7573))
* Panel: Don't call _wrapper() or _fixedToolbars() when display mode is overlay. (TICKETREF, [1242d9e](http://github.com/jquery/jquery-mobile/commit/1242d9eb392c13e068397161c7544dd70ee391b1))
* Panel: Don't generate a wrapper but animate the page. (TICKETREF, [b9c8b99](http://github.com/jquery/jquery-mobile/commit/b9c8b995af1ea388690b99d6d7702aa9a244085a))
* Panel: External panels don't have a parent page. (TICKETREF, [c3ce011](http://github.com/jquery/jquery-mobile/commit/c3ce011563291f1523ad64a5b5c1f1625f1434f3))
* Panel: Fix incorrect binding using on (TICKETREF, [45ba7e4](http://github.com/jquery/jquery-mobile/commit/45ba7e4d0487c9e04e9c1dc276b9c1c666427fe1))
* Panel: Fixed toolbars inside page don't need animation. Check if there are external, true persistent, toolbars outside page. (TICKETREF, [06369fb](http://github.com/jquery/jquery-mobile/commit/06369fb9457966c4538e855f469f00f2c7e9c877))
* Panel: Generic prefix for page and fixed toolbars position and display classes. (TICKETREF, [705f8d6](http://github.com/jquery/jquery-mobile/commit/705f8d6125027f4ce0938830cb884f582c107939))
* Panel: Give content wrapper a min-height on IE7. Fixes #5607. ([#5607](http://github.com/jquery/jquery-mobile/issues/5607), [04406bf](http://github.com/jquery/jquery-mobile/commit/04406bf5167bff8793fc305df9bacc239628743e))
* Panel: Make sure active button class is removed when link to panel is a listview button. Fixes #5961. ([#5961](http://github.com/jquery/jquery-mobile/issues/5961), [85b11b5](http://github.com/jquery/jquery-mobile/commit/85b11b5fe797a82ec4ba63d59bde80a9747915a7))
* Panel: Make sure we find the external fixed toolbars. (TICKETREF, [e454ce1](http://github.com/jquery/jquery-mobile/commit/e454ce1c6396a805d10d33753ba97abfbb88dcf6))
* Panel: Make sure we select the page on which the panel is shown. Fixes #6254. ([#6254](http://github.com/jquery/jquery-mobile/issues/6254), [8629ef5](http://github.com/jquery/jquery-mobile/commit/8629ef5afecdd486edf87673b616f29559722755))
* Panel: No 3D-ing of reveal panel because it causes a zoom issue on Android when opening the panel. (TICKETREF, [3a4464b](http://github.com/jquery/jquery-mobile/commit/3a4464bec43b90e610785c43f56076449386f770))
* Panel: Prevent zooming on Android while opening a panel. (TICKETREF, [8840cd3](http://github.com/jquery/jquery-mobile/commit/8840cd33ec2c168afd359fd23d38efeefb055240))
* Panel: Removed IE7 fix. IE7 will become C-grade. (TICKETREF, [cdbc481](http://github.com/jquery/jquery-mobile/commit/cdbc481c5d25f4b0604f9c4ff9964ed238eacfcb))
* Panel: Removed duplicate code. Updated destroy method. (TICKETREF, [d3cc394](http://github.com/jquery/jquery-mobile/commit/d3cc3944edc778917d3cf02643dd09b1288bbc20))
* Panel: Removed fix for #5961. No longer needed now the anchor instead of the list item get the button classes. (TICKETREF, [3167f21](http://github.com/jquery/jquery-mobile/commit/3167f21e14a2dfc9803576b955c1337e9ee9270d))
* Panel: Removed overflow-x hidden for page with panel because we set this for all pages in core CSS now. (TICKETREF, [cb099bf](http://github.com/jquery/jquery-mobile/commit/cb099bfe1c4d1e0ac762407e162efefd7fff2f73))
* Panel: Removed page-panel and fixed-toolbar closed classes because we don't use them. (TICKETREF, [3bc9dd0](http://github.com/jquery/jquery-mobile/commit/3bc9dd0df732f040d969e4dc4156482325d05f4d))
* Panel: Removed pagePanel and fixedToolbar classes. We only use the -open classes. (TICKETREF, [3fa35a4](http://github.com/jquery/jquery-mobile/commit/3fa35a4332f95c630bdb5dd98b3b6e5c338791ed))
* Panel: Removed superfluous z-index rules. (TICKETREF, [7b1fe4c](http://github.com/jquery/jquery-mobile/commit/7b1fe4c27dfba3c1adb1084eab90d7c25141b14e))
* Panel: Removed variable that we don't use. (TICKETREF, [210e3be](http://github.com/jquery/jquery-mobile/commit/210e3becbe3f0964cc8aeb4168f3703a7532a29d))
* Panel: Replace wrapper by active page. Update destroy method. (TICKETREF, [d65a550](http://github.com/jquery/jquery-mobile/commit/d65a550d6f7bfab75e290fb92a1cf60424103a6c))
* Panel: Replaced deprecated $.mobile.pageContainer. (TICKETREF, [ec69b56](http://github.com/jquery/jquery-mobile/commit/ec69b56c820880a9a68339725234ca60b587a3c1))
* Panel: Set max-height for closed panel. Fixes #5843 - Page div gets a vertical scrollbar on IE9 if panel is longer than page content. ([#5843](http://github.com/jquery/jquery-mobile/issues/5843), [3851646](http://github.com/jquery/jquery-mobile/commit/3851646f4882b6ab7a962d07b13f6eb2e1734054))
* Panel: Set panel theme as overlay theme on the page container to prevent blinks. (TICKETREF, [4083b1c](http://github.com/jquery/jquery-mobile/commit/4083b1cb7a895aa88602e7c277ef747044d14887))
* Panel: Support namespacing in bindPageEvents. (TICKETREF, [84849ed](http://github.com/jquery/jquery-mobile/commit/84849ed10380e97ff2187fb73af389cd4a7db75b))
* Panel: Unbind link listeners when destroying a panel. Fixes #6309. ([#6309](http://github.com/jquery/jquery-mobile/issues/6309), [5909bfb](http://github.com/jquery/jquery-mobile/commit/5909bfbe7247b838a04f2d37761ee095c7a09b92))
* Panel: Undo incorrect chaining in close method. (TICKETREF, [d7ca2b9](http://github.com/jquery/jquery-mobile/commit/d7ca2b938d7f9b3069e7ef6121f483d70c8ab826))
* Panel: Unset transform translate3d for FF where possible. Fixes #5753. ([#5753](http://github.com/jquery/jquery-mobile/issues/5753), [88d5980](http://github.com/jquery/jquery-mobile/commit/88d59805b0643767c96b1d8533f2f59a15eff245))
* Panel: Update fixed toolbar code and CSS. Removed 3D-ing of page and fixed toolbars. (TICKETREF, [033dd6c](http://github.com/jquery/jquery-mobile/commit/033dd6c299dcd6e5cb5b294c440a8d6d856cd86e))
* Panel: Updated the responsive panel CSS that disables dismiss on wider viewports if display mode is push. Fixes #6317. ([#6317](http://github.com/jquery/jquery-mobile/issues/6317), [22c382c](http://github.com/jquery/jquery-mobile/commit/22c382c746bc5925eb3f3be149d7a04f06ff0748))
* Panel: Use a specific theme class to set page container to panel theme to avoid inheritance issues. (TICKETREF, [1b400dc](http://github.com/jquery/jquery-mobile/commit/1b400dcd49b029777d92cca52ea50afda3e4d829))
* Panel: Use content widget to set page container theme. (TICKETREF, [436237b](http://github.com/jquery/jquery-mobile/commit/436237bcf7505f82edd9f61dd917e08beb2f188a))
* Panel: Use global configurable activePageClass instead of ui-page-active. (TICKETREF, [a39997c](http://github.com/jquery/jquery-mobile/commit/a39997ca41ca359d38550b69e1ba21e06249af78))
* Panel: Use page theme instead of body theme for wrapper. (TICKETREF, [88d59fd](http://github.com/jquery/jquery-mobile/commit/88d59fd0bbbf84a8eee0668a99b3383ad7410f8b))
* Panel: Use the same class for page and fixed toolbar because we want to apply the same CSS anyway. (TICKETREF, [5d7b00e](http://github.com/jquery/jquery-mobile/commit/5d7b00e7c874f72dbbc9dd1981267144da2c2bc6))
* Panel: Visibility hidden for closed panels. Fixes #5652. ([#5652](http://github.com/jquery/jquery-mobile/issues/5652), [4ce2d28](http://github.com/jquery/jquery-mobile/commit/4ce2d28f97a5b3cd56e9cb82ea5d42e85a4c0591))
* Panel: When using external panels and/or fixed toolbars, the ui-panel-responsive class should be added to the page container (body). (TICKETREF, [103c7b0](http://github.com/jquery/jquery-mobile/commit/103c7b0e25cb0100502d4141549691b65d4a4436))
* Panel: Wrapper and fixed toolbar open classes only needed for responsive panels. (TICKETREF, [9f1f961](http://github.com/jquery/jquery-mobile/commit/9f1f961ea4963e2ddf11f2c37e7d863985b562a8))
* Panel: adjusted fix for #5831. Less 3D-ing is always better. (TICKETREF, [a6ff7de](http://github.com/jquery/jquery-mobile/commit/a6ff7dedc62086210553bf86c241adb186318de2))
* Panel: content-wrap classes become page-panel classes. (TICKETREF, [51a1e8a](http://github.com/jquery/jquery-mobile/commit/51a1e8a8106c42736bfe4300307f5b9ff8d14a26))
* Panel: corrected typo (TICKETREF, [1294caa](http://github.com/jquery/jquery-mobile/commit/1294caab892e837f1aae03455bf1cb47ea0c6867))
* Panel: fixed jshint error (TICKETREF, [f35a71e](http://github.com/jquery/jquery-mobile/commit/f35a71e49f24f6e7f22b4127dec61cfb81ef614c))
* Panel: make "-moz-transform: none;" override non-prefixed prop/val (FF 16+). See #5753. Thanks @jaxtheking ! (TICKETREF, [598d985](http://github.com/jquery/jquery-mobile/commit/598d985516d274d4125a777560b4ad8d11de3f0a))
* Panel: wait with calling positionPanel() until class ui-panel-close is removed. (TICKETREF, [4eb53e8](http://github.com/jquery/jquery-mobile/commit/4eb53e8c8a7969dbd3d4f422fb54e569ce3ef5c8))
* Panels: First pass at removing dependency on page. (TICKETREF, [2e8b5ad](http://github.com/jquery/jquery-mobile/commit/2e8b5ad4e253c55c5ccfda1dd5536b6f41b22b58))
* Panels: First pass at removing dependency on page. (TICKETREF, [e346772](http://github.com/jquery/jquery-mobile/commit/e3467722f44b4318a45b1e337f30326996efae46))
* Panels: Remove console.log (TICKETREF, [3b0b248](http://github.com/jquery/jquery-mobile/commit/3b0b2484273caa464e60a6dec7ce4d2dd79e30f4))
* Panels: fix variable names in destroy and fix tests (TICKETREF, [238e696](http://github.com/jquery/jquery-mobile/commit/238e696632531c448adde199ce74a5f6eb704dda))
* Pass the right options to cssbuild (TICKETREF, [6f0fa59](http://github.com/jquery/jquery-mobile/commit/6f0fa59df76951104ac5382200af9939de1b246f))
* Path: Add function hashToSelector which takes a valid hash and escapes weird characters so that the resulting string may serve as a jQuery selector. (TICKETREF, [775da5f](http://github.com/jquery/jquery-mobile/commit/775da5faa645361c89f879d172473cfa4d34370d))
* Popup Arrow: CSS: The border now needs to be specified for it to appear. (TICKETREF, [9abc653](http://github.com/jquery/jquery-mobile/commit/9abc6538a3b3c0fcc8a0c76523875d075e5c2967))
* Popup arrow: CSS: Adjusted margins needed by oldIE to popupArrowSize(=== 10px)/ 3.5(the magical fudge factor). (TICKETREF, [f9465f3](http://github.com/jquery/jquery-mobile/commit/f9465f31df75e3cb4a4a14cb4b1fd203894bda12))
* Popup arrow: CSS: Getting rid of the quirky IE7 clip statement. (TICKETREF, [9a0e2b7](http://github.com/jquery/jquery-mobile/commit/9a0e2b7e0dfea9f3c7b61bc3af8390701129ae0e))
* Popup arrow: CSS: Moving corner-related stuff to theme. (TICKETREF, [b8d71f5](http://github.com/jquery/jquery-mobile/commit/b8d71f5a0029d0239839a4dc3fd31368741d4de0))
* Popup arrow: CSS: Remove off-by-one rendering, but make a mention that it may be necessary. (TICKETREF, [6fef0df](http://github.com/jquery/jquery-mobile/commit/6fef0dffe5491b6c07a9ead83e4105a1c701cf4a))
* Popup arrow: CSS: Use implementation where arrow is twice the desired size and clipped. (TICKETREF, [b86488a](http://github.com/jquery/jquery-mobile/commit/b86488a763c83f1172350e8aa47d3754c406e32a))
* Popup arrow: Do not dereference object properties from a variable before assigning an object to that variable. (TICKETREF, [f29b77e](http://github.com/jquery/jquery-mobile/commit/f29b77e9381b58618220e553419784d55c3badbe))
* Popup arrow: Handle options properly. (TICKETREF, [89ed5c7](http://github.com/jquery/jquery-mobile/commit/89ed5c7492788b6de5a1c5f183a45583afe845bf))
* Popup arrow: Initialize arrow upon _create(). (TICKETREF, [364212e](http://github.com/jquery/jquery-mobile/commit/364212e5fa88757172583718390bebae39d406c5))
* Popup arrow: The "arrow" option now accepts the sides on which the arrow may show up, the extension no longer assumes that _setOptions() will be called from _create, and class names have the ui-popup- prefix. (TICKETREF, [7e00b79](http://github.com/jquery/jquery-mobile/commit/7e00b7980105a2b072e83d6da163b7a2c24fa9ad))
* Popup arrow: visibility: hidden is better than pointer-events: none. (TICKETREF, [2e33999](http://github.com/jquery/jquery-mobile/commit/2e33999bc94ab99af9877e45dd31bfeabebc9693))
* Popup: Add option "class" which applies classes to the container (i.e., to widget()). (TICKETREF, [a518749](http://github.com/jquery/jquery-mobile/commit/a518749728f26adb84b053c601733eeb01bd563d))
* Popup: Add widget() function. (TICKETREF, [462b2dd](http://github.com/jquery/jquery-mobile/commit/462b2dde4f505157d4c04b717a5d5473e62fb2f4))
* Popup: Attach the link handler with .on() not .bind(). (TICKETREF, [ee7b230](http://github.com/jquery/jquery-mobile/commit/ee7b230212b2ab66656e9497952e7bc5c9304fe7))
* Popup: Blur any focused elements inside container, including the container itself, upon closing. Fixes #5974 - keyboard does not disappear when after the pop-up is closed. ([#5974](http://github.com/jquery/jquery-mobile/issues/5974), [4659c97](http://github.com/jquery/jquery-mobile/commit/4659c97e427892030953d8b583e46fd48d5d989f))
* Popup: Border styling of toolbars in popups. Consistent with dialogs. (TICKETREF, [3479310](http://github.com/jquery/jquery-mobile/commit/3479310401173b1aae98678d3e510bf971d69cc1))
* Popup: Centralize option setting. (TICKETREF, [3abbdb2](http://github.com/jquery/jquery-mobile/commit/3abbdb230a05bd2e5ac3aa6b8f8aeb92d70e485b))
* Popup: Clean up target-related variable names in function _handleDocumentFocusIn(). (TICKETREF, [3c41718](http://github.com/jquery/jquery-mobile/commit/3c417180873f778bd0dbf1d4b4336dc596829b6d))
* Popup: Correction in regex and reduced code for theme inheritance. (TICKETREF, [f5c4b67](http://github.com/jquery/jquery-mobile/commit/f5c4b67f26f737697e31a72d2dd68c9e920f3200))
* Popup: Correctly apply wrapper class. (TICKETREF, [85d3158](http://github.com/jquery/jquery-mobile/commit/85d3158607c9f2d76e111c782741f82bc7333b0f))
* Popup: Correctly pass position data through to popupbeforeposition handler. (TICKETREF, [0f7dd43](http://github.com/jquery/jquery-mobile/commit/0f7dd43d45a528ce806bf7ddbd3ab471f991bcfd))
* Popup: De-linting. (TICKETREF, [87b6656](http://github.com/jquery/jquery-mobile/commit/87b665605575c24ab61ea6d186472b823f78509e))
* Popup: Do not apply wrapperClass if it is falsy. (TICKETREF, [684a976](http://github.com/jquery/jquery-mobile/commit/684a9760d7868544712e552f9059d74fd86fd3f3))
* Popup: Do not proceed with _closePopup() if the popup is no longer the currently-open one. Fixes #6182. ([#6182](http://github.com/jquery/jquery-mobile/issues/6182), [9da71a4](http://github.com/jquery/jquery-mobile/commit/9da71a49841d6235b48b84f2fce8bfcce0962c2f))
* Popup: Do not twitch on Chrome 28 when opening a popup near the bottom of the document. (TICKETREF, [e1b9d32](http://github.com/jquery/jquery-mobile/commit/e1b9d32b95b75640fcc4ff8f0cc750fcae0bbda5))
* Popup: Do not unenhance upon _destroy() if the "enhanced" option is on, but do still close the popup. Fixes #6160. ([#6160](http://github.com/jquery/jquery-mobile/issues/6160), [f33375f](http://github.com/jquery/jquery-mobile/commit/f33375f1c8d35e80f934873e06800a59bce7a2e9))
* Popup: Get rid of the $( document ).height() workaround introduced for core 1.7.2. (TICKETREF, [f6920b6](http://github.com/jquery/jquery-mobile/commit/f6920b6cf05ceedea9d210101b2484a1d8e63d48))
* Popup: Get rid of the call to _setOptions from _create. (TICKETREF, [326a99f](http://github.com/jquery/jquery-mobile/commit/326a99f45d431f077c895c2640a1dbb33f866bf8))
* Popup: Heeding reviewers' suggestions. Thanks scott_gonzalez, jzaefferer, arschmitz. (TICKETREF, [989c07e](http://github.com/jquery/jquery-mobile/commit/989c07eedd066de4d8fc450c2ec30a5a74c279f4))
* Popup: Hide popup when offscreen. Fixes #5892. ([#5892](http://github.com/jquery/jquery-mobile/issues/5892), [556a4e3](http://github.com/jquery/jquery-mobile/commit/556a4e3304f30b25c312253474d98ee069a52cbf))
* Popup: Improving some more variable names. (TICKETREF, [1aa725e](http://github.com/jquery/jquery-mobile/commit/1aa725eaeff6463594ce639bbf5165d706be542d))
* Popup: Make it work as a widget on its own. Fixes #5742. ([#5742](http://github.com/jquery/jquery-mobile/issues/5742), [6e1eee7](http://github.com/jquery/jquery-mobile/commit/6e1eee7b6383f981b159be6b0ec641f40f5a0ece))
* Popup: Make it work when built on its own - this time for real (TICKETREF, [a8bc1c3](http://github.com/jquery/jquery-mobile/commit/a8bc1c34ffc8ca9839d8f3fbb599066da20547f7))
* Popup: Make use of new hashToSelector() function to correctly identify embedded popups. (TICKETREF, [6ef1b85](http://github.com/jquery/jquery-mobile/commit/6ef1b85f3ab442ab5b22898100fbd434a1eef351))
* Popup: Making things minify-friendly. (TICKETREF, [eaa3653](http://github.com/jquery/jquery-mobile/commit/eaa3653bd010ee45c56dd9c680f9f67c284bb7e4))
* Popup: Move _create and _enhance to the top of the widget. (TICKETREF, [f31b7e3](http://github.com/jquery/jquery-mobile/commit/f31b7e3a6914c404a8bc1c16dc3e287ccdfa2779))
* Popup: Must depend on jquery.mobile.link for the aria-attributes to be applied correctly. (TICKETREF, [e6fbedd](http://github.com/jquery/jquery-mobile/commit/e6fbedd608f8b9f4e5efce6a47b7f6c378d4d85e))
* Popup: No longer set width and height auto for popup images as default because this can result in a 1 by 1px image. (TICKETREF, [98e5bd7](http://github.com/jquery/jquery-mobile/commit/98e5bd77b4a17667d79fce712f6573cc1ce564f8))
* Popup: Page theme inheritance. (TICKETREF, [f772275](http://github.com/jquery/jquery-mobile/commit/f7722751f3ef4990ad2b9b38577c6fa6dab4eb7d))
* Popup: Performance improvements. (TICKETREF, [085bea9](http://github.com/jquery/jquery-mobile/commit/085bea9916407f0766841244e05fc93f01f78dac))
* Popup: Provide better method chaining support by returning ```this``` in a bunch of places. (TICKETREF, [60ff227](http://github.com/jquery/jquery-mobile/commit/60ff227dd4ec11eb09c105f3b7f8cc74b964dda7))
* Popup: Remove initSelector from options. (TICKETREF, [c4ad89c](http://github.com/jquery/jquery-mobile/commit/c4ad89c5f441629394897b9587268946061463e0))
* Popup: Remove ui-body-inherit class when destroying a popup. (TICKETREF, [f1ba6c3](http://github.com/jquery/jquery-mobile/commit/f1ba6c34316754bea03d15ec0fc35e52b71083e1))
* Popup: Removed fix for #4611. No longer needed now the anchor instead of the list item get the button classes. (TICKETREF, [331cfd1](http://github.com/jquery/jquery-mobile/commit/331cfd1be340f4354d2b8a8d2dbb979bbbbdd100))
* Popup: Rename prerequisites-related variables. (TICKETREF, [c86f9b6](http://github.com/jquery/jquery-mobile/commit/c86f9b62d1287f76891c75895659b60ba9b1874f))
* Popup: Rename variable elem to theElement wherever it is used. (TICKETREF, [b6ca04c](http://github.com/jquery/jquery-mobile/commit/b6ca04c2748ce6ae8da13e5d7913fa5b3efc1fac))
* Popup: Rename variable holding document fragment. (TICKETREF, [b9a8852](http://github.com/jquery/jquery-mobile/commit/b9a88524f227f39cfe50fcd955383216818f29f5))
* Popup: Rename variable winCoords to windowCoordinates. (TICKETREF, [1cfb46d](http://github.com/jquery/jquery-mobile/commit/1cfb46dc3a9b5010733c8cb1cef7e53a48ef53f1))
* Popup: Rename variables related to options (both widget options and options passed to open()). (TICKETREF, [9f6b81b](http://github.com/jquery/jquery-mobile/commit/9f6b81b65bb78fcd0b035a6006394b70be78254f))
* Popup: Renaming option "class" to "wrapperClass". (TICKETREF, [80ad2c5](http://github.com/jquery/jquery-mobile/commit/80ad2c52af0868f28d69f59f6b72575728ba4406))
* Popup: Renaming variable "evt" to "theEvent". (TICKETREF, [b9a4e9d](http://github.com/jquery/jquery-mobile/commit/b9a4e9dee105ef4d17033a346b259839a9e99c58))
* Popup: Renaming variable "o" to "opts". (TICKETREF, [39bb5cd](http://github.com/jquery/jquery-mobile/commit/39bb5cd0b3821d747c27afb0560e3faacc957f5a))
* Popup: Renaming variable el to theElement in _setOptions. (TICKETREF, [e78ef98](http://github.com/jquery/jquery-mobile/commit/e78ef98ebd3d650b2bfec4405ba2b8cad8859c49))
* Popup: Set visibility: hidden instead of display: none to remove the need for un-hiding before height calculation. (TICKETREF, [62bb9e5](http://github.com/jquery/jquery-mobile/commit/62bb9e57515b0e4e1ddd10ef29a1fa40d6ce4dc0))
* Popup: Setting option "disabled" causes the popup to close if open and not to open if opened while the "disabled" option is on. (TICKETREF, [1525296](http://github.com/jquery/jquery-mobile/commit/15252961b535fba22a734cfe3235fe711800e877))
* Popup: Support "enhanced" flag. (TICKETREF, [435a2f8](http://github.com/jquery/jquery-mobile/commit/435a2f87937ab67ff7a3ccb9015939ac744e655b))
* Popup: Use proper variable names in function fitSegmentInsideSegment(). (TICKETREF, [0934064](http://github.com/jquery/jquery-mobile/commit/0934064afa396dc67c6ddea84f0290da6b98b837))
* Popup: Use proper variable names in function windowCoords() and rename windowCoords() to getWindowCoordinates(). (TICKETREF, [2924406](http://github.com/jquery/jquery-mobile/commit/2924406522dda961a22c097ce3109d3e3f3dcc43))
* Popup: Use this._delay instead of setTimeout(). (TICKETREF, [699bdbd](http://github.com/jquery/jquery-mobile/commit/699bdbd5586810254c8a103de0fc0367e4d1359c))
* Popup: We already set border 0 for ui-content in core CSS. (TICKETREF, [a017637](http://github.com/jquery/jquery-mobile/commit/a017637a7838bbab461a5ca4348675ad0ab995d2))
* Popup: When focusing on the container, do not bounce focus to an element inside it even if such an element is available. Fixes #5706. ([#5706](http://github.com/jquery/jquery-mobile/issues/5706), [c605423](http://github.com/jquery/jquery-mobile/commit/c6054234225cde84198831cf2873ec3dba8b82dd))
* Popup: Whitespace (TICKETREF, [f5dd72a](http://github.com/jquery/jquery-mobile/commit/f5dd72a353849d2ac812026b1351afcb506fff0d))
* Popup: Whitespace fix. (TICKETREF, [31742ae](http://github.com/jquery/jquery-mobile/commit/31742ae413762ccb99f929477daf62ab4d5354a8))
* Popup: fix improper refrence to body Fixes #6318 - Issue with popup on 1.4.0a ([#6318](http://github.com/jquery/jquery-mobile/issues/6318), [0e96ca0](http://github.com/jquery/jquery-mobile/commit/0e96ca0c233ca498625ceec3aff65c39950b0aa2))
* Prefetch: Check for existance of options object before checking prefetch property Fixes #5877 - loadPage Cannot read property 'prefetch' of undefined and addresses execption from #5951 ([#5877](http://github.com/jquery/jquery-mobile/issues/5877), [9648130](http://github.com/jquery/jquery-mobile/commit/964813032cb8247bef723aaa9ad5df80d7e7b644))
* Prevent bold font--weight for labels in toolbars. (TICKETREF, [acaa0c8](http://github.com/jquery/jquery-mobile/commit/acaa0c828c5cfd58ac805880c9903d73ce731411))
* Prevent outline on divider in custom select with optgroup. (TICKETREF, [e808c46](http://github.com/jquery/jquery-mobile/commit/e808c462da89fae748671f6cf23731b6526f371d))
* Prevent outline on focus. (TICKETREF, [3ebe2ca](http://github.com/jquery/jquery-mobile/commit/3ebe2ca463937586b60763465c44b8f57aa8f166))
* Published grunt-md5-manifest to NPM Use NPM public version (TICKETREF, [970ae0f](http://github.com/jquery/jquery-mobile/commit/970ae0f80c0c48f370ae5a64bbb0ecc61a7bc870))
* Quality: Added jshint as the first step of the test target (TICKETREF, [c39429e](http://github.com/jquery/jquery-mobile/commit/c39429e2842e3fcca5a50f72f886a24f1d5b5bfb))
* Quality: Fixed lint ( function in loop ) Extracted regex construction from loop into a module var (TICKETREF, [4875bc5](http://github.com/jquery/jquery-mobile/commit/4875bc5bcd2555dd8e02b473effc9ae8671365c0))
* Quality: Fixed lints (TICKETREF, [4854ee9](http://github.com/jquery/jquery-mobile/commit/4854ee9fdfd81c4e94ec12526ebe157993b00136))
* Quality: Fixed lints (TICKETREF, [5c6d1d6](http://github.com/jquery/jquery-mobile/commit/5c6d1d64760087f37a5faca878a08e820f791604))
* Quality: Linting (TICKETREF, [01f49eb](http://github.com/jquery/jquery-mobile/commit/01f49eb11b92e2cd9eaf1e609f2d594f9ad08b0b))
* Quality: Linting (TICKETREF, [0449828](http://github.com/jquery/jquery-mobile/commit/044982859d9e7685fc016af3d86e6bbe6f5edd3e))
* Quality: Linting (TICKETREF, [066dff0](http://github.com/jquery/jquery-mobile/commit/066dff0d4e4990a2fc15f8f4f3a3b2ff0e759cb0))
* Quality: Linting (TICKETREF, [08f064f](http://github.com/jquery/jquery-mobile/commit/08f064f9a5e6c18ab2ddf9dfa662ce21bb02991e))
* Quality: Linting (TICKETREF, [0a70162](http://github.com/jquery/jquery-mobile/commit/0a70162c82ce472528dc75a26f08ae7d34a0a6a5))
* Quality: Linting (TICKETREF, [18ed517](http://github.com/jquery/jquery-mobile/commit/18ed51770c188e12adbfbe24f657af12484fddad))
* Quality: Linting (TICKETREF, [20ed775](http://github.com/jquery/jquery-mobile/commit/20ed77596f32c55743ab9183d4cbe2cfbe531f28))
* Quality: Linting (TICKETREF, [2363568](http://github.com/jquery/jquery-mobile/commit/23635686531c51e7222fc6a4a14d29d692b93ba3))
* Quality: Linting (TICKETREF, [2545612](http://github.com/jquery/jquery-mobile/commit/2545612dc8a21640b3059c4e8aeb933f0e5f5cf3))
* Quality: Linting (TICKETREF, [3030fa7](http://github.com/jquery/jquery-mobile/commit/3030fa7b621fe440419cd71c323da98a39fd615b))
* Quality: Linting (TICKETREF, [32c91c9](http://github.com/jquery/jquery-mobile/commit/32c91c97056e81864b2349b49ef12ac169ae6299))
* Quality: Linting (TICKETREF, [3318977](http://github.com/jquery/jquery-mobile/commit/331897783ec3151e4a8d1dc3360d7b09ba9ea3b2))
* Quality: Linting (TICKETREF, [35d60b0](http://github.com/jquery/jquery-mobile/commit/35d60b059ff64bbf9aac2df6f6e57340691e4d76))
* Quality: Linting (TICKETREF, [36255af](http://github.com/jquery/jquery-mobile/commit/36255af7f659f9825d6364fefebb714d792cf29e))
* Quality: Linting (TICKETREF, [3dfda39](http://github.com/jquery/jquery-mobile/commit/3dfda39583a5e614c8fe31cdb9da88553040e073))
* Quality: Linting (TICKETREF, [4786773](http://github.com/jquery/jquery-mobile/commit/4786773dd34225caee03132dfe7bfc555a2fe8f0))
* Quality: Linting (TICKETREF, [58bbdd6](http://github.com/jquery/jquery-mobile/commit/58bbdd6aca8399a50127577a561d0f5ddf06c0a5))
* Quality: Linting (TICKETREF, [59c1ab8](http://github.com/jquery/jquery-mobile/commit/59c1ab8c8ccf7d62956c75f0db32f4387792ae90))
* Quality: Linting (TICKETREF, [68885e2](http://github.com/jquery/jquery-mobile/commit/68885e29878a411166d7dc827cdb18cfdf7cdb0f))
* Quality: Linting (TICKETREF, [69fcc54](http://github.com/jquery/jquery-mobile/commit/69fcc54b2cb251bc034dbd596c62bb514dd63fcb))
* Quality: Linting (TICKETREF, [6a0a09b](http://github.com/jquery/jquery-mobile/commit/6a0a09b5afa81bbbcb5b1f3627c0f1d9be2b48ff))
* Quality: Linting (TICKETREF, [6ce8ed2](http://github.com/jquery/jquery-mobile/commit/6ce8ed2ba7009cc66ea6073eed21ccee5dd0d0ad))
* Quality: Linting (TICKETREF, [7114564](http://github.com/jquery/jquery-mobile/commit/711456484ab7bfae2c66e503c0de133d2e658876))
* Quality: Linting (TICKETREF, [716f144](http://github.com/jquery/jquery-mobile/commit/716f144c2a096d43cc929e590909671f319b2f5b))
* Quality: Linting (TICKETREF, [7870cdf](http://github.com/jquery/jquery-mobile/commit/7870cdf03455fd921e418775a786d18284ce3eac))
* Quality: Linting (TICKETREF, [79a565e](http://github.com/jquery/jquery-mobile/commit/79a565ed8f3431892e04e3cab4884d1f93e9a685))
* Quality: Linting (TICKETREF, [7d19271](http://github.com/jquery/jquery-mobile/commit/7d192717d4cb4796cc82eabb7e073e55c07fe7b5))
* Quality: Linting (TICKETREF, [84427e0](http://github.com/jquery/jquery-mobile/commit/84427e089171849512d05313512edee175dbe199))
* Quality: Linting (TICKETREF, [92592bf](http://github.com/jquery/jquery-mobile/commit/92592bfb3add70a6c53a8f00c9918503e1fc2ea2))
* Quality: Linting (TICKETREF, [94a4ea7](http://github.com/jquery/jquery-mobile/commit/94a4ea7c1a89baca0ca3096b4b8919a47ce15443))
* Quality: Linting (TICKETREF, [9698a8f](http://github.com/jquery/jquery-mobile/commit/9698a8fcf16970780c268fa7c4fafe2730006a28))
* Quality: Linting (TICKETREF, [9927d89](http://github.com/jquery/jquery-mobile/commit/9927d89ccf97c73fc4cf469ea5a43d3d4eced526))
* Quality: Linting (TICKETREF, [ab52718](http://github.com/jquery/jquery-mobile/commit/ab52718d147a58678a0f24cc8a4f67abc916d267))
* Quality: Linting (TICKETREF, [ac90434](http://github.com/jquery/jquery-mobile/commit/ac904344f35f04ab5294eb2e54aedbd3dd5682fe))
* Quality: Linting (TICKETREF, [b0dc914](http://github.com/jquery/jquery-mobile/commit/b0dc91414327aa54b2ce808a09b072ce44be523f))
* Quality: Linting (TICKETREF, [b1d3387](http://github.com/jquery/jquery-mobile/commit/b1d3387c015f8b29514d98dd2df42afb981da90e))
* Quality: Linting (TICKETREF, [b3085f7](http://github.com/jquery/jquery-mobile/commit/b3085f756d8e4debef29d5250a48570d13c2884a))
* Quality: Linting (TICKETREF, [c5717cc](http://github.com/jquery/jquery-mobile/commit/c5717cc73fb3c874c7367040d0c49ac9ae4d2213))
* Quality: Linting (TICKETREF, [c7fbe23](http://github.com/jquery/jquery-mobile/commit/c7fbe23165967f6ea7cd8e8b5706ff7eabea26b9))
* Quality: Linting (TICKETREF, [d20fbb1](http://github.com/jquery/jquery-mobile/commit/d20fbb1fa66c9d94633099b7f49de1ce41898f93))
* Quality: Linting (TICKETREF, [e3dd72c](http://github.com/jquery/jquery-mobile/commit/e3dd72c47b01070665e7b8d3048379c07e43ccb7))
* Quality: Linting (TICKETREF, [e7dffed](http://github.com/jquery/jquery-mobile/commit/e7dffedd5924dd651dd66401a4d8d337d2fb0776))
* Quality: Linting (TICKETREF, [ed97370](http://github.com/jquery/jquery-mobile/commit/ed97370582beac23f0d9eaf1ae2738790a4ec1a7))
* Quality: Linting (TICKETREF, [ed9e237](http://github.com/jquery/jquery-mobile/commit/ed9e237e524262356cf9f84be3bd57a9b2156c04))
* Quality: Linting (TICKETREF, [f880eff](http://github.com/jquery/jquery-mobile/commit/f880eff32581963c5a36cb984d573e895ffa1b6f))
* Quality: Linting (TICKETREF, [fcf0a59](http://github.com/jquery/jquery-mobile/commit/fcf0a593cd640055b0b9be020f2e720f020cb2cd))
* Qunit tests table refresh (TICKETREF, [655b940](http://github.com/jquery/jquery-mobile/commit/655b940c74a87f402516b21033a94314e9ce30fd))
* Range slider: Add form reset via $.extend, not $.widget. (TICKETREF, [578427a](http://github.com/jquery/jquery-mobile/commit/578427a1e9dfa88598f5357823a92e85e2696b65))
* RangeSlider: Remove optionDemultiplexer. (TICKETREF, [af3b063](http://github.com/jquery/jquery-mobile/commit/af3b063e253bb89796c2e933eae30df574ebe067))
* Rangeslider: Fixed the highlight and handle border-radius. (TICKETREF, [02e4b68](http://github.com/jquery/jquery-mobile/commit/02e4b6897b7fbcb0f88afcbe4a4da464ad81db97))
* Rangeslider: Move the first label outside the div. (TICKETREF, [736f764](http://github.com/jquery/jquery-mobile/commit/736f764ea13f14e8b8cc5124f7dd9cf63ad78faf))
* Rangeslider: On-the-fly options via optionDemultiplexer (TICKETREF, [b2b429b](http://github.com/jquery/jquery-mobile/commit/b2b429b3968d9fc4c3c17c5badec879b4e7f0a31))
* Rangeslider: Remove function _setOption(), because it is unnecessary given that all options are handled by _setOptions(). Fixes #5918 - RangeSlider changing theme ([#5918](http://github.com/jquery/jquery-mobile/issues/5918), [5d4ba12](http://github.com/jquery/jquery-mobile/commit/5d4ba1282fe9f0552fcd8abc25e122e18931e992))
* Rangeslider: Use CSS instead of JS to hide the second label. (TICKETREF, [fbfcdca](http://github.com/jquery/jquery-mobile/commit/fbfcdca8e4696800cef00f811cc3e6284831c8b8))
* Rangeslider: center the sliders correctly when inside a field container. (TICKETREF, [c2acd3b](http://github.com/jquery/jquery-mobile/commit/c2acd3b76b0424ad224a1483dda7ce3b882fbee2))
* Readme: Link to API docs and 1.3.2 demos. (TICKETREF, [1f98876](http://github.com/jquery/jquery-mobile/commit/1f9887661477e1a3879bcc7a9fcf28191329b64e))
* Reflow table: Remove function _enhanceReflow() because it is a one-liner and it is being called only once. (TICKETREF, [3fb928e](http://github.com/jquery/jquery-mobile/commit/3fb928e1684156dab72b8cff8a004b8adbf3b7bc))
* Reformatted (TICKETREF, [043c049](http://github.com/jquery/jquery-mobile/commit/043c049d943111e44065ddd5c9e4bad06dac5951))
* Registry: A way of attaching enhancement hooks in a dependency-specified order. (TICKETREF, [fd649ce](http://github.com/jquery/jquery-mobile/commit/fd649ce8c4270f09d7e1b6c6aa78e0b4dc44c7d9))
* Registry: Allow widget registration after initially establishing the enhancement order. (TICKETREF, [9b759b2](http://github.com/jquery/jquery-mobile/commit/9b759b240a55ca0995c7e1f64006dfc2f7de9571))
* Registry: Convert to private object instance. (TICKETREF, [aa6833c](http://github.com/jquery/jquery-mobile/commit/aa6833c3303f17c06834ff0bcacacac341239002))
* Registry: Debugging enhancement order (TICKETREF, [4e6301e](http://github.com/jquery/jquery-mobile/commit/4e6301e959f7ecda3c65eb6f0d0c99d825d5cd30))
* Registry: Do depth-first search instead of rendering order to an array. (TICKETREF, [14eef0b](http://github.com/jquery/jquery-mobile/commit/14eef0b3e33807bee0261017e71da492b5dc2014))
* Registry: Making _Enhancer object available via $.mobile. This should help with unit testing. (TICKETREF, [773a740](http://github.com/jquery/jquery-mobile/commit/773a740537faeeb5b7b4a1b57c18bd08c2b844d4))
* Registry: Only call enhance if the initSelector does not return empty. (TICKETREF, [919a10f](http://github.com/jquery/jquery-mobile/commit/919a10fbd590360841c87cdc3c97c73975dc2478))
* Registry: Remove commented-out debugging code. (TICKETREF, [c3ef3d1](http://github.com/jquery/jquery-mobile/commit/c3ef3d1bbf6ee5715d362e9db925855d3f576c76))
* Registry: Removing debugging stuff. (TICKETREF, [d9622b8](http://github.com/jquery/jquery-mobile/commit/d9622b88bda932d13aa0694e0a065625abf161f3))
* Registry: Rewrite as new "enhancer" object. (TICKETREF, [4e3989a](http://github.com/jquery/jquery-mobile/commit/4e3989a0e670851f35a43b8f4d341e41f33e638a))
* Registry: Using enhanceCount is not reentrant, so pass along a visited hash instead. (TICKETREF, [99c9724](http://github.com/jquery/jquery-mobile/commit/99c9724584fbe93695a57e994a57edf08305141c))
* Release script: Removed old uploading to CDN process. For the time being it'll be a manual process until we automate it. (TICKETREF, [3bf131f](http://github.com/jquery/jquery-mobile/commit/3bf131fac3ba47eda7aaca3c5cad565dc1abf807))
* Remove "px" from zero values in CSS (TICKETREF, [042bfd8](http://github.com/jquery/jquery-mobile/commit/042bfd8e0a5f104b8117cf14954616423c718139))
* Remove buttonMarkup dependencies. (TICKETREF, [039fded](http://github.com/jquery/jquery-mobile/commit/039fded3519b07f019ac8e0188a6bb0ed9678798))
* Remove class ui-link from anchors when enhancing buttons or listviews. This is needed in situations where the plugin is called on or after pageinit. (TICKETREF, [e28733d](http://github.com/jquery/jquery-mobile/commit/e28733dd0f31a1ef71733d8c0a892449e814712c))
* Remove referrence to settings in _findExistingPage (TICKETREF, [3592dc5](http://github.com/jquery/jquery-mobile/commit/3592dc5f61b40841297c19edf740e4b258a830da))
* Remove refs to page from variables (TICKETREF, [2c41fb3](http://github.com/jquery/jquery-mobile/commit/2c41fb3c9c32f1a632ce81d7c3ead950a5cc3e23))
* Removed Hungarian notation from panel widget. (TICKETREF, [cf7a74e](http://github.com/jquery/jquery-mobile/commit/cf7a74e70b4dc44123e256a6d18f07903b237e42))
* Removed calls to getInheritedTheme(). (TICKETREF, [d805e62](http://github.com/jquery/jquery-mobile/commit/d805e62a917559b237f2ec30f692602f14cf3efe))
* Removed div closing tags that weren't suppose to be there anymore from test pages (TICKETREF, [72aa871](http://github.com/jquery/jquery-mobile/commit/72aa871d4ddf6bb698b40cac2ecc92b80a2920b5))
* Removed filterable.css import from structure CSS because it doesn't exist anymore. (TICKETREF, [de3d36a](http://github.com/jquery/jquery-mobile/commit/de3d36ad8da2ef645da37355907033023d869ac0))
* Removed old font icon test pages. (TICKETREF, [cffc3c1](http://github.com/jquery/jquery-mobile/commit/cffc3c1e6ff7bd5d56d98f57569126d73f181d36))
* Removed old icon sprites. (TICKETREF, [331a5fa](http://github.com/jquery/jquery-mobile/commit/331a5fa9c5664f50ddc11276da7c71821692367d))
* Removed reference to old JS line number in popup CSS. (TICKETREF, [f601248](http://github.com/jquery/jquery-mobile/commit/f601248a074db990a99e0af0bb0b17de1a91f5e0))
* Removed requirejs injection since the test uses the built bundle (TICKETREF, [d621498](http://github.com/jquery/jquery-mobile/commit/d621498da7969b118dcb5a5255ae6a954a37c91d))
* Removed some weird characters from test page. (TICKETREF, [df2a76e](http://github.com/jquery/jquery-mobile/commit/df2a76e482610e91934121e4a1add66c4bc8ddc3))
* Removed superfluous media type "all" from media queries. (TICKETREF, [5a29460](http://github.com/jquery/jquery-mobile/commit/5a29460692060c8772667461aa92dd4789605b3c))
* Removed unnecessary code (TICKETREF, [b5d7f76](http://github.com/jquery/jquery-mobile/commit/b5d7f7642d61c619946eb81aec50d92e0a441940))
* Removed unused attribute orientationChangeEnabled (TICKETREF, [e2cec1b](http://github.com/jquery/jquery-mobile/commit/e2cec1bcd8a0169a969c2de27a7af8da02d3658b))
* Removed unused license file (TICKETREF, [ec66695](http://github.com/jquery/jquery-mobile/commit/ec666953e8f0efa70bd1bcd83c1ecd774a0d077b))
* Removed zoom: 1; because IE7 will become C-grade. (TICKETREF, [ee0bc12](http://github.com/jquery/jquery-mobile/commit/ee0bc12d821af736559879531df08d9c99ba70ce))
* Removing Redundancy (TICKETREF, [cecbef4](http://github.com/jquery/jquery-mobile/commit/cecbef42b4655a27bc8c62b42a04fd05d67b5d9f))
* Renamed $ to jQuery in the factory functions. jQuery is the variable passed to the inner IIFEs (TICKETREF, [74a3d84](http://github.com/jquery/jquery-mobile/commit/74a3d843f1f05c042a544c5ef5245f937ea4e5b6))
* Renamed --jquery to --jqueries (TICKETREF, [8ae8435](http://github.com/jquery/jquery-mobile/commit/8ae84352415f3a9509e4ddf45f6e57898a676fec))
* Renamed --units to --suites (TICKETREF, [fc1a751](http://github.com/jquery/jquery-mobile/commit/fc1a75139b3e8af11d4ccf46a82fd2a8ddcba812))
* Renamed icon classes and files. (TICKETREF, [e1c7ca9](http://github.com/jquery/jquery-mobile/commit/e1c7ca93878bbc7490a5d8c19c374b9447cf9b5a))
* Renamed transitions.css to transition.visuals.css; consistent with JS and less confusing. (TICKETREF, [0f81fe4](http://github.com/jquery/jquery-mobile/commit/0f81fe48e6e1fdd98becde074d3bf6004c092aa4))
* Renaming widget filterbar to filtertext. (TICKETREF, [a599db2](http://github.com/jquery/jquery-mobile/commit/a599db228e55a8d56af8d126535889f885a760da))
* Replaced white minus icon. (TICKETREF, [27eca26](http://github.com/jquery/jquery-mobile/commit/27eca266d162462cadd9ea0be088b3230ca5a5ce))
* Revert "Button: remove duplicated call to buttonMarkup" (TICKETREF, [d90db2a](http://github.com/jquery/jquery-mobile/commit/d90db2a0b6dd6c8e86b4e32ebbc2b016f442d5f6))
* Revert "Custom select: Escape weird characters in popup/dialog ID when they become hrefs. Fixes #5893." ([#5893](http://github.com/jquery/jquery-mobile/issues/5893), [513c1bf](http://github.com/jquery/jquery-mobile/commit/513c1bfb0a368eb9e937eb536a7c4ae3fc255911))
* Revert "Custom select: Must un-hide popup container before calculating height." (TICKETREF, [bb0297b](http://github.com/jquery/jquery-mobile/commit/bb0297b70411e51a24a0df75e18ffba72661fa03))
* Revert "Icons: Increased icon background disc size". (TICKETREF, [dae13e0](http://github.com/jquery/jquery-mobile/commit/dae13e0fce194e0ae33889446ea79f34807c2e79))
* Revert "Popup arrow: Convert to demo." (TICKETREF, [faed3f9](http://github.com/jquery/jquery-mobile/commit/faed3f9a6157d440e479fbea4f6deed2091b71c2))
* Revert "Popup: Hide popup when offscreen. Fixes #5892." ([#5892](http://github.com/jquery/jquery-mobile/issues/5892), [c6ad6ab](http://github.com/jquery/jquery-mobile/commit/c6ad6ab94bdb001f2a581f99b05fc77fc560ffae))
* Revert "Removed unused license file" (TICKETREF, [9655450](http://github.com/jquery/jquery-mobile/commit/965545081e57261172afdcb099e180624e7dc725))
* Revert "Slider: CSS: Fix centering for mini button." (TICKETREF, [0b8aba4](http://github.com/jquery/jquery-mobile/commit/0b8aba46e593d7d3783aae618d153c806e1f740e))
* Revert "Table: Move value for "classes" option out of the prototype." (TICKETREF, [6b739e7](http://github.com/jquery/jquery-mobile/commit/6b739e7e94a98e55a1b97b67d664f4df9b475a3c))
* Revert "Tests: Unit: Popup: Make sure closed popup is not :visible and that open popup is :visible. Tests #5892." (TICKETREF, [e14e65f](http://github.com/jquery/jquery-mobile/commit/e14e65f07e518227d2e8a5fcf7e73467d4f7fc24))
* Revert "Widget factory: Add accessor definition function." (TICKETREF, [7fc94e4](http://github.com/jquery/jquery-mobile/commit/7fc94e49b2b59e2e86c854b9d24743cd9193ee56))
* Revert "Widget factory: Do not allow a placeholderClass to slip into actuallyDefineWidget() when creating extensions." (TICKETREF, [165d25e](http://github.com/jquery/jquery-mobile/commit/165d25eafaf3ef1bc5229d401b9a6790adf7fa57))
* Revert "Widget factory: Do not assign the constructor to the namespace initially." (TICKETREF, [14d48f0](http://github.com/jquery/jquery-mobile/commit/14d48f0b583f68ac568ef8fabec9360d985cab4e))
* Revert "Widget factory: Do not assume that existingConstructor is either base or undefined." (TICKETREF, [1f35e75](http://github.com/jquery/jquery-mobile/commit/1f35e753edabbf8930886b5ff51164605f0844cb))
* Revert "Widget factory: Make lazy loading conditional on the availability of __defineGetter__ and __defineSetter__" (TICKETREF, [e3f61d1](http://github.com/jquery/jquery-mobile/commit/e3f61d11e66be7b7c8580572c8b4c89a9c955458))
* Revert "Widget factory: Make the call to actuallyDefineWidget() lazy." (TICKETREF, [7abc3ef](http://github.com/jquery/jquery-mobile/commit/7abc3efd3a37b2825b3c28282581e9470358af37))
* Revert "Widget factory: Move selector defintion into "expensive" section." (TICKETREF, [ba8d219](http://github.com/jquery/jquery-mobile/commit/ba8d2198d0479ab9884d8996452b6efbe42a745f))
* Revert "Widget factory: Re-implementation of lazy definition that correctly carries over methods declared on the namespace." (TICKETREF, [cb02350](http://github.com/jquery/jquery-mobile/commit/cb02350a323bf279c6f467ee20c779d7cc53578e))
* Revert "Widget factory: Simplify lazy initialization code." (TICKETREF, [a616f92](http://github.com/jquery/jquery-mobile/commit/a616f9229812863d6734e189df8944f86e63c614))
* Revert "Widget factory: Split $.widget into to parts: The easy first steps and a helper function that actually defines a widget class." (TICKETREF, [cbe4ae0](http://github.com/jquery/jquery-mobile/commit/cbe4ae0a215aa3f3a2804244c751c198cd4b8473))
* Revert changes made in commit de18420 (partly) and a6ff7de (TICKETREF, [6b939a4](http://github.com/jquery/jquery-mobile/commit/6b939a4d858ad17b11c5f3fa035b79cc4b634548))
* Reverted commit e28733d. Devs should add data-role="none" to anchors to prevent class ui-link if they plan to enhance as listview or button after pageinit. (TICKETREF, [32ffa3c](http://github.com/jquery/jquery-mobile/commit/32ffa3c31ac2d3a9e3f4cc7f89dfdd1f410667c7))
* SVG icons: ui prefix for classes, icons in pseudo element, ui-icon-alt instead of -white and -black suffix. (TICKETREF, [fab3295](http://github.com/jquery/jquery-mobile/commit/fab3295144547fc5910e4103a3b82abec949e257))
* Select custom: Don't add class ui-btn-down-x because we don't use it anymore. Just the checkbox should be enough feedback. (TICKETREF, [a8a333a](http://github.com/jquery/jquery-mobile/commit/a8a333aa62954fd0bc65e802ea29715a74c55e02))
* Select: Active style for option that is selected. (TICKETREF, [285c33c](http://github.com/jquery/jquery-mobile/commit/285c33c80a1f389985e60fa0dcdf5d7ebe47cd9f))
* Select: Add mini and inline classes to container. Set margin on the container. Fixes #5838. ([#5838](http://github.com/jquery/jquery-mobile/issues/5838), [f6624ac](http://github.com/jquery/jquery-mobile/commit/f6624acf6674ed932418688cdea1779e85f80123))
* Select: Adjusted button classes. (TICKETREF, [155ff69](http://github.com/jquery/jquery-mobile/commit/155ff69a16ce21ee2299454ae554a4c0a89e1b08))
* Select: Always have an ID. (TICKETREF, [44bb454](http://github.com/jquery/jquery-mobile/commit/44bb45462221d25f6e0f9aa1891caa0451511e27))
* Select: Custom select menu border styling. (TICKETREF, [b086ae1](http://github.com/jquery/jquery-mobile/commit/b086ae14f2eded435e34d5ff894599d9adeffaae))
* Select: Do not copy class ui-screen-hidden from the options to the button. After all, if it is the selected option, it cannot be hidden. Fixes #6225 - Filter: Filtering a SELECT element causes unexpected experience ([#6225](http://github.com/jquery/jquery-mobile/issues/6225), [beacbac](http://github.com/jquery/jquery-mobile/commit/beacbac45481db4a2dfd648fe3de133918d7a3e7))
* Select: Don't remove the multiple select count bubble when setting button text. (TICKETREF, [acc80cd](http://github.com/jquery/jquery-mobile/commit/acc80cd65b84b8b5d29f6d036cfc6eb2d672efda))
* Select: Don't set margin-right 0 because a select can be an inline button. Fixes #6103. ([#6103](http://github.com/jquery/jquery-mobile/issues/6103), [0325fec](http://github.com/jquery/jquery-mobile/commit/0325fec431e5e1fcdd58ae44bce455a3744ec03d))
* Select: Fixed a custom multiple select count bubble padding issue. (TICKETREF, [8c29319](http://github.com/jquery/jquery-mobile/commit/8c29319e597f90f8edec06020db7cf8173cecaea))
* Select: Fixed custom select style issues. (TICKETREF, [2451b0b](http://github.com/jquery/jquery-mobile/commit/2451b0b99ad8d02e1367827741323d40f870ad91))
* Select: Fixed the count bubble position for icon positions other than right. (TICKETREF, [13c4b22](http://github.com/jquery/jquery-mobile/commit/13c4b22e42230315ee2487debbd0ebb6fc1ce438))
* Select: Fixed theme inheritance for custom select menu header. (TICKETREF, [d96b844](http://github.com/jquery/jquery-mobile/commit/d96b8445a30f82f8ba5b5bb37714eec0d7fb0e8a))
* Select: Get rid of buttonMarkup AMD-dependency. (TICKETREF, [81643ca](http://github.com/jquery/jquery-mobile/commit/81643cab0ba15d04c114dd71e1462d53c9e44006))
* Select: Get rid of buttonMarkup. (TICKETREF, [63bc9a8](http://github.com/jquery/jquery-mobile/commit/63bc9a8149aed256e628f79b2b27d6ca8c6a9ecd))
* Select: Made sure we only move the native select from the screen in case of a custom select menu. (TICKETREF, [d34f8dc](http://github.com/jquery/jquery-mobile/commit/d34f8dcd99213b93b73cda0d573216297cb8ffc0))
* Select: More CSS clean up. (TICKETREF, [1de4c7f](http://github.com/jquery/jquery-mobile/commit/1de4c7f6dfa93abc14136a391583ba718ab2d86d))
* Select: Multiple select count bubble always inherits its theme from the select button. (TICKETREF, [eae2914](http://github.com/jquery/jquery-mobile/commit/eae2914056c7768bd4613fe3f0053b9a2060c209))
* Select: Normalize capitalization of the word "ID" in variables. Now "Id" is used everywhere. (TICKETREF, [e3ad4a0](http://github.com/jquery/jquery-mobile/commit/e3ad4a0979cc3586097033b1697c8e31b72ca769))
* Select: Removed button padding and icon position rules; use global rules from core.css. Use listview CSS for count bubble position. (TICKETREF, [f265845](http://github.com/jquery/jquery-mobile/commit/f265845124948fb225fb710ca9e61c98641fd262))
* Select: Removed padding from custom selectmenu. Inherit border radii. (TICKETREF, [af30776](http://github.com/jquery/jquery-mobile/commit/af307760a72cd0b64136bd6e9eb704c2338cfee2))
* Select: Removed ui-btn-inner from CSS. (TICKETREF, [3daa3ea](http://github.com/jquery/jquery-mobile/commit/3daa3eabb755932df25e78482b32e59b3c046e4f))
* Select: Theme inheritance via CSS. Don't add btn theme class unless theme has been set. (TICKETREF, [e50d284](http://github.com/jquery/jquery-mobile/commit/e50d284c0f9af12bc1684046928f18464055f663))
* Select: Updated CSS for the select button. (TICKETREF, [163a43c](http://github.com/jquery/jquery-mobile/commit/163a43c09744c17f2301397c4700f3cef0d2d8d3))
* Select: Use ui-fill-x class for the count bubble and use same theme swatch as the select button. (TICKETREF, [d813a54](http://github.com/jquery/jquery-mobile/commit/d813a545b6bcb6ac7919ec6ceaf2d303fdc0151f))
* Select: We don't add btn down state class anymore so there is no need to remove it either. (TICKETREF, [dbe0b12](http://github.com/jquery/jquery-mobile/commit/dbe0b123cbc6bd4f2a387e800af3e528fb715fdd))
* Select: blur after change to make hideDuringFocus work correctly on Android/Chrome. Fixes #5514 ([#5514](http://github.com/jquery/jquery-mobile/issues/5514), [40501f3](http://github.com/jquery/jquery-mobile/commit/40501f3d684036aa79654bdf9fb5ef5b23730224))
* Select: small code improvement, seems to make the tests happy. (TICKETREF, [bcaafdb](http://github.com/jquery/jquery-mobile/commit/bcaafdbdf38eb668c6586b4cca59c630f94906b6))
* Select: text-overflow ellipsis for the span to make it work on Chrome and Safari. (TICKETREF, [972da62](http://github.com/jquery/jquery-mobile/commit/972da6267f88d99deecb6793fa2ccc63600f4c61))
* Select: ui-state-disabled instead of ui-disabled. (TICKETREF, [c7594ef](http://github.com/jquery/jquery-mobile/commit/c7594ef362981ebadf2c0ae1b4673bb2593a5998))
* Select: when the button text is empty, make it a &nbsp;. (TICKETREF, [40da6d9](http://github.com/jquery/jquery-mobile/commit/40da6d996044dc7a261c6a412edf08b5591e9ea7))
* Selected: CSS clean up. (TICKETREF, [c74159d](http://github.com/jquery/jquery-mobile/commit/c74159d7b7f66f746f43cef917874da1604af9cc))
* Selectmenu: Don't use shorthand for unsetting the border because it makes it harder to override. (TICKETREF, [a33ea61](http://github.com/jquery/jquery-mobile/commit/a33ea61af6ada0dc7ce1a1be147f6435029f27bf))
* Sequence tests: adjust timeout to try and prevent random failures (TICKETREF, [1fca378](http://github.com/jquery/jquery-mobile/commit/1fca3788309bafda2224bb87abd5a11954232ce2))
* Set up test target (TICKETREF, [e2d7bb3](http://github.com/jquery/jquery-mobile/commit/e2d7bb31a13a556b43b8030a83c7838aaa7dd483))
* Slider tooltip: "class" is a reserved word in IE. (TICKETREF, [0896247](http://github.com/jquery/jquery-mobile/commit/089624735681f5137e63dd294c1dd2d94f9b9f40))
* Slider tooltip: Account for the absence of .ui-btn-text and ignore "showValue" option when mini is set. (TICKETREF, [72a4458](http://github.com/jquery/jquery-mobile/commit/72a44584469fcd8593522c3289621c8c9b851359))
* Slider tooltip: CSS: Centre text inside the slider button by using line-height. (TICKETREF, [5d074ea](http://github.com/jquery/jquery-mobile/commit/5d074eabf98591ee626945d44a9a167e69067809))
* Slider tooltip: Converting back to extension. (TICKETREF, [2ca372d](http://github.com/jquery/jquery-mobile/commit/2ca372d6393f10fd7be87e8f24b085ed5dad1c72))
* Slider tooltip: Make popup creation lazy and clean up refresh. (TICKETREF, [8304b9c](http://github.com/jquery/jquery-mobile/commit/8304b9c4b701d49c4f61c151ff0f1da0065bb7cd))
* Slider tooltip: Removed rule for ui-btn-inner. (TICKETREF, [d10fcfa](http://github.com/jquery/jquery-mobile/commit/d10fcfa91d7e088d28f7b2ebb271cb0926fb3e19))
* Slider, Rangeslider: Updated CSS after changes in textinput. (TICKETREF, [7fa7b13](http://github.com/jquery/jquery-mobile/commit/7fa7b13920977d70178482d46cde4e422c37e6d9))
* Slider: Add "ui-btn-" + trackTheme to highlight for $.mobile.activeBtnClass to have any meaning. (TICKETREF, [31a2d5c](http://github.com/jquery/jquery-mobile/commit/31a2d5c721879170eceb4fc8b06c2867a6dde5fb))
* Slider: Add -ms-touch-action to slider to ensure events are sent to js so slider can capture them (TICKETREF, [05d100d](http://github.com/jquery/jquery-mobile/commit/05d100d2ab47e766e0c33a1749319769fe34a7ec))
* Slider: Added inset shadow to track. (TICKETREF, [642061e](http://github.com/jquery/jquery-mobile/commit/642061ed4ada076947e101248f6399f6ae22dde7))
* Slider: Added option corners. Fixed setting options theme, trackTheme and mini. Fixes #6037. ([#6037](http://github.com/jquery/jquery-mobile/issues/6037), [e583413](http://github.com/jquery/jquery-mobile/commit/e5834132fd2ccd502f0b973f4d17cfbddbb760aa))
* Slider: CSS: Fix centering for mini button. (TICKETREF, [5c79d39](http://github.com/jquery/jquery-mobile/commit/5c79d3938f9c3247bd551a352d0b0b8db13e5bf6))
* Slider: CSS: Fix mini slider. (TICKETREF, [2f3a0e0](http://github.com/jquery/jquery-mobile/commit/2f3a0e04e3b9d2420b4c9e3c244d651141426c30))
* Slider: Correction mini slider margin. Removed duplicate field contain margin 0 rule. (TICKETREF, [25bebb0](http://github.com/jquery/jquery-mobile/commit/25bebb0cf59f002edb5e733eda3b441d928ec58a))
* Slider: De-linting (TICKETREF, [a492a58](http://github.com/jquery/jquery-mobile/commit/a492a582ad9ca86df5f09bc92c42b38fcd5586e3))
* Slider: De-linting. (TICKETREF, [2bf5174](http://github.com/jquery/jquery-mobile/commit/2bf5174cab31366597dfd4b50b4cd12be2979487))
* Slider: Don't add corner class to the bg and handle, but inherit border-radius. (TICKETREF, [3191733](http://github.com/jquery/jquery-mobile/commit/31917332417215d8c84f268a28a4adc4d71c9a97))
* Slider: Don't add ui-focus class to flip switch, only the handle should get the focus style. (TICKETREF, [5c5f6fe](http://github.com/jquery/jquery-mobile/commit/5c5f6fed7c4dd4b22fcb8a2dcd4704f6ede23e3e))
* Slider: Fixed inner shadow for the input on iOS. (TICKETREF, [4f65205](http://github.com/jquery/jquery-mobile/commit/4f6520587917a1955682edc842fb57a4da5a605a))
* Slider: Flagged some code for removal. (TICKETREF, [35332e6](http://github.com/jquery/jquery-mobile/commit/35332e661d7e5c473d1703873c56c6dd9ce06d91))
* Slider: Flip switch labels were getting the same classes as the container, which they shouldn't. (TICKETREF, [cf7312b](http://github.com/jquery/jquery-mobile/commit/cf7312bf140bab3b700b196e3f038e84219fbb89))
* Slider: Get rid of buttonMarkup. (TICKETREF, [f1f9827](http://github.com/jquery/jquery-mobile/commit/f1f98274bc053dab10348abd49121cdb283103eb))
* Slider: If no box-shadow the input should get a border. (TICKETREF, [d90ba5b](http://github.com/jquery/jquery-mobile/commit/d90ba5bd0300035c27bf5d338a7526b540abdae4))
* Slider: Keep the flip switch native select element accessible for screen readers. (TICKETREF, [f2baf78](http://github.com/jquery/jquery-mobile/commit/f2baf784ed391def97a7a943c8c99873c8088b27))
* Slider: Linting. (TICKETREF, [1f31cad](http://github.com/jquery/jquery-mobile/commit/1f31cada414716dbb59ba15b6a039f8dc954950c))
* Slider: Margin 0 for flip toggle in fieldcontain. (TICKETREF, [dff3ef8](http://github.com/jquery/jquery-mobile/commit/dff3ef8394e547e8cbb6ea734cef2c04cc2c31f2))
* Slider: On Opera Mobile event.which is undefined. Accept that and get slidin'. Fixes #5903. ([#5903](http://github.com/jquery/jquery-mobile/issues/5903), [b90361b](http://github.com/jquery/jquery-mobile/commit/b90361bea87b1f2ab5ee3136cecab68f146ba84f))
* Slider: On-the-fly options via optionDemultiplexer (TICKETREF, [997658c](http://github.com/jquery/jquery-mobile/commit/997658cb633ce4a5fec6d8e6dd47f1953b6f6ddd))
* Slider: Prevent focus on the flip toggle hidden select. (TICKETREF, [380ce1c](http://github.com/jquery/jquery-mobile/commit/380ce1cc9613fdcae8714082d61851a88274e04f))
* Slider: Remove optionDemultiplexer. (TICKETREF, [9cdced8](http://github.com/jquery/jquery-mobile/commit/9cdced80e342feb31978a3c955d8aea84cae9074))
* Slider: Remove unused variable (TICKETREF, [cfd4b5f](http://github.com/jquery/jquery-mobile/commit/cfd4b5f44845f3cdec5ec748baeba9273e40133c))
* Slider: Removed specific margins and width for mini sized. We just use smaller font-size and em values now. (TICKETREF, [272b405](http://github.com/jquery/jquery-mobile/commit/272b40550108e4cdf9d358a125def9bf2cc095c0))
* Slider: Replace references to class ui-btn-corner-all with references to class ui-corner-all (TICKETREF, [02c409e](http://github.com/jquery/jquery-mobile/commit/02c409e4fc1073dc5465c5c51646694aff522cec))
* Slider: Same corner radii for the slider track and the handle. (TICKETREF, [9690206](http://github.com/jquery/jquery-mobile/commit/9690206d08078ac16c6ebdefee75c0ee298792ce))
* Slider: Theme inheritance. (TICKETREF, [02f4dd0](http://github.com/jquery/jquery-mobile/commit/02f4dd08791a84b43281f3cf95074fa831f229a6))
* Slider: Use body class for the track. (TICKETREF, [5cc953f](http://github.com/jquery/jquery-mobile/commit/5cc953fa577059d6e2af8233ebfdd91acd632c75))
* Slider: Use body class for theming. (TICKETREF, [7bfb0d5](http://github.com/jquery/jquery-mobile/commit/7bfb0d5d20b99839671480c6d52fbad7e3cddf33))
* Slider: border-width 0 instead of border none for the input to make it easier to restore the border if you want. See #5846 (TICKETREF, [943bf89](http://github.com/jquery/jquery-mobile/commit/943bf89e899993fbcefc54203fe9fecb466c68e1))
* Slider: drag should start only for left mouse button (TICKETREF, [93f0caa](http://github.com/jquery/jquery-mobile/commit/93f0caa23eebec9cf87d35989337bef174f7a638))
* Slider: event.which for mousedown can be 0 or 1, because it is 0 on mobile and 1 (left mouse button) on desktop. (TICKETREF, [cd2e2c0](http://github.com/jquery/jquery-mobile/commit/cd2e2c0f91b2b21d54f9436bd67043eb161c8aab))
* Slider: fixed corner styling, margin and slider-bg height issues. (TICKETREF, [f469e6a](http://github.com/jquery/jquery-mobile/commit/f469e6ab2833fa8a208cedbd8da27a9c5636cba5))
* Slider: padding 0 for mini slider track. (TICKETREF, [d4c48b6](http://github.com/jquery/jquery-mobile/commit/d4c48b6a151e1dd2b5dbfa14f6064e38b1329b04))
* Slider: remove duplicated call to buttonMarkup (TICKETREF, [2cae050](http://github.com/jquery/jquery-mobile/commit/2cae050af13a55d2df0242fa5339c48dc7220109))
* Slider: reset unnecessary clearfix for the flip toggle switch. Fixes #5809 ([#5809](http://github.com/jquery/jquery-mobile/issues/5809), [949a16a](http://github.com/jquery/jquery-mobile/commit/949a16a880f06c71bc8277fdcdd46520a4a9355c))
* Slider: toggle switch: Make active state work. (TICKETREF, [41848d6](http://github.com/jquery/jquery-mobile/commit/41848d61d88487c6983c1144a862e6d7269300a2))
* Sorted devDependencies (TICKETREF, [2801813](http://github.com/jquery/jquery-mobile/commit/280181311499226f699d32ab57be1a0cf0e89154))
* Specified branch for grunt-zip dependency (TICKETREF, [959462a](http://github.com/jquery/jquery-mobile/commit/959462ab1195d0d76c6b1a81e7f709ba6abb16d9))
* Support tests: update inlineSVG test to run on init and disable inlineSVG test in qunit (TICKETREF, [8e7d1fc](http://github.com/jquery/jquery-mobile/commit/8e7d1fcf194cf62d50971d34f59335f11c750ad2))
* Support: Made support for pseudo elements a requirement for A grade. (TICKETREF, [60aa05b](http://github.com/jquery/jquery-mobile/commit/60aa05b813488beff1d8c9bf8a0715b93ee7deed))
* Support: No SVG for Opera except Opera Next. Removed hasFeature() check because we don't suppport Firefox 3.6. (TICKETREF, [c20d699](http://github.com/jquery/jquery-mobile/commit/c20d6994ab1affb79b9fe44653e851af9d990b4b))
* Support: Turn off pushState inside FF iframes (TICKETREF, [54a3d79](http://github.com/jquery/jquery-mobile/commit/54a3d798ac612c75fd63b99f2135b5c1c245e1cc))
* Support: linting. (TICKETREF, [a304e17](http://github.com/jquery/jquery-mobile/commit/a304e17032c73215b5631f5dc58237ce38a47aab))
* Swipe Event: Rewrite to trigger once threshhold has been reached instead of waiting for vmouse up this emulates native swipe event (TICKETREF, [2318203](http://github.com/jquery/jquery-mobile/commit/231820361f547d8fa0e26f9bfc2ad9e1c9686a68))
* Swipe: Fix error in logic which caused swipe to be emmited after a click (TICKETREF, [2ef0b6f](http://github.com/jquery/jquery-mobile/commit/2ef0b6fb117df3f9bff85dc0e9bd9c57f652247a))
* Swipe: change to use triggerCustomEvent Fixes #5311 - Nested delegate elements cause swipe event duplication ([#5311](http://github.com/jquery/jquery-mobile/issues/5311), [3367ec5](http://github.com/jquery/jquery-mobile/commit/3367ec5c5bb5532b18d36fa611773daa89aed506))
* Switch back to explicit theme for now this needs to be updated in css first (TICKETREF, [0dea67d](http://github.com/jquery/jquery-mobile/commit/0dea67d0f505d91d9384601cc3f718aa07dadee3))
* Switched from jQuery core 2.0.0 to 1.10.1 (TICKETREF, [1429f57](http://github.com/jquery/jquery-mobile/commit/1429f57d974ce5e3973f6841d13a3248e73fb9d8))
* Switched to jQuery 2.0.0 (TICKETREF, [08fa6fc](http://github.com/jquery/jquery-mobile/commit/08fa6fc9172391f9f330457b988c8272a0ad33f1))
* Switching from px to em values for padding and positioning. (TICKETREF, [9da40d3](http://github.com/jquery/jquery-mobile/commit/9da40d311c159aaf48fa51d2292bce8721f18e48))
* Switching to em values for icon-only button height and width. (TICKETREF, [0433ee3](http://github.com/jquery/jquery-mobile/commit/0433ee354993bfb86ac3d2dcbf8745df7f110f0e))
* Table CSS indent and whitespace. (TICKETREF, [35d13a0](http://github.com/jquery/jquery-mobile/commit/35d13a0903bda259036fa0047f9871d61c8b7391))
* Table Toggle/Reflow: added rebuild method (TICKETREF, [1f4c1fd](http://github.com/jquery/jquery-mobile/commit/1f4c1fdc32ea653198a000acd6aa39f27ea02bf0))
* Table Toggle/Reflow: added tests (TICKETREF, [2bb0549](http://github.com/jquery/jquery-mobile/commit/2bb0549ca1496d5584622581de5fe4ac90a3ddb0))
* Table and extensions: Better variable names. (TICKETREF, [0078dc5](http://github.com/jquery/jquery-mobile/commit/0078dc5287f7ca166c5483fb0056b4a3c4b1398e))
* Table and extensions: More variable name improvements. (TICKETREF, [e2cada2](http://github.com/jquery/jquery-mobile/commit/e2cada2683845494a6f94c497e6a1366ff1665d6))
* Table and extensions: Whitespace. (TICKETREF, [76b959e](http://github.com/jquery/jquery-mobile/commit/76b959e49db24f3be7e6172242f36f9ee6434aeb))
* Table columntoggle: Moving _create function to the top. (TICKETREF, [cde1e9d](http://github.com/jquery/jquery-mobile/commit/cde1e9d7ca180eb99a7206828f5c0d4cdf079138))
* Table: Cleanup. (TICKETREF, [6e11fc8](http://github.com/jquery/jquery-mobile/commit/6e11fc8f9875d2d3ae01bafb7fceefbc07ad30ba))
* Table: Columntoggle: Convert to proper extension. (TICKETREF, [a45edfa](http://github.com/jquery/jquery-mobile/commit/a45edfa7b172dae1d7212b46471e6c4aa8128fa6))
* Table: Columntoggle: Do not bind events to checkboxes if they have not been replaced. (TICKETREF, [9ca7e24](http://github.com/jquery/jquery-mobile/commit/9ca7e24f572e088e90e5d5c898a1499c16374a2f))
* Table: Columntoggle: Get rid of buttonMarkup. (TICKETREF, [47af5b2](http://github.com/jquery/jquery-mobile/commit/47af5b2759ef4b65687a2595977808251c578e8f))
* Table: Columntoggle: Making AMD dependencies path-friendly. (TICKETREF, [9f04b12](http://github.com/jquery/jquery-mobile/commit/9f04b120f5f93da77ffb6154db563303c0d56c58))
* Table: Columntoggle: Rename refresh() to _refresh() and do not do anything besides chaining up during rebuild() if the widget is not a columntoggle table. (TICKETREF, [b02968b](http://github.com/jquery/jquery-mobile/commit/b02968b0232e83ef24b347033461da9353915f56))
* Table: Columntoggle: Take into account <abbr> title when generating columntoggle checkbox. Fixes #6053 - abbr title in th not picked up for column toggle. ([#6053](http://github.com/jquery/jquery-mobile/issues/6053), [7e16400](http://github.com/jquery/jquery-mobile/commit/7e164004e8fcc71683b87fe3a4ffae01b48a1150))
* Table: Columntoggle: Use this.document.find( x ) instead of $( x ). (TICKETREF, [529d81d](http://github.com/jquery/jquery-mobile/commit/529d81d15c5780c0cf4406a469527af9ff96fa8b))
* Table: Forgot to remove code triggering "refresh" event. (TICKETREF, [266fdc3](http://github.com/jquery/jquery-mobile/commit/266fdc30705d5ea2875560dfae7e410caf2b371a))
* Table: Include $.mobile.ns in name of attribute "data-colstart". (TICKETREF, [e8ae9ab](http://github.com/jquery/jquery-mobile/commit/e8ae9abba070dd473ca56c77fdca8e60eb6019c7))
* Table: Merge error during revert. (TICKETREF, [0beb346](http://github.com/jquery/jquery-mobile/commit/0beb3469c5a8bba3bb8c464e5e15825d24336dcf))
* Table: Move value for "classes" option out of the prototype. (TICKETREF, [a14deb4](http://github.com/jquery/jquery-mobile/commit/a14deb4a5b0d5b43812c61158e50373068c2fc6a))
* Table: Reflow: Convert to proper extension. (TICKETREF, [78a21fd](http://github.com/jquery/jquery-mobile/commit/78a21fd188fb4c4c18becd22dc7ef5920c98d49f))
* Table: Reflow: Rename refresh() to _refresh() and do not do anything besides chaining up during rebuild() if the widget is not a reflow table. (TICKETREF, [cd114e9](http://github.com/jquery/jquery-mobile/commit/cd114e99b637b6662c3d935bd22a041b2f4afcba))
* Table: Removed duplicate display property from CSS. Fixes #5985. Thanks @mish7 ! ([#5985](http://github.com/jquery/jquery-mobile/issues/5985), [8583c85](http://github.com/jquery/jquery-mobile/commit/8583c85577f0887c18d2627a849a81ee9ed07b66))
* Table: Removing call-via-signal mechanism for refresh, and cleaning up code a bit. (TICKETREF, [59d2056](http://github.com/jquery/jquery-mobile/commit/59d20562a497dba14f67c368769ced52e9fe7022))
* Table: Renaming variable "o" to "opts". (TICKETREF, [3bf6821](http://github.com/jquery/jquery-mobile/commit/3bf68218bc92ef99b4ebc92620b7c68569c86c4e))
* Table: refresh() has no parameters so if you need one, call it _refresh() and call _refresh() from refresh(). (TICKETREF, [08ad50a](http://github.com/jquery/jquery-mobile/commit/08ad50aedff4edc2fefc50ccc15b773f27133e51))
* Tabs: First pass at ui-tabs integration (TICKETREF, [404a8da](http://github.com/jquery/jquery-mobile/commit/404a8dab855a25292255a838f619d0e8e97825a0))
* Tabs: Fix Content tabs demo (TICKETREF, [a59a0d9](http://github.com/jquery/jquery-mobile/commit/a59a0d902470d2266053b8dfa91cc5ce5bfa87b8))
* Tabs: Update Description (TICKETREF, [95ead96](http://github.com/jquery/jquery-mobile/commit/95ead960c90363d770b82987543ef1a968dd8b02))
* Tabs: styling (TICKETREF, [1bb6905](http://github.com/jquery/jquery-mobile/commit/1bb6905b4c59a555eb8e8966d2b4b830595541fb))
* Tagging the 1.4.0-alpha.1 release. (TICKETREF, [125ddb5](http://github.com/jquery/jquery-mobile/commit/125ddb5c119ca8b6e4d048f23a61b54c3d8d79f7))
* Tagging the 1.4.0-alpha.1 release. (TICKETREF, [726eb53](http://github.com/jquery/jquery-mobile/commit/726eb5387f6885c208a0fcdd7a3babde5cda1cce))
* Tagging the 1.4.0-alpha.1 release. (TICKETREF, [7feeaf2](http://github.com/jquery/jquery-mobile/commit/7feeaf2a0935b5659aff60705f6eb5c27cd80c87))
* Tagging the 1.4.0-beta.1 release. (TICKETREF, [28cff58](http://github.com/jquery/jquery-mobile/commit/28cff58afabc3d1e5eb47e0598f4858c3f3093d5))
* Tagging the 1.4.0-beta.1 release. (TICKETREF, [3de05a0](http://github.com/jquery/jquery-mobile/commit/3de05a0624340d820e8e29e194d5ec93beac782e))
* Tagging the 1.4.0-beta.1 release. (TICKETREF, [ac04ad7](http://github.com/jquery/jquery-mobile/commit/ac04ad71d7ed42b1b4dbb8767f85ae2e2afe874c))
* Tagging the 1.4.0-beta.1 release. (TICKETREF, [c1f5b8e](http://github.com/jquery/jquery-mobile/commit/c1f5b8ed7f22879afaac2420e962d48f9c321127))
* Taphold: Fix incorrect checking of $.event.special.tap.emitTapOnTaphold Fixes #6342 - emitTapOnTaphold behaviour is the wrong way round ([#6342](http://github.com/jquery/jquery-mobile/issues/6342), [69ed6ef](http://github.com/jquery/jquery-mobile/commit/69ed6efa5f12fa16d743a1f8a09b88bd3bc127d0))
* Taphold: Prevent edge case of taphold on link opening link. Thanks @jtblin Fixes #5983 - 3803 taphold not to emit tap event option ([#5983](http://github.com/jquery/jquery-mobile/issues/5983), [49bb033](http://github.com/jquery/jquery-mobile/commit/49bb0338acc476770270cfe7d5744e1df9fe50ab))
* Taphold: add option to prevent tap from being fired on taphold Fixes #3803 - Taphold fires tap event as well. Thanks to @jtblin for the concept pr #5980 ([#3803](http://github.com/jquery/jquery-mobile/issues/3803), [71e6dfc](http://github.com/jquery/jquery-mobile/commit/71e6dfcbc0bbd9abe7d9657fe165c30bacac7535))
* Taphold: fix new option to supress tap per comments on pr #5980 (TICKETREF, [57e857f](http://github.com/jquery/jquery-mobile/commit/57e857fc3f19c110bd22a8e805fe3b79bf874383))
* Testhelper: Increase max timeout to ( hopefully ) stop random travis failures (TICKETREF, [be43d3b](http://github.com/jquery/jquery-mobile/commit/be43d3b44e3762c3bda82bff1e94e498b21142b3))
* Tests - buttonMarkup: Removed button state classes test. We use pseudo classes now. (TICKETREF, [02a0899](http://github.com/jquery/jquery-mobile/commit/02a08998a3c831742e8638123a68761766226721))
* Tests: Added inclusion of define shim to allow reloadLib to work properly (TICKETREF, [cbbebf0](http://github.com/jquery/jquery-mobile/commit/cbbebf035c91cd051c019e5bf121ee64d73a5c1b))
* Tests: Added missing space in rgb values. (TICKETREF, [ba7ca07](http://github.com/jquery/jquery-mobile/commit/ba7ca073346a9e666d164d7110c44e9afb1c68c4))
* Tests: Change timeout to 10 seconds attempt to stop random travis failures (TICKETREF, [e1be64d](http://github.com/jquery/jquery-mobile/commit/e1be64d52b74f8396a979db1252c60cb14e87c9b))
* Tests: Collapsible: Convert to sync tests. (TICKETREF, [e723daf](http://github.com/jquery/jquery-mobile/commit/e723dafaa95e3bc8240c94267e538c495d8c1046))
* Tests: Do not include style because we won't be warned about regressions if we make changes in theme CSS. (TICKETREF, [1fdce51](http://github.com/jquery/jquery-mobile/commit/1fdce5132f2b28a5791014e0a4414cf63f471761))
* Tests: Fix Widget core tests for removal of mobile base widget (TICKETREF, [e9cad22](http://github.com/jquery/jquery-mobile/commit/e9cad222bff4aa26e54c61c7960618c77015a9f1))
* Tests: Fixed kitchensink test by adding define shim (TICKETREF, [3d82594](http://github.com/jquery/jquery-mobile/commit/3d82594498c634061ef98f2a12e8495490c13f97))
* Tests: Fixed pattern that selects tests to run (TICKETREF, [713b402](http://github.com/jquery/jquery-mobile/commit/713b402a5e520f0ddc940dc2a389c72e32db7f2a))
* Tests: Fixed tests after grunticon merge and theme tweaks. (TICKETREF, [a05db72](http://github.com/jquery/jquery-mobile/commit/a05db72c9738b2d271ef3b4d1d455e5534d858a3))
* Tests: Integration: Custom select: Ensure dialog is removed after destroying dialog-sized select menu. (TICKETREF, [b070b64](http://github.com/jquery/jquery-mobile/commit/b070b642348c401ea4170f5f1ca8df28db377dd3))
* Tests: Integration: Custom select: Modify ID to contain a period. Tests #5893. (TICKETREF, [1b42813](http://github.com/jquery/jquery-mobile/commit/1b42813731069b3d006ece4f960499242efb04c5))
* Tests: Integration: Popup: Add test to make sure popup elements do not have focus after the popup is closed. Tests #5974. (TICKETREF, [273624b](http://github.com/jquery/jquery-mobile/commit/273624b864b52707aeb3136a26b53afdcfe45db1))
* Tests: Popup: Partitioned tests into unit and integration. (TICKETREF, [7d59d30](http://github.com/jquery/jquery-mobile/commit/7d59d30ebf5f0b5fcb08e826014fa918e1043dfd))
* Tests: Re-setup special event navigate when turning off pushstate (TICKETREF, [16b8748](http://github.com/jquery/jquery-mobile/commit/16b874817bc97550b2c07483ff99f60cd43a97c3))
* Tests: Renaming unit/reset to integration/forms and adding test to make sure formaction is honored. (TICKETREF, [c86ce61](http://github.com/jquery/jquery-mobile/commit/c86ce618f7ce37706053be8766f7be7c4ae53766))
* Tests: RequireJS 2.1.x exposes .undef to undefine module (TICKETREF, [f97f1a6](http://github.com/jquery/jquery-mobile/commit/f97f1a6277e65593238bdd4382686dbe5bc4756a))
* Tests: Select theme test. (TICKETREF, [10bb213](http://github.com/jquery/jquery-mobile/commit/10bb2133f05ee07eb8ba4c3c08c709877cff0b38))
* Tests: Sort the test types array in reverse alpha order so unit tests happen before integration (TICKETREF, [58a1073](http://github.com/jquery/jquery-mobile/commit/58a1073fa08a067095828e36870ce7002f28f21a))
* Tests: Unit: Popup: Make sure aria attributes are in order. Tests #5898. (TICKETREF, [985771b](http://github.com/jquery/jquery-mobile/commit/985771bb958d8fbad61152c7b107a010587c4e6c))
* Tests: Unit: Popup: Make sure closed popup is not :visible and that open popup is :visible. Tests #5892. (TICKETREF, [b69b430](http://github.com/jquery/jquery-mobile/commit/b69b430f5f0a740fdfb8223f089ab6feea17e06d))
* Tests: Updated button tests. (TICKETREF, [c99a8da](http://github.com/jquery/jquery-mobile/commit/c99a8daff197bddc404ce7fcced967ec5cad470b))
* Tests: Updated checkboxradio tests. (TICKETREF, [db62203](http://github.com/jquery/jquery-mobile/commit/db62203ccdbc34340bcb43598a0440cb51e931a9))
* Tests: Updated collapsible set theming tests. (TICKETREF, [0b07263](http://github.com/jquery/jquery-mobile/commit/0b0726317ba1bf271f7cc1d6e5a5efcff727a3a4))
* Tests: Updated controlgroup tests. (TICKETREF, [b6630e6](http://github.com/jquery/jquery-mobile/commit/b6630e678b819469146821f6d0842fc3f5d1313a))
* Tests: Updated dialog tests. (TICKETREF, [14c3477](http://github.com/jquery/jquery-mobile/commit/14c34775e61ce4662c83d2984953af13e7c194ed))
* Tests: Updated field contain tests. (TICKETREF, [d127ef4](http://github.com/jquery/jquery-mobile/commit/d127ef4260e9e1916eac5caeb96a097a1c132651))
* Tests: Updated listview tests. (TICKETREF, [473a943](http://github.com/jquery/jquery-mobile/commit/473a94378e8e859d396a1f549467f5d927bb9650))
* Tests: Updated page unit tests. (TICKETREF, [1d32f64](http://github.com/jquery/jquery-mobile/commit/1d32f640e0e46f07e9a8c510f7488179b3038921))
* Tests: Updated popup integration test - aria-owns ID ref shouldn't have a hastag. (TICKETREF, [cdcdcaf](http://github.com/jquery/jquery-mobile/commit/cdcdcaf93d566e79f74d591cd081ce49bfc80893))
* Tests: Updated popup integration test. (TICKETREF, [970f06b](http://github.com/jquery/jquery-mobile/commit/970f06b26092d080e45decee488278abdbc12587))
* Tests: Updated select test; we don't add class to the label anymore. (TICKETREF, [9de9cbe](http://github.com/jquery/jquery-mobile/commit/9de9cbedc034647a414b511d037a985c5118b4cc))
* Tests: Updated tests to match new default theme. (TICKETREF, [340fbeb](http://github.com/jquery/jquery-mobile/commit/340fbebd6b8fc6399c5032e84d204fa35f0c70ea))
* Tests: Updated textinput unit test. (TICKETREF, [cec7cfc](http://github.com/jquery/jquery-mobile/commit/cec7cfce1c0a9f622da41066500b7757c7b36cfd))
* Tests: Updated widget unit test. (TICKETREF, [3cefa51](http://github.com/jquery/jquery-mobile/commit/3cefa5138772c7bc6fd553817e75e54591950330))
* Tests: Use pageSequence instead of timeout (TICKETREF, [ff39858](http://github.com/jquery/jquery-mobile/commit/ff398583e444eeb5209677b2ac10f2591e8bedb2))
* Tests: remove navigation unit tests ( they dont exist ) fix dependencies on nav integration tests (TICKETREF, [66607c4](http://github.com/jquery/jquery-mobile/commit/66607c4500ff16ebfada6e1d4c0a9b2c503a0742))
* Tests: removed fastClick test as it disappeared a long time ago (TICKETREF, [3c18668](http://github.com/jquery/jquery-mobile/commit/3c18668acee0becafcd9768ad15e7173b6945d7e))
* Tests: split unit and integration tests (WIP) (TICKETREF, [1fb81b2](http://github.com/jquery/jquery-mobile/commit/1fb81b287d5c13007ae43e204499628aa8a1a77e))
* Tests: split unit and integration tests (WIP) (TICKETREF, [eda8efe](http://github.com/jquery/jquery-mobile/commit/eda8efe08aced41b734dc5a161c01e97f6b82e81))
* Textarea: Make mini size work when class ui-mini is on the container. Adjusted margin for mini textarea. (TICKETREF, [eb5ca31](http://github.com/jquery/jquery-mobile/commit/eb5ca31c250a0b12e38b7c4334634088843cfd6c))
* Textinput: Add the ui-input-inset class to the wrapper. (TICKETREF, [5c42264](http://github.com/jquery/jquery-mobile/commit/5c42264288cc9c0b68936a5c3bd2ac9676a13738))
* Textinput: Added CSS for non-inset vs. inset. (TICKETREF, [3290278](http://github.com/jquery/jquery-mobile/commit/32902786925aa7b5ddc8d2b989bfc65a5fe80def))
* Textinput: Added option corners. Fixes #5610. ([#5610](http://github.com/jquery/jquery-mobile/issues/5610), [698ffb2](http://github.com/jquery/jquery-mobile/commit/698ffb210b06cfcef5fa0f86d5b9b4826e307ba3))
* Textinput: Adjusted search input icon size. (TICKETREF, [78d7ad5](http://github.com/jquery/jquery-mobile/commit/78d7ad5cf2b3e33c7f3a007f16e864b90f0f9487))
* Textinput: Always use black icon for search input. No bg disc so it doesn't look like a submit button. (TICKETREF, [584cb8d](http://github.com/jquery/jquery-mobile/commit/584cb8d6dd8f3b0d85231dbad01d07aab678e61a))
* Textinput: Apply class(es) listed in the value of the "wrapperClass" option when creating the wrapper. (TICKETREF, [af74af6](http://github.com/jquery/jquery-mobile/commit/af74af6401e76e541c558ac0ff7f7b60f118f52c))
* Textinput: Capitalize clear button default text for consistency. (TICKETREF, [ed3cd9e](http://github.com/jquery/jquery-mobile/commit/ed3cd9e617c838dd2a7ff1bf632ca787ee055068))
* Textinput: Changed px to em values. (TICKETREF, [33f2e44](http://github.com/jquery/jquery-mobile/commit/33f2e44ad4a8530fd607c25a43bc5e75a5be1b65))
* Textinput: Changed the clear button to just disc and icon. (TICKETREF, [f550d1c](http://github.com/jquery/jquery-mobile/commit/f550d1ccdaff3dbb7117de9048b5feccdbf6ec49))
* Textinput: Fix Variable name (TICKETREF, [a947937](http://github.com/jquery/jquery-mobile/commit/a947937418cebf229d9d83e297c8900bc29f4190))
* Textinput: Fix call to off remove commas (TICKETREF, [5eac383](http://github.com/jquery/jquery-mobile/commit/5eac383d50ceaf45ced3a3f9ea16bc21bbd0847a))
* Textinput: Fixed the focus style. (TICKETREF, [c9d66aa](http://github.com/jquery/jquery-mobile/commit/c9d66aaad63468b815538222f4bbd6fa6b9d820c))
* Textinput: Get rid of buttonMarkup. (TICKETREF, [445e214](http://github.com/jquery/jquery-mobile/commit/445e21421b5230c533acbafc091ffc2a5298303c))
* Textinput: Help the minifier. (TICKETREF, [3441e77](http://github.com/jquery/jquery-mobile/commit/3441e7760045e7b4d5de5d59a90d8a9e0016a02a))
* Textinput: Increased specificity to make sure clear button gets a transparent background. (TICKETREF, [eb22eb3](http://github.com/jquery/jquery-mobile/commit/eb22eb3bd8876300e19b3b1891a938d4b584a21d))
* Textinput: Introduce option "inset". (TICKETREF, [e537114](http://github.com/jquery/jquery-mobile/commit/e537114051adf5eb6e54a4aafe47e2d90035a3e5))
* Textinput: Only add class ui-input-text to the wrapper. Cleaned up CSS. Reduced JS. (TICKETREF, [d578672](http://github.com/jquery/jquery-mobile/commit/d5786729fed5be378a639e42f29627549b9c065a))
* Textinput: Only target JQM enhanced inputs for browser pseude element tweaks. Always hide IE10's native clear button and don't use data- attribute in selector (because of namespacing). (TICKETREF, [a567171](http://github.com/jquery/jquery-mobile/commit/a567171a5202e470c7ea9544a20a4d99da52b459))
* Textinput: Only vertical resizing of textareas. (TICKETREF, [a794fec](http://github.com/jquery/jquery-mobile/commit/a794feca02dd3e294b8df0f49e852fecb33270cf))
* Textinput: Overflow auto to get rid of the scrollbar on IE. Removed ui-mobile class from selector because it wasn't needed after all. (TICKETREF, [4c3cddf](http://github.com/jquery/jquery-mobile/commit/4c3cddfa775a2c152119aaa2c37697f1f0a9d6b1))
* Textinput: Padding left/right on the input itself. Fixes #5977. ([#5977](http://github.com/jquery/jquery-mobile/issues/5977), [bc4e01d](http://github.com/jquery/jquery-mobile/commit/bc4e01d3ce36e994c28e959c6b32d74959b3d8c3))
* Textinput: Placeholder style for IE10. (TICKETREF, [86a3109](http://github.com/jquery/jquery-mobile/commit/86a3109a2131a5e9ca56e5de7526f60aec512b25))
* Textinput: Quality review, seperate clear button and autogrow textareas into extensions (TICKETREF, [5b4ac79](http://github.com/jquery/jquery-mobile/commit/5b4ac79d3d9ed0bc281c0ffe662a23778846b2cc))
* Textinput: Record initial theme class in initial value of this.themeclass. (TICKETREF, [52f4183](http://github.com/jquery/jquery-mobile/commit/52f4183936bbc88352c75b3c5185d63db2ff076b))
* Textinput: Removed ui-icon-searchfield class. (TICKETREF, [de6f6fe](http://github.com/jquery/jquery-mobile/commit/de6f6fe916387c7e992d5e7187ae93a181d47d0a))
* Textinput: Removed unused code. (TICKETREF, [e2e94f3](http://github.com/jquery/jquery-mobile/commit/e2e94f3de2b2efcc56555ee225f82b10239e6056))
* Textinput: Revert added new option inset. (TICKETREF, [742cad0](http://github.com/jquery/jquery-mobile/commit/742cad030ce9bcc7f24c35f92118161ae049f42a))
* Textinput: Same corner styling search and other input types. (TICKETREF, [3d758a3](http://github.com/jquery/jquery-mobile/commit/3d758a3e339afed86e6467e5efbf9d1c8e637348))
* Textinput: Switch to use options instead of o for var name (TICKETREF, [f083a85](http://github.com/jquery/jquery-mobile/commit/f083a85874ec25788ef6930d47f39335fd7eea16))
* Textinput: Textarea is always inset. (TICKETREF, [17301f8](http://github.com/jquery/jquery-mobile/commit/17301f8b3e0fb892e843db2672113553379da34d))
* Textinput: Theme inheritance. (TICKETREF, [414caa5](http://github.com/jquery/jquery-mobile/commit/414caa590dea4c8394b117b44aa630bf89890146))
* Textinput: Update autogrow to auto shrink as well. Clearinput update for new css (TICKETREF, [e2a8de6](http://github.com/jquery/jquery-mobile/commit/e2a8de6e803d411c9a4c9dd2b15bcb2d281312c6))
* Textinput: Use toggleClass for options corners and mini. (TICKETREF, [6e7c295](http://github.com/jquery/jquery-mobile/commit/6e7c2951776883c73caf8764f7e9902f0def9325))
* Textinput: Vertical alignment of clear button in mini sized text inputs. Fixes #5840 ([#5840](http://github.com/jquery/jquery-mobile/issues/5840), [55bf64f](http://github.com/jquery/jquery-mobile/commit/55bf64f92194b4c73599eb1258baad95bcd68f84))
* Textinput: apply changes from uGoMobi for clearbutton (TICKETREF, [b5f2fb5](http://github.com/jquery/jquery-mobile/commit/b5f2fb51557792716a9fb0e579099c4c6cca270c))
* Textinput: calculated height without extra padding. Fixed #5690 - Textinput: height not correctly calculated due to box-sizing ([#5690](http://github.com/jquery/jquery-mobile/issues/5690), [b33580e](http://github.com/jquery/jquery-mobile/commit/b33580ee35f2c10515695daf0a4a78b4bcf87753))
* Textinput: chain calls to .css (TICKETREF, [acb2e37](http://github.com/jquery/jquery-mobile/commit/acb2e37110786e2be37abba1b409cefebc040909))
* Textinput: remove unused varibles and use prop instead of attr for disabled (TICKETREF, [7c3d76f](http://github.com/jquery/jquery-mobile/commit/7c3d76f78a3574b5221281e2be54b89600c865b8))
* Textinput: removed (min) height for textareas (TICKETREF, [4692895](http://github.com/jquery/jquery-mobile/commit/469289515b71f1c45e2ba487d2c3d85743c7ac50))
* Textinput: removed option clearSearchButtonText (deprecated in 1.3). (TICKETREF, [6ec5491](http://github.com/jquery/jquery-mobile/commit/6ec5491558c01b16dffdd805ff6d4d2e2d30857b))
* Textinput: style tweaks. (TICKETREF, [10348e7](http://github.com/jquery/jquery-mobile/commit/10348e7d06f5c4097845e57004ed12ee52294811))
* Textinput: suppressed disabled check for event listeners. Fixed #509 - Textarea doesn't AutoGrow height with pre-filled values in a collapsible ([#509](http://github.com/jquery/jquery-mobile/issues/509), [48fdb20](http://github.com/jquery/jquery-mobile/commit/48fdb2019837b5759b47b0f95eb06ca749e32521))
* Textinput: switch to use _delay instead of setTimeout (TICKETREF, [3cac184](http://github.com/jquery/jquery-mobile/commit/3cac184715372d19e4793f44a32b02d8d0c86764))
* Textinput: updates based on pr comments from jorn (TICKETREF, [0631ae4](http://github.com/jquery/jquery-mobile/commit/0631ae45d1f7068d99d1dbcfde07fff1715b53f5))
* Textinput: vertical alignment of the clear button. (TICKETREF, [c5372d1](http://github.com/jquery/jquery-mobile/commit/c5372d19404472f0c3285426c4d6fc330bc46d05))
* Textinput: whitespace. (TICKETREF, [52c6800](http://github.com/jquery/jquery-mobile/commit/52c6800385b96569e075b04f2f23c45fab787406))
* Theme: "A" light swatch, "B" dark swatch (TICKETREF, [8abb930](http://github.com/jquery/jquery-mobile/commit/8abb930ffefca335f4adf8dc743b6bbd5df47a7f))
* Theme: 3 swatches for new default theme. (TICKETREF, [eec7e63](http://github.com/jquery/jquery-mobile/commit/eec7e632c3fe619395b81074ee178d9f0e6499bf))
* Theme: Added missing and removed superfluous checkbox and radio icon classes. (TICKETREF, [cb924d3](http://github.com/jquery/jquery-mobile/commit/cb924d334102da68f88b0fdf8d9de79bef941bea))
* Theme: Added missing checkbox and radio classes. (TICKETREF, [0127c47](http://github.com/jquery/jquery-mobile/commit/0127c47068f06a2280b64799b56b022e16eaff7e))
* Theme: Added missing comma. (TICKETREF, [a4e3008](http://github.com/jquery/jquery-mobile/commit/a4e30084717fdc74643fb9799a3bb9ecce18550f))
* Theme: Added note about deprecating ui-disabled. Switching to Widget Factory's ui-state-disabled. (TICKETREF, [73e101e](http://github.com/jquery/jquery-mobile/commit/73e101eeca23d5aefbe3ec198f183259951a8ebb))
* Theme: Added selectors for pure CSS theme inheritance. (TICKETREF, [2a742ff](http://github.com/jquery/jquery-mobile/commit/2a742ffcba47af35f4d4eeed0b365a9ec46f2b16))
* Theme: Adjusted icon bg disc color. (TICKETREF, [ebe18b9](http://github.com/jquery/jquery-mobile/commit/ebe18b973d64ed0d5e9363206c802615daf5fdb1))
* Theme: Adjusted inset shadow. (TICKETREF, [1324c7a](http://github.com/jquery/jquery-mobile/commit/1324c7a67510cdf59a88f239ae86fbe4272f0e73))
* Theme: Bit more contrast between swatch B bar and buttons. (TICKETREF, [7aaacb1](http://github.com/jquery/jquery-mobile/commit/7aaacb17628888816030a2163c5dd130cb8f8157))
* Theme: Button border color was same as page background. (TICKETREF, [029e6bc](http://github.com/jquery/jquery-mobile/commit/029e6bc813b31adc9aa7f17035070a82367943bc))
* Theme: Changed class ui-mobile-nosupport-boxshadow to ui-noboxshadow for consistency. (TICKETREF, [919b41b](http://github.com/jquery/jquery-mobile/commit/919b41b9b0d76e1cb9cf44c5e68525faea6f229b))
* Theme: Changed selectors to improve theme inheritance and make theming work without JQM page. Added comments with specificity level. (TICKETREF, [5ad8287](http://github.com/jquery/jquery-mobile/commit/5ad8287cc1cb1f82c403f23db1350c5f0eebdb3f))
* Theme: Changed the selector because it was also matching flip switch in static list with form. (TICKETREF, [cd5b2e2](http://github.com/jquery/jquery-mobile/commit/cd5b2e216f3ab80c265a8e20c90debffe4bf84ad))
* Theme: Combine active state rules. (TICKETREF, [c1cd4eb](http://github.com/jquery/jquery-mobile/commit/c1cd4eba5e1661a2be53ebe69d18b04ee150576a))
* Theme: Correct border-radius for checkbox-off. Fixes #6238. ([#6238](http://github.com/jquery/jquery-mobile/issues/6238), [9c53458](http://github.com/jquery/jquery-mobile/commit/9c534582547ee2f6daf600a8d12a2a65fd4a06ce))
* Theme: Correction of body "b" text shadow. (TICKETREF, [ac93ac0](http://github.com/jquery/jquery-mobile/commit/ac93ac0f05d3f76483ea6dacee1801c79374d100))
* Theme: Correction of the selector for the rule that set different border-radius for checkbox icons. (TICKETREF, [33ae224](http://github.com/jquery/jquery-mobile/commit/33ae22492a3c082c4ff8943d97d82d07a41564d6))
* Theme: Deprecated in 1.4 comment for ui-btn-corner-all. (TICKETREF, [1ff7cc6](http://github.com/jquery/jquery-mobile/commit/1ff7cc6489a69c6ac76e99e3ab66a51f05cc4cf9))
* Theme: Different color for bar "a" to have contrast between dividers and buttons. (TICKETREF, [d804738](http://github.com/jquery/jquery-mobile/commit/d804738ec20f9254d516e9de9fd8c10c977cb66b))
* Theme: Different corner styling for slider handle. (TICKETREF, [27bf453](http://github.com/jquery/jquery-mobile/commit/27bf453272df3bb9039ef67a8789587476e56e4d))
* Theme: Disabled styling for button elements. (TICKETREF, [2b3e2ac](http://github.com/jquery/jquery-mobile/commit/2b3e2ace321762027bf85d492d42ff75f3f98d8d))
* Theme: Faster selectors. (TICKETREF, [12847f2](http://github.com/jquery/jquery-mobile/commit/12847f21250860ba72ad53ada7942c72a87a2346))
* Theme: First pass on simplifying theming. (TICKETREF, [7ae930a](http://github.com/jquery/jquery-mobile/commit/7ae930a761713cf673ce8268ce0aced7e6dd3351))
* Theme: Fixed a selector. (TICKETREF, [636d4a3](http://github.com/jquery/jquery-mobile/commit/636d4a3604654a592fa53c4abaaa87669bfaaf7c))
* Theme: Fixed a typo. (TICKETREF, [c8efad9](http://github.com/jquery/jquery-mobile/commit/c8efad9aa1e0404b13adc2de6dcff2e998837224))
* Theme: Fixed a typo. (TICKETREF, [df766bc](http://github.com/jquery/jquery-mobile/commit/df766bce51a08e59ac7317c30aeb821c0d01ab55))
* Theme: Fixed active checkbox and radio icon background color. (TICKETREF, [de07d62](http://github.com/jquery/jquery-mobile/commit/de07d620fd19bbb2cf6c3aacc7e2e6da95213bb4))
* Theme: Fixed specificity problems. (TICKETREF, [0e28124](http://github.com/jquery/jquery-mobile/commit/0e281240d5955e4e09895b9470b6bf80746e0ea4))
* Theme: Fixed typo in selector. (TICKETREF, [c3075d9](http://github.com/jquery/jquery-mobile/commit/c3075d9aeedfb0af87bcf174f8459b97658bfd1c))
* Theme: Focus style for listview buttons. (TICKETREF, [ee36d9c](http://github.com/jquery/jquery-mobile/commit/ee36d9cc0ec0ece885b0215f21020a7f534446d6))
* Theme: Group theme inheritance. (TICKETREF, [f728671](http://github.com/jquery/jquery-mobile/commit/f728671590992d8ef2de67f10c5e5ad03f34dcbc))
* Theme: Improved the icon CSS. Only pseudo element when there actually is an icon. (TICKETREF, [8917fd7](http://github.com/jquery/jquery-mobile/commit/8917fd75831571e9fa6c41f6cbd23df9336eefb5))
* Theme: Keep it easy to override border-width for body and bars. (TICKETREF, [c59d2c4](http://github.com/jquery/jquery-mobile/commit/c59d2c48816c6a71a31d50ad7bf6261add168eb9))
* Theme: Keep it easy to override button font weight. Button border style and width in theme CSS. (TICKETREF, [a2ccb45](http://github.com/jquery/jquery-mobile/commit/a2ccb45a7311a8d381cc938a9f9769509ec3c677))
* Theme: Links style. (TICKETREF, [2993a01](http://github.com/jquery/jquery-mobile/commit/2993a0199d56c154192838347749bf676f919512))
* Theme: Made active and focus state themeable. Fixes #3750 ([#3750](http://github.com/jquery/jquery-mobile/issues/3750), [3cc45ef](http://github.com/jquery/jquery-mobile/commit/3cc45efdbde0ce9c63f40544a779014017d48c92))
* Theme: Made search input inherit font color and text-shadow too. (TICKETREF, [f441796](http://github.com/jquery/jquery-mobile/commit/f4417963ac8fc92e58e931be26a51e557599ff54))
* Theme: Make the ui-icon-alt and ui-icon-nodisc classes work on both element and container. (TICKETREF, [4a52fd6](http://github.com/jquery/jquery-mobile/commit/4a52fd69e7a51f7f583b5b198371a29fb8a1dcc5))
* Theme: Make widgets outside page inherit theme from container. (TICKETREF, [76cdcc2](http://github.com/jquery/jquery-mobile/commit/76cdcc216b550cd027fc022f0ae33393b5b8120a))
* Theme: More style tweaks swatch B to improve contrast. (TICKETREF, [fd26764](http://github.com/jquery/jquery-mobile/commit/fd267647476e35b7f241c7cc6bd8c6fccb1b05fb))
* Theme: Moved disabled style for select button to theme CSS where it belongs. (TICKETREF, [97a9c4f](http://github.com/jquery/jquery-mobile/commit/97a9c4f3856ab8f5062af34b9abe71158094e39c))
* Theme: Moved font-family and text-decoration to global rule. Default font-family sans-serif: fixes #5778. (TICKETREF, [e6b36ec](http://github.com/jquery/jquery-mobile/commit/e6b36ecbd39e71869682d8b4323c5184da172178))
* Theme: New theme class ui-fill-* for slider bg, read-only lists, count bubbles, etc. (TICKETREF, [af1472c](http://github.com/jquery/jquery-mobile/commit/af1472ceeaf28efcef4fcdb85fd43f537e6773c6))
* Theme: No :after for a container with the alt or nodisc icon classes. (TICKETREF, [ed648e0](http://github.com/jquery/jquery-mobile/commit/ed648e081b4028c81d50e6e8c7ed01b3d1e6b3e7))
* Theme: No mini font-size for labels. (TICKETREF, [8671632](http://github.com/jquery/jquery-mobile/commit/8671632047eb210cbb17d3f1dd1fdae9fd2aa689))
* Theme: No more need for a separate rule for button font color. (TICKETREF, [3412f2a](http://github.com/jquery/jquery-mobile/commit/3412f2a71d3beae188f814b72ebfb1fd64187104))
* Theme: One corner class. Deprecate ui-btn-corner-all. (TICKETREF, [9690b4b](http://github.com/jquery/jquery-mobile/commit/9690b4bfe1d1847ff16053f7ba70ea1830319a23))
* Theme: Pseudo element for icons. (TICKETREF, [efc1f51](http://github.com/jquery/jquery-mobile/commit/efc1f5186276f5a922df3ee53bc9cafbc4b3533f))
* Theme: Radio button icon background should be same color as icon set. (TICKETREF, [15305c7](http://github.com/jquery/jquery-mobile/commit/15305c712e15e939173538e5b4a32ac9c488fd18))
* Theme: Reduced default theme to swatch A and B. Removed background-image gradients. (TICKETREF, [e6e8d04](http://github.com/jquery/jquery-mobile/commit/e6e8d044978953ae922693929abd9f2d8074b9f0))
* Theme: Reduced the shadow opacity a little bit. (TICKETREF, [18c4a5c](http://github.com/jquery/jquery-mobile/commit/18c4a5c9dd97c6aac992b2f2ec2e67e03b486b18))
* Theme: Removed focus inset box-shadow. Used z-index to make controlgroup and listview buttons focus style visible. (TICKETREF, [c1ae6b2](http://github.com/jquery/jquery-mobile/commit/c1ae6b2eb8735fed014774f18024417a4a94358d))
* Theme: Removed light shadow style for bar A,B and C (TICKETREF, [c56800e](http://github.com/jquery/jquery-mobile/commit/c56800e1c718fb685ce82acce977ef86999977f2))
* Theme: Removed search input icon bg disc settings, because it doesn't get a disc anymore. (TICKETREF, [9174fdf](http://github.com/jquery/jquery-mobile/commit/9174fdf9ff03d675402c07ca6e85cc55870d4c63))
* Theme: Removed selectors that were no longer needed. Cleaned up comments. (TICKETREF, [da33b48](http://github.com/jquery/jquery-mobile/commit/da33b48ce69e99ea58ddb341297b09e799a96597))
* Theme: Removed styling for ::selection. I forgot that one rule with multiple selectors doesn't work and don't want to add too much code for this while it's not supported in many browsers yet. (TICKETREF, [d9b3b64](http://github.com/jquery/jquery-mobile/commit/d9b3b6451df66354ff44370619d9b4aebd21bf67))
* Theme: Removed ui-link-inherit. The anchor element itself is now the listview button. (TICKETREF, [c95dadc](http://github.com/jquery/jquery-mobile/commit/c95dadc240941aa885af86bc3334877e5f2c7851))
* Theme: Removed ui-overlay rule because we only use ui-overlay-[theme] classes. (TICKETREF, [713bac2](http://github.com/jquery/jquery-mobile/commit/713bac21a659b884228f5f7e6c1c879c63d9821c))
* Theme: Replaced [class*="ui-icon-"] selector by actual classnames to improve performance. (TICKETREF, [c46056c](http://github.com/jquery/jquery-mobile/commit/c46056ced12a2aee3a784bf136c6750bf54fe697))
* Theme: Rewrote icon CSS so we have only one rule with all icon classes. (TICKETREF, [a2ce182](http://github.com/jquery/jquery-mobile/commit/a2ce1820898626b0631c60935873c80e96369953))
* Theme: Shorthand was causing trouble. (TICKETREF, [e009600](http://github.com/jquery/jquery-mobile/commit/e009600fa407ebec3320e51cf62cdd27af8664b4))
* Theme: Simplifying theme inheritance for bar styled elements. (TICKETREF, [a4b600c](http://github.com/jquery/jquery-mobile/commit/a4b600c5ce1cf9854ae726e475db709c09d3675b))
* Theme: Simplifying theme inheritance for body style elements. (TICKETREF, [bdd61ff](http://github.com/jquery/jquery-mobile/commit/bdd61ff1c5dc8a6824c4e5448117f19bafcbfb38))
* Theme: Simplifying theme inheritance for count bubbles and slider track/switch. (TICKETREF, [668a5be](http://github.com/jquery/jquery-mobile/commit/668a5be46ab5e2269682cdec72f1c6facea918df))
* Theme: Style tweaks. Removed 3rd swatch, just stick to one light and one dark default swatch. (TICKETREF, [1b98cb8](http://github.com/jquery/jquery-mobile/commit/1b98cb8af66e711797820c6c4d9572b0a633ad89))
* Theme: Swapped swatch A and B. Changed colors a bit. (TICKETREF, [d94fb11](http://github.com/jquery/jquery-mobile/commit/d94fb111dcc5bac05d900b39e2b0857cf5dbbb28))
* Theme: Swatch A dark, swatch B light, removed temp swatches C-E. Checkbox/radio style. Fixed icon shadow selector. Textinput color and text-shadow inherit. (TICKETREF, [67c8eae](http://github.com/jquery/jquery-mobile/commit/67c8eae1618a67201abcaa09316ac13ad02f2024))
* Theme: Theme inheritance inside content, popup, collapsible and panel. (TICKETREF, [03c849b](http://github.com/jquery/jquery-mobile/commit/03c849b81b12c3c39c6e2cdaff1974c756c4ecf5))
* Theme: Tweaked active state style. (TICKETREF, [bb9a91a](http://github.com/jquery/jquery-mobile/commit/bb9a91a3453c7aab2765b4e166d13ff8b9af3990))
* Theme: Typo. Next time I'll use a better regex :) (TICKETREF, [7ae24ed](http://github.com/jquery/jquery-mobile/commit/7ae24edcf887ca8b92dda8a38a953da9ea9794a1))
* Theme: Updated checkboxradio icon selectors. (TICKETREF, [fd3e6d3](http://github.com/jquery/jquery-mobile/commit/fd3e6d300b2e7a5466b0a36b00d7be679eb971d1))
* Theme: Updated icon CSS. (TICKETREF, [c139adb](http://github.com/jquery/jquery-mobile/commit/c139adb3fbfd2440d972980e51311591127df525))
* Theme: Use bar style for slider track. (TICKETREF, [8046ba0](http://github.com/jquery/jquery-mobile/commit/8046ba061d7f1ea76a83eb6dbb0ff5cd0efc4984))
* Theme: Use different colors for page and body. Page style can be used for the count buble as well. Tweaked colors. (TICKETREF, [f1a1390](http://github.com/jquery/jquery-mobile/commit/f1a1390ac40069dbf9870e0ab9f6dedac65721f6))
* Theme: Use shorthand for background color fallback to make it work on IE7. Fixes #6002. ([#6002](http://github.com/jquery/jquery-mobile/issues/6002), [5c793cd](http://github.com/jquery/jquery-mobile/commit/5c793cd7318d3653638277264eb785d3598d211f))
* Theme: adjust border radius for icon-only buttons (TICKETREF, [85643ca](http://github.com/jquery/jquery-mobile/commit/85643ca1a78e9bae1b82f584e8f0728fa16e9490))
* Theme: changed some colors. (TICKETREF, [0349965](http://github.com/jquery/jquery-mobile/commit/03499650df222b0999572755939360eaf229a0fe))
* Theme: color and text-shadow inherit for legend element. Fixes bug in IE10. (TICKETREF, [135c687](http://github.com/jquery/jquery-mobile/commit/135c6876b9c6af882ed2c3c045a9568b0641cba3))
* Theme: full classnames to improve performance. Cleaned up some comments. (TICKETREF, [dce3562](http://github.com/jquery/jquery-mobile/commit/dce3562df95268a31297151470dd6311e7464fd5))
* Theme: moved active button cursor style from swatches to globals. (TICKETREF, [81dfffc](http://github.com/jquery/jquery-mobile/commit/81dfffc57423f4c340c5584bcd9c283844965cb6))
* Theme: moved popup arrow style to its own CSS file (TICKETREF, [9d8ff4f](http://github.com/jquery/jquery-mobile/commit/9d8ff4f7194e426cc4f2e9d31051b25acde6796f))
* Theme: moved shadow and corner styles to globals section so you can override it for each swatch. (TICKETREF, [78d7f1a](http://github.com/jquery/jquery-mobile/commit/78d7f1a8a89da26bd2751ee57f35cedd063b9c7f))
* Theme: moved slider tooltip style to its own CSS file (TICKETREF, [b779af4](http://github.com/jquery/jquery-mobile/commit/b779af4c09be270a207a27abb325a01000aaf66c))
* Theme: overlay theme should be same as page theme, not body theme. (TICKETREF, [7c39301](http://github.com/jquery/jquery-mobile/commit/7c3930102a64d262d0931c65df93af51244309ae))
* Theme: reduce default button border radius. (TICKETREF, [60cec76](http://github.com/jquery/jquery-mobile/commit/60cec76f883fe64ba52e64fc15ba48317f27f07b))
* Theme: removed ui-btn-inner border-top (highlight). (TICKETREF, [5bf7600](http://github.com/jquery/jquery-mobile/commit/5bf7600597d2ceae5d571a81a7403e1645b2d87c))
* Theme: style for selected text. (TICKETREF, [259293d](http://github.com/jquery/jquery-mobile/commit/259293d62e79cd335b0acaf89c90af3f4e955b9c))
* Theme: swatch "b" fieldcontain separator style tweak. (TICKETREF, [3fa58a4](http://github.com/jquery/jquery-mobile/commit/3fa58a482cbe75ca1fbb0663385e8b118facda4b))
* Theme: theme inheritance for buttons in bars. (TICKETREF, [e796a91](http://github.com/jquery/jquery-mobile/commit/e796a91b17b92cf40dd546167aabcf32109b51a7))
* Theme: theme inheritance for headers and footers. (TICKETREF, [555dc54](http://github.com/jquery/jquery-mobile/commit/555dc541b2d70508bc470ea8cd46df211c3b5a9b))
* Theme: typo (TICKETREF, [a165270](http://github.com/jquery/jquery-mobile/commit/a165270a67f6fc75bb166187e97b8e2bdfe1a6b4))
* Themeable fieldcontain separator. (TICKETREF, [4a394c1](http://github.com/jquery/jquery-mobile/commit/4a394c132176922f60151de4bf450f0ed59443e4))
* Toolbar Tests: updating tests to toolbar from page.sections (TICKETREF, [2af091d](http://github.com/jquery/jquery-mobile/commit/2af091d5adbc7d22c567da1da6e1463ee044e107))
